2005-09-02  Flavio Oliveira  <flavio.oliveira@indt.org.br>

	* configure.ac:
	* ext/Makefile.am:
	* ext/gsm/Makefile.am:
	* ext/gsm/gstgsm.c: 
	* ext/gsm/gstgsmenc.c: Ported GSM Encoder to GStreamer 0.9.
	* PORTED_09:

2005-08-31  Flavio Oliveira  <flavio.oliveira@indt.org.br>

	* configure.ac:
	* ext/Makefile.am:
	* ext/faac/Makefile.am:
	* ext/faac/gstfaac.c: Ported to GStreamer 0.9.

2005-08-31  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* ext/Makefile.am:
	* ext/mad/Makefile.am:
	* ext/mad/gstid3tag.c:
	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	* gst/mpegaudio/.cvsignore:
	* gst/mpegaudio/Makefile.am:
	* gst/mpegaudio/README.crh:
	* gst/mpegaudio/common.c:
	* gst/mpegaudio/common.h:
	* gst/mpegaudio/encode.c:
	* gst/mpegaudio/encoder.h:
	* gst/mpegaudio/fixes.txt:
	* gst/mpegaudio/gstmpegaudio.c:
	* gst/mpegaudio/gstmpegaudio.h:
	* gst/mpegaudio/mpegaudio.vcproj:
	* gst/mpegaudio/musicin.c:
	* gst/mpegaudio/musicin.h:
	* gst/mpegaudio/psy.c:
	* gst/mpegaudio/putbits.c:
	* gst/mpegaudio/putbits.h:
	* gst/mpegaudio/readme.txt:
	* gst/mpegaudio/release.txt:
	* gst/mpegaudio/subs.c:
	* gst/mpegaudio/table_absthr.h:
	* gst/mpegaudio/table_alloc.h:
	* gst/mpegaudio/table_cb.h:
	* gst/mpegaudio/table_enwindow.h:
	* gst/mpegaudio/table_th.h:
	* gst/mpegaudio/tables.c:
	* gst/mpegaudio/tonal.c:
	* po/af.po:
	* po/az.po:
	* po/cs.po:
	* po/en_GB.po:
	* po/hu.po:
	* po/it.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/uk.po:
	* po/vi.po:
	* sys/Makefile.am:

	  all these plugins are moved to gst-plugins-ugly

2005-08-31  Michael Smith <msmith@fluendo.com>

	* configure.ac:
	* gst/dvdlpcmdec/Makefile.am:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c: (gst_dvdlpcm_reset),
	(gst_dvdlpcmdec_init), (gst_dvdlpcmdec_link), (update_timestamps),
	(gst_dvdlpcmdec_chain):
	* gst/dvdlpcmdec/gstdvdlpcmdec.h:
	  Port LPCM decoder to 0.9

2005-08-30  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	  Remove plugins that should have disappeared.

2005-08-30  Jan Schmidt  <thaytan@mad.scientist.com>

	* autogen.sh:
	* configure.ac:
	  Make autogen work again.

2005-08-30  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* ext/Makefile.am:
	* ext/aalib/Makefile.am:
	* ext/aalib/gstaasink.c:
	* ext/aalib/gstaasink.h:
	* ext/cairo/Makefile.am:
	* ext/cairo/gstcairo.c:
	* ext/cairo/gsttextoverlay.c:
	* ext/cairo/gsttextoverlay.h:
	* ext/cairo/gsttimeoverlay.c:
	* ext/cairo/gsttimeoverlay.h:
	* ext/dv/Makefile.am:
	* ext/dv/NOTES:
	* ext/dv/demo-play.c:
	* ext/dv/gstdv.c:
	* ext/dv/gstdvdec.c:
	* ext/dv/gstdvdec.h:
	* ext/dv/gstdvdemux.c:
	* ext/dv/gstdvdemux.h:
	* ext/esd/Makefile.am:
	* ext/esd/README:
	* ext/esd/esdmon.c:
	* ext/esd/esdmon.h:
	* ext/esd/esdsink.c:
	* ext/esd/esdsink.h:
	* ext/esd/gstesd.c:
	* ext/flac/Makefile.am:
	* ext/flac/flac_compat.h:
	* ext/flac/gstflac.c:
	* ext/flac/gstflacdec.c:
	* ext/flac/gstflacdec.h:
	* ext/flac/gstflacenc.c:
	* ext/flac/gstflacenc.h:
	* ext/flac/gstflactag.c:
	* ext/flac/gstflactag.h:
	* ext/gconf/Makefile.am:
	* ext/gconf/gconf.c:
	* ext/gconf/gconf.h:
	* ext/gconf/gstgconfaudiosink.c:
	* ext/gconf/gstgconfaudiosink.h:
	* ext/gconf/gstgconfelements.c:
	* ext/gconf/gstgconfelements.h:
	* ext/gconf/gstgconfvideosink.c:
	* ext/gconf/gstgconfvideosink.h:
	* ext/gdk_pixbuf/Makefile.am:
	* ext/gdk_pixbuf/gst_loader.c:
	* ext/gdk_pixbuf/gstgdkanimation.c:
	* ext/gdk_pixbuf/gstgdkanimation.h:
	* ext/gdk_pixbuf/gstgdkpixbuf.c:
	* ext/gdk_pixbuf/gstgdkpixbuf.h:
	* ext/gdk_pixbuf/pixbufscale.c:
	* ext/gdk_pixbuf/pixbufscale.h:
	* ext/jpeg/Makefile.am:
	* ext/jpeg/README:
	* ext/jpeg/gstjpeg.c:
	* ext/jpeg/gstjpegdec.c:
	* ext/jpeg/gstjpegdec.h:
	* ext/jpeg/gstjpegenc.c:
	* ext/jpeg/gstjpegenc.h:
	* ext/jpeg/gstsmokedec.c:
	* ext/jpeg/gstsmokedec.h:
	* ext/jpeg/gstsmokeenc.c:
	* ext/jpeg/gstsmokeenc.h:
	* ext/jpeg/smokecodec.c:
	* ext/jpeg/smokecodec.h:
	* ext/jpeg/smokeformat.h:
	* ext/ladspa/Makefile.am:
	* ext/ladspa/gstladspa.c:
	* ext/ladspa/gstladspa.h:
	* ext/ladspa/gstsignalprocessor.c:
	* ext/ladspa/gstsignalprocessor.h:
	* ext/ladspa/load.c:
	* ext/ladspa/search.c:
	* ext/ladspa/utils.h:
	* ext/libcaca/Makefile.am:
	* ext/libcaca/gstcacasink.c:
	* ext/libcaca/gstcacasink.h:
	* ext/libmng/Makefile.am:
	* ext/libmng/gstmng.c:
	* ext/libmng/gstmng.h:
	* ext/libmng/gstmngdec.c:
	* ext/libmng/gstmngdec.h:
	* ext/libmng/gstmngenc.c:
	* ext/libmng/gstmngenc.h:
	* ext/libpng/Makefile.am:
	* ext/libpng/gstpng.c:
	* ext/libpng/gstpng.h:
	* ext/libpng/gstpngdec.c:
	* ext/libpng/gstpngdec.h:
	* ext/libpng/gstpngenc.c:
	* ext/libpng/gstpngenc.h:
	* ext/mikmod/Makefile.am:
	* ext/mikmod/README:
	* ext/mikmod/drv_gst.c:
	* ext/mikmod/gstmikmod.c:
	* ext/mikmod/gstmikmod.h:
	* ext/mikmod/mikmod_reader.c:
	* ext/mikmod/mikmod_types.c:
	* ext/mikmod/mikmod_types.h:
	* ext/pango/Makefile.am:
	* ext/pango/gsttextoverlay.c:
	* ext/pango/gsttextoverlay.h:
	* ext/pango/gsttimeoverlay.c:
	* ext/pango/gsttimeoverlay.h:
	* ext/raw1394/Makefile.am:
	* ext/raw1394/gst1394.c:
	* ext/raw1394/gstdv1394src.c:
	* ext/raw1394/gstdv1394src.h:
	* ext/shout2/Makefile.am:
	* ext/shout2/gstshout2.c:
	* ext/shout2/gstshout2.h:
	* ext/speex/Makefile.am:
	* ext/speex/gstspeex.c:
	* ext/speex/gstspeexdec.c:
	* ext/speex/gstspeexdec.h:
	* ext/speex/gstspeexenc.c:
	* ext/speex/gstspeexenc.h:
	* gst/avi/.cvsignore:
	* gst/avi/Makefile.am:
	* gst/avi/README:
	* gst/avi/avi-ids.h:
	* gst/avi/avi.vcproj:
	* gst/avi/gstavi.c:
	* gst/avi/gstavidemux.c:
	* gst/avi/gstavidemux.h:
	* gst/avi/gstavimux.c:
	* gst/avi/gstavimux.h:
	* gst/level/gstlevel.c: (gst_level_transform):
	* sys/Makefile.am:
	* sys/oss/.cvsignore:
	* sys/oss/Makefile.am:
	* sys/oss/gst-i18n-plugin.h:
	* sys/oss/gstossaudio.c:
	* sys/oss/gstossdmabuffer.c:
	* sys/oss/gstossdmabuffer.h:
	* sys/oss/gstosshelper.c:
	* sys/oss/gstosshelper.h:
	* sys/oss/gstossmixer.c:
	* sys/oss/gstossmixer.h:
	* sys/oss/gstossmixerelement.c:
	* sys/oss/gstossmixerelement.h:
	* sys/oss/gstossmixertrack.c:
	* sys/oss/gstossmixertrack.h:
	* sys/oss/gstosssink.c:
	* sys/oss/gstosssink.h:
	* sys/oss/gstosssrc.c:
	* sys/oss/gstosssrc.h:
	* sys/oss/oss_probe.c:
	* sys/osxaudio/Makefile.am:
	* sys/osxaudio/gstosxaudio.c:
	* sys/osxaudio/gstosxaudioelement.c:
	* sys/osxaudio/gstosxaudioelement.h:
	* sys/osxaudio/gstosxaudiosink.c:
	* sys/osxaudio/gstosxaudiosink.h:
	* sys/osxaudio/gstosxaudiosrc.c:
	* sys/osxaudio/gstosxaudiosrc.h:
	* sys/osxvideo/Makefile.am:
	* sys/osxvideo/cocoawindow.h:
	* sys/osxvideo/cocoawindow.m:
	* sys/osxvideo/osxvideosink.h:
	* sys/osxvideo/osxvideosink.m:
	  all these plugins are moved to gst-plugins-good

2005-08-28  Flavio Oliveira  <flavio.oliveira@indt.org.br>

	* gst/wavenc/gstwavenc.c: Ported to GStreamer 0.9.
	Need to fix performance issues.

2005-08-28  Andy Wingo  <wingo@pobox.com>

	* Updates for two-arg init from GST_BOILERPLATE.

	* ext/ladspa/gstsignalprocessor.c (gst_signal_processor_init): Use
	the second arg for the class, because G_OBJECT_GET_CLASS (self)
	returns the wrong thing.
	(gst_signal_processor_add_pad_from_template): Make pads of the
	right type.

	* ext/ladspa/gstladspa.c (gst_ladspa_class_get_param_spec): Make
	writable param specs G_PARAM_CONSTRUCT so default values work.
	(gst_ladspa_init): Use the second arg for the class.

2005-08-26  Andy Wingo  <wingo@pobox.com>

	* ext/ladspa/gstladspa.c: 
	* ext/ladspa/gstladspa.h: Finish porting, still doesn't work but
	it does compile and register. I have more features than you.
	
	* ext/ladspa/gstsignalprocessor.h: 
	* ext/ladspa/gstsignalprocessor.c: Updates, bug fixen.

2005-08-26  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/effectv/gstquark.c: (gst_quarktv_init),
	(gst_quarktv_change_state):
	  do proper cleanup/creation, fixes state changes

2005-08-25  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/level/gstlevel.c: (gst_level_message_new):
	Revert unpopular change for GST_MESSAGE_SRC to GObject.

2005-08-25  Andy Wingo  <wingo@pobox.com>

	* ext/ladspa/gstladspa.h: 
	* ext/ladspa/gstladspa.c: Halfway-ported. Doesn't compile yet.

	* ext/ladspa/gstsignalprocessor.h:
	* ext/ladspa/gstsignalprocessor.c: New files, the start of a base
	class for DSP elements.

	* configure.ac: Sort the external libs checks, add a ladspa check,
	output the ladspa makefile.

2005-08-25  Owen Fraser-Green  <owen@discobabe.net>

	* gst/realmedia/rmdemux.c (gst_rmdemux_loop, gst_rmdemux_chain):
	Fixed EOS.
	(gst_rmdemux_parse_indx_data, gst_rmdemux_parse_indx): Handle
	malformed index headers where the packet size is incorrect.

2005-08-24  Andy Wingo  <wingo@pobox.com>

	* ext/dv/gstdvdemux.c (gst_dvdemux_demux_frame): Send out valid
	segment end timestamps.

2005-08-24  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* ext/Makefile.am:
	  lame and mpegaudioparse seem to work
	* gst/videobox/gstvideobox.c: (gst_video_box_class_init),
	(gst_video_box_transform_caps), (gst_video_box_get_unit_size):
	  update for basetransform changes

2005-08-24  Jan Schmidt  <thaytan@mad.scientist.com>
	* gst/level/gstlevel.c: (gst_level_message_new):
	  GST_MESSAGE_SRC became a GObject

2005-08-23  Stefan Kost  <ensonic@users.sf.net>

	* ext/speex/gstspeexenc.h:
	  Fixed include path of adapter

2005-08-23  Wim Taymans  <wim@fluendo.com>

	* ext/speex/gstspeexdec.c: (gst_speex_dec_class_init):
	* ext/speex/gstspeexenc.c: (gst_speexenc_class_init):
	Fix property warning.

2005-08-23  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpamrdec.c: (gst_rtpamrdec_init),
	(gst_rtpamrdec_sink_setcaps), (gst_rtpamrdec_chain):
	* gst/rtp/gstrtpamrenc.c: (gst_rtpamrenc_class_init),
	(gst_rtpamrenc_init), (gst_rtpamrenc_chain):
	* gst/rtp/gstrtph263penc.c: (gst_rtph263penc_class_init),
	(gst_rtph263penc_flush), (gst_rtph263penc_chain):
	Small updates, RFC reference to payload encoders.

2005-08-23  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* ext/Makefile.am:
	* ext/speex/Makefile.am:
	* ext/speex/gstspeex.c: (plugin_init):
	* ext/speex/gstspeexdec.c: (speex_get_query_types),
	(gst_speex_dec_init), (speex_dec_src_query), (speex_dec_src_event),
	(speex_dec_event), (speex_dec_chain):
	  Port speexdec. Leads to some unfamiliar warnings on console,
	  but works otherwise.

2005-08-23  Andy Wingo  <wingo@pobox.com>

	* sys/oss/gstosssrc.c (gst_oss_src_open): Set the device-name
	property after opening the mixer.

	* sys/oss/gstosssrc.c: 
	* sys/oss/gstosssrc.h: Easy to implement a mixer, eh...

	* sys/oss/gstossmixerelement.h:
	* sys/oss/gstossmixerelement.c: Added mixer element like
	alsamixer.

	* sys/oss/Makefile.am: 
	* sys/oss/gstossaudio.c: Register the ossmixer element.
	
	* sys/oss/gstossmixer.h:
	* sys/oss/gstossmixer.c: Refactored to be more like alsamixer.

	* sys/oss/gstossmixertrack.h:
	* sys/oss/gstossmixertrack.c: Split out from gstossmixer.[ch],
	like gstalsamixer.

	* sys/oss/gstosssrc.c:
	* sys/oss/gstosssink.c: Where before we used a gstosselement
	object as a helper library, now just call functions from
	gstosshelper.

	* sys/oss/gstosshelper.h:
	* sys/oss/gstosshelper.c: Made a real library. Removed
	propertyprobe for now, should add it back later.
	
	* sys/oss/gstosselement.h:
	* sys/oss/gstosselement.c: Removed, we don't have a shared base
	class.
	
	* sys/oss/gstosshelper.c (gst_oss_helper_probe_caps): Search
	higher-to-lower, makes 16 bit appear earlier in the caps, which
	makes it preferred.

	* sys/oss/gstosssrc.h: 
	* sys/oss/gstosssrc.c: Totally ported, dude.

	* sys/oss/Makefile.am:
	* sys/oss/gstossaudio.c: Add osssrc.
	
	* sys/oss/gstosssink.c: We do native byte order.

2005-08-23  Owen Fraser-Green  <owen@discobabe.net>

	* gst/realmedia/rmdemux.c (gst_rmdemux_src_event): Fixed bug
	causing events to be passed wrong way.
	(gst_rmdemux_parse_packet): Avoid accidentally skipping audio.

2005-08-22  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/mad/gstid3tag.c: (gst_id3_tag_init),
	(gst_id3_tag_sink_event), (gst_id3_tag_do_caps_nego),
	(gst_id3_tag_chain), (gst_id3_tag_change_state), (plugin_init):
	  Works a bit better now, but still needs a rewrite to use
	  get_range instead of this seeking nastiness.

2005-08-22  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* ext/Makefile.am:
	* ext/flac/Makefile.am:
	* ext/flac/gstflac.c: (plugin_init):
	* ext/flac/gstflacdec.c: (flacdec_get_type), (gst_flacdec_init),
	(gst_flacdec_update_metadata), (gst_flacdec_seek),
	(gst_flacdec_tell), (gst_flacdec_length), (gst_flacdec_read),
	(gst_flacdec_write), (gst_flacdec_loop),
	(gst_flacdec_get_src_query_types), (gst_flacdec_src_query),
	(gst_flacdec_src_event), (gst_flacdec_sink_activate),
	(gst_flacdec_sink_activate_pull), (gst_flacdec_change_state):
	* ext/flac/gstflacdec.h:
	  Port flacdec (seeking is still slow'ish).

2005-08-22  Owen Fraser-Green  <owen@discobabe.net>

	* gst/realmedia/rmdemux.c: 
	(gst_rmdemux_perform_seek, gst_rmdemux_parse_packet): 
	Seeking improvements.

2005-08-19  Wim Taymans  <wim@fluendo.com>

	* gst/udp/gstmultiudpsink.c: (gst_multiudpsink_class_init):
	Remove get_time code that is both wrong and unneeded.

2005-08-19  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtph263penc.c: (gst_rtph263penc_class_init),
	(gst_rtph263penc_flush), (gst_rtph263penc_chain),
	(gst_rtph263penc_set_property), (gst_rtph263penc_get_property):
	* gst/rtp/gstrtph263penc.h:
	Added configurable pt and ssrc, to be merged in the caps or
	a base class...

2005-08-19  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtph263pdec.c: (gst_rtph263pdec_init),
	(gst_rtph263pdec_chain):
	* gst/rtp/gstrtph263penc.c: (gst_rtph263penc_class_init),
	(gst_rtph263penc_flush), (gst_rtph263penc_chain):
	Some cleanups in the h263p (de)payloaders.

2005-08-19  Wim Taymans  <wim@fluendo.com>

	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c: (gst_amrnbenc_setcaps):
	* ext/amrnb/amrnbparse.c:
	Update caps with audio/AMR.
	
	* gst/rtp/gstrtpamrdec.c: (gst_rtpamrdec_init),
	(gst_rtpamrdec_sink_setcaps), (gst_rtpamrdec_chain),
	(gst_rtpamrdec_change_state):
	* gst/rtp/gstrtpamrdec.h:
	* gst/rtp/gstrtpamrenc.c: (gst_rtpamrenc_class_init),
	(gst_rtpamrenc_init), (gst_rtpamrenc_chain):
	Dont set FT headers twice, it was already in the encoded
	bitstream.
	
	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send), (gst_rtspsrc_open),
	(gst_rtspsrc_close), (gst_rtspsrc_play):
	* gst/rtsp/rtspconnection.c: (parse_line):
	Cleanups
	
	* gst/udp/gstudpsrc.c: (gst_udpsrc_class_init),
	(gst_udpsrc_create), (gst_udpsrc_set_property),
	(gst_udpsrc_get_property):
	* gst/udp/gstudpsrc.h:
	Added caps property, we need this soon to type the buffers.

2005-08-18  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpamrdec.c: (gst_rtpamrdec_init),
	(gst_rtpamrdec_chain):
	Fix up amr depayloader a bit.

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send), (gst_rtspsrc_open),
	(gst_rtspsrc_close), (gst_rtspsrc_play):
	Look for options result in Public and Allow header fields..
	spec says Allow but some servers return Public...

2005-08-18  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/gstrtpamrenc.c: (gst_rtpamrenc_class_init),
	(gst_rtpamrenc_init), (gst_rtpamrenc_chain),
	(gst_rtpamrenc_set_property), (gst_rtpamrenc_get_property):
	* gst/rtp/gstrtpamrenc.h:
	Added payload_type and ssrc properties to the payloader.

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send), (gst_rtspsrc_open),
	(gst_rtspsrc_close), (gst_rtspsrc_play):
	Options need to be stripped and are in the Public header field.

	* gst/rtsp/rtspurl.c: (rtsp_url_parse):
	Fix url / parsing...


2005-08-18  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtp.c: (plugin_init):
	* gst/rtp/gstrtpamrdec.c: (gst_rtpamrdec_get_type),
	(gst_rtpamrdec_base_init), (gst_rtpamrdec_class_init),
	(gst_rtpamrdec_init), (gst_rtpamrdec_chain),
	(gst_rtpamrdec_set_property), (gst_rtpamrdec_get_property),
	(gst_rtpamrdec_change_state), (gst_rtpamrdec_plugin_init):
	* gst/rtp/gstrtpamrdec.h:
	* gst/rtp/gstrtpamrenc.c: (gst_rtpamrenc_get_type),
	(gst_rtpamrenc_base_init), (gst_rtpamrenc_class_init),
	(gst_rtpamrenc_init), (gst_rtpamrenc_chain),
	(gst_rtpamrenc_set_property), (gst_rtpamrenc_get_property),
	(gst_rtpamrenc_change_state), (gst_rtpamrenc_plugin_init):
	* gst/rtp/gstrtpamrenc.h:
	* gst/rtp/gstrtpmpaenc.c: (gst_rtpmpaenc_class_init),
	(gst_rtpmpaenc_flush), (gst_rtpmpaenc_chain):
	Added very simplistic amr payloader. depayloader does not
	work yet.

2005-08-18  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_send), (gst_rtspsrc_open),
	(gst_rtspsrc_close), (gst_rtspsrc_play), (gst_rtspsrc_pause),
	(gst_rtspsrc_change_state):
	* gst/rtsp/gstrtspsrc.h:
	* gst/rtsp/rtspdefs.c: (rtsp_method_as_text), (rtsp_find_method):
	* gst/rtsp/rtspdefs.h:
	* gst/rtsp/rtsptransport.c: (rtsp_transport_parse):
	Handle RTSP defaults better.
	Issue OPTIONS request to figure out what we are allowed to do.
	Make the methods a bitfield so we can easily collect supported 
	options.
	Fix rtsp_find_method.
	Do proper RTSP connection shutdown.

2005-08-18  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtp-common.h:
	* gst/rtp/gstrtp.c: (plugin_init):
	* gst/rtp/gstrtpL16enc.h:
	* gst/rtp/gstrtpdec.c: (gst_rtpdec_get_type),
	(gst_rtpdec_class_init), (gst_rtpdec_chain_rtp),
	(gst_rtpdec_chain_rtcp), (gst_rtpdec_change_state),
	(gst_rtpdec_plugin_init):
	* gst/rtp/gstrtph263pdec.c: (gst_rtph263pdec_get_type),
	(gst_rtph263pdec_base_init), (gst_rtph263pdec_class_init),
	(gst_rtph263pdec_init), (gst_rtph263pdec_chain),
	(gst_rtph263pdec_set_property), (gst_rtph263pdec_get_property),
	(gst_rtph263pdec_change_state), (gst_rtph263pdec_plugin_init):
	* gst/rtp/gstrtph263pdec.h:
	* gst/rtp/gstrtph263penc.c: (gst_rtph263penc_get_type),
	(gst_rtph263penc_base_init), (gst_rtph263penc_class_init),
	(gst_rtph263penc_init), (gst_rtph263penc_flush),
	(gst_rtph263penc_chain), (gst_rtph263penc_set_property),
	(gst_rtph263penc_get_property), (gst_rtph263penc_change_state),
	(gst_rtph263penc_plugin_init):
	* gst/rtp/gstrtph263penc.h:
	* gst/rtp/gstrtpmpadec.c: (gst_rtpmpadec_get_type),
	(gst_rtpmpadec_base_init), (gst_rtpmpadec_class_init),
	(gst_rtpmpadec_init), (gst_rtpmpadec_chain),
	(gst_rtpmpadec_set_property), (gst_rtpmpadec_get_property),
	(gst_rtpmpadec_change_state), (gst_rtpmpadec_plugin_init):
	* gst/rtp/gstrtpmpadec.h:
	* gst/rtp/gstrtpmpaenc.c: (gst_rtpmpaenc_get_type),
	(gst_rtpmpaenc_base_init), (gst_rtpmpaenc_class_init),
	(gst_rtpmpaenc_init), (gst_rtpmpaenc_flush), (gst_rtpmpaenc_chain),
	(gst_rtpmpaenc_set_property), (gst_rtpmpaenc_get_property),
	(gst_rtpmpaenc_change_state), (gst_rtpmpaenc_plugin_init):
	* gst/rtp/gstrtpmpaenc.h:
	* gst/rtp/rtp-packet.c:
	* gst/rtp/rtp-packet.h:
	Remove old code that is now in gst-libs/gst/rtp/.
	Added some payload/depayloaders.

	* gst/udp/gstudpsink.c: (gst_udpsink_class_init):
	Fix port number range.

2005-08-17  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	Added mpegaudioparse

	* ext/lame/gstlame.c: (gst_lame_src_getcaps),
	(gst_lame_src_setcaps), (gst_lame_sink_setcaps),
	(gst_lame_sink_event), (gst_lame_chain):
	Some cleanups.
	Fix memleak.

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	(gst_mp3parse_class_init), (gst_mp3parse_init),
	(gst_mp3parse_chain), (gst_mp3parse_change_state):
	* gst/mpegaudioparse/gstmpegaudioparse.h:
	Ported mpegaudioparse

2005-08-17  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_open), (gst_rtspsrc_play):
	Support absolute control urls too.

2005-08-16  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_parse_stream),
	(gst_avi_demux_stream_header):
	* gst/qtdemux/qtdemux.c: (gst_qtdemux_change_state),
	(gst_qtdemux_add_stream), (qtdemux_parse_tree):
	  Uncomment metadata and codec-name handling.

2005-08-16  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	* ext/amrnb/amrnbparse.c: (gst_amrnbparse_read_header):
	Fix compile warning.

	* ext/lame/gstlame.c: (gst_lame_class_init),
	(gst_lame_src_getcaps), (gst_lame_src_setcaps),
	(gst_lame_sink_setcaps), (gst_lame_init), (gst_lame_sink_event),
	(gst_lame_chain), (gst_lame_change_state):
	* ext/lame/gstlame.h:
	Port lame plugin

2005-08-16  Andy Wingo  <wingo@pobox.com>

	* ext/dv/gstdvdemux.c (gst_dvdemux_flush): Use gst_adapter_take so
	we have our own copy of the data.
	(gst_dvdemux_demux_video): Set the take() data as malloc_data so
	it will get freed later.

	* ext/raw1394/gstdv1394src.c (gst_dv1394src_iso_receive): Note
	license info in the source code -- was only in the commit log
	before.

	* ext/dv/gstdvdec.h:
	* ext/dv/gstdvdec.c: Only decodes systemstream=FALSE dv video --
	old pipelines using dvdec should probably have a dvdemux first.

	* ext/dv/gstdvdemux.h:
	* ext/dv/gstdvdemux.c: Split out from dvdec, chunks the incoming
	systemstream=TRUE data into frames, sets caps data, and spits out
	PCM audio in addition to systemstream=FALSE video frames. Operates
	in chain mode only for now; should make a getrange version as
	well.

	* ext/dv/gstdv.c: New file, registers the libgstdv plugin.

	* ext/dv/Makefile.am: Library name changed to libgstdv. Split
	dvdec into dvdemux and dvdec.

2005-08-16  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faad/gstfaad.c: (gst_faad_event), (gst_faad_chain):
	* gst/qtdemux/qtdemux.c: (gst_qtdemux_loop_header):
	  Handle _push() return values.

2005-08-15  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faad/gstfaad.c: (gst_faad_event):
	* gst/qtdemux/qtdemux.c: (gst_qtdemux_loop_header):
	  Fix debug.

2005-08-15  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/qtdemux/qtdemux.c: (qtdemux_parse_trak),
	(qtdemux_video_caps):
	  Forwardport from 0.8 to implement RLE.

2005-08-15  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/README:
	Added rtsp server implementation docs.

2005-08-14  Thomas Vander Stichele  <thomas at apestaart dot org>

	* ext/aalib/gstaasink.c:
	  aalib is LGPL, so this plugin can be LGPL
	* ext/arts/gst_arts.c: (plugin_init):
	  rename, we don't like underscores
	* ext/audiofile/gstaf.c:
	* ext/sndfile/gstsf.c:
	  rename, we like a descriptive plugin name
	* ext/gconf/gstgconfelements.c:
	  change description a little
	* ext/musicbrainz/gsttrm.c:
	  musicbrainz is LGPL, so plugin can be LGPL
	* ext/raw1394/gst1394.c:
	  rename, we like all-digit names
	* gst/equalizer/gstiirequalizer.c:
	* gst/fdsrc/gstfdsrc.c:
	* gst/multifilesink/gstmultifilesink.c:
	  rename
	* gst/virtualdub/gstvirtualdub.c:
	  use GST_PLUGIN_DEFINE
	* sys/dxr3/dxr3init.c:
	  only uses system headers, and code is LGPL, so plugin is LGPL

2005-08-13  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/mad/Makefile.am:
	* gst/avi/Makefile.am:
	* gst/effectv/Makefile.am:
	* gst/udp/Makefile.am:
	* gst/wavparse/Makefile.am:
	  Use -lgstfoo-@GST_MAJORMINOR@ instead of -lgstfoo-0.9

2005-08-12  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/jpeg/gstjpegdec.c: (gst_jpeg_dec_decode_indirect),
	(gst_jpeg_dec_decode_direct), (gst_jpeg_dec_chain):
	  Fix decoding of pictures with certain uneven or unaligned
	  widths where jpeglib needs more horizontal padding than our
	  I420 buffers provide, resulting in blocky artifacts at the
	  left side of the picture (#164176). 
	  Also make use of our shiny new GST_ROUND_N() macros.

2005-08-11  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/jpeg/gstjpegdec.c: (gst_jpeg_dec_init), (gst_jpeg_dec_chain),
	(gst_jpeg_dec_change_state):
	* ext/jpeg/gstjpegdec.h:
	  Fix crashes/invalid memory access for pictures that have a height
	  that is not a multiple of 16 (or rather: v_samp_factor * DCTSIZE).
	  
	  Also fix the state change function for downwards state changes
	  (need to chain up to parent before destroying our resources, to 
	  make sure pads get deactivated and our chain function isn't
	  running and using those very same resources in another thread).

	  The jpeg line buffer only needs to be v_samp_factor*DCTSIZE lines
	  per plane, not picture_height lines; allocate that on the stack.

2005-08-10  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_stream_headers),
	(gst_wavparse_stream_data):
	  Add some fixes from 0.8 branch: allow 24/32bps songs and
	  blockalign samples to the header-specified size, if any
	  (#311070); error out on channels==0 or bitrate==0 
	  (#309043, #304588).

2005-08-10  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/level/gstlevel.c: (gst_level_init), (gst_level_set_caps),
	(gst_level_transform):
	* gst/level/gstlevel.h:
	  remove unused MS struct member
	  don't reset the CS values for channels on every _chain, so that
	  level actually correctly calculates the RMS value.  sigh.
	  calculate RMS values correctly for peak and decay peak sums;
	  before we were signalling them as if they already were amplitude
	  and not power values.  sigh.
	Remind me to not try and pretend I'm writing DSP code.

2005-08-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faad/gstfaad.c: (gst_faad_class_init), (gst_faad_setcaps):
	  Add debug category, remove Close() call that made it crash
	  whenever reusing, renegotiating or anything; Close() actually
	  free()s the handle and should only be called on READY->NULL.
	* gst/qtdemux/qtdemux.c: (gst_qtdemux_loop_header):
	  Actually set caps on buffer (in addition to pad), also.

2005-08-10  Owen Fraser-Green  <owen@discobabe.net>

	* gst/realmedia/rmdemux.c (gst_rmdemux_sink_activate) 
	(gst_rmdemux_sink_activate_push, gst_rmdemux_sink_activate_pull) 
	(gst_rmdemux_loop, gst_rmdemux_src_event) 
	(gst_rmdemux_perform_seek, gst_rmdemux_src_query): Implemented
	push-pull and seeking.

2005-08-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faad/gstfaad.c: (gst_faad_event):
	  Sign/unsign mismatch.
	* configure.ac:
	* gst/qtdemux/qtdemux.c: (gst_qtdemux_class_init),
	(gst_qtdemux_init), (gst_qtdemux_get_src_query_types),
	(gst_qtdemux_handle_src_query), (gst_qtdemux_handle_src_event),
	(plugin_init), (gst_qtdemux_handle_sink_event),
	(gst_qtdemux_change_state), (gst_qtdemux_loop_header),
	(qtdemux_sink_activate), (qtdemux_sink_activate_pull),
	(gst_qtdemux_add_stream), (qtdemux_parse), (qtdemux_parse_tree),
	(qtdemux_parse_trak), (qtdemux_video_caps), (qtdemux_audio_caps):
	* gst/qtdemux/qtdemux.h:
	  Half-assed port (hey, it works).

2005-08-09  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_stream_header):
	  Fix AVI header parsing: add missing break statement after
	  GST_RIFF_INFO_LIST parsing code; gst_riff_read_chunk() has
	  already advanced the avi->offset, no need to do it twice
	  (fixes MovieOfMovies.avi).

2005-08-09  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/jpeg/gstjpegdec.c: (gst_jpeg_dec_init),
	(gst_jpeg_dec_setcaps), (gst_jpeg_dec_chain),
	(gst_jpeg_dec_change_state):
	* ext/jpeg/gstjpegdec.h:
	  Make mjpeg actually work and skip jpeg data parsing if we
	  know that the input is packetized (ie. each input buffer
	  is exactly one jpeg frame).

2005-08-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mad/gstmad.c: (gst_mad_init), (gst_mad_chain):
	  It'd be nice if I could listen to my mp3 files, so send out an
	  initial discont, as the sink apparently wants.

2005-08-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_handle_src_event),
	(gst_avi_demux_handle_seek):
	  Fix seeking (or, well, fix threading issue where a variable was
	  set before a lock was taken and was already unset before that
	  same lock was taken and was thus no longer in existance when it
	  actually had to be used).

2005-08-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_process_next_entry):
	  Mixing binary and logical operators is not going to work; fix
	  position-querying in Totem.

2005-08-08  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/faad/gstfaad.c: (gst_faad_base_init), (gst_faad_class_init),
	(gst_faad_init), (gst_faad_setcaps), (gst_faad_srcgetcaps),
	(gst_faad_event), (gst_faad_update_caps), (gst_faad_chain),
	(gst_faad_change_state):
	* ext/faad/gstfaad.h:
	  Fix negotiation (#310932) and miscellaneous other stuff. Probably
	  still needs some more work.

2005-08-08  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/jpeg/gstjpegdec.c: (gst_jpeg_dec_init),
	(gst_jpeg_dec_setcaps), (gst_jpeg_dec_chain):
	  Add setcaps() function (for mjpeg).

2005-08-08  Andy Wingo  <wingo@pobox.com>

	* ext/esd/esdsink.c (gst_esdsink_getcaps): Seems that wierd
	va_list caps setting function was borked. Fixed esdsink.

	* sys/oss/gstosssink.c (gst_oss_sink_open, gst_oss_sink_close) 
	(gst_oss_sink_prepare, gst_oss_sink_unprepare): Update for newer
	audiosink api.

	* ext/raw1394/gstdv1394src.c (gst_dv1394src_get_property) 
	(gst_dv1394src_set_property): Style. All about the style.

	* ext/esd/esdsink.c (gst_esdsink_getcaps): Return specific caps
	only if in READY or higher (i.e., if _open() has been called.)
	(gst_esdsink_open, gst_esdsink_close, gst_esdsink_prepare) 
	(gst_esdsink_unprepare): Update for audiosink changes.
	(gst_esdsink_change_state): Die!

2005-08-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/jpeg/Makefile.am:
	  Fix compile.

2005-08-08  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	* ext/Makefile.am:
	* ext/jpeg/Makefile.am:
	* ext/jpeg/gstjpeg.c: (plugin_init):
	* ext/jpeg/gstjpegdec.c: (gst_jpeg_dec_get_type),
	(gst_jpeg_dec_finalize), (gst_jpeg_dec_base_init),
	(gst_jpeg_dec_class_init), (gst_jpeg_dec_fill_input_buffer),
	(gst_jpeg_dec_init_source), (gst_jpeg_dec_skip_input_data),
	(gst_jpeg_dec_resync_to_restart), (gst_jpeg_dec_term_source),
	(gst_jpeg_dec_my_output_message), (gst_jpeg_dec_my_emit_message),
	(gst_jpeg_dec_my_error_exit), (gst_jpeg_dec_init),
	(is_jpeg_start_marker), (is_jpeg_end_marker),
	(gst_jpeg_dec_find_jpeg_header), (gst_jpeg_dec_ensure_header),
	(gst_jpeg_dec_have_end_marker),
	(gst_jpeg_dec_parse_tag_has_entropy_segment),
	(gst_jpeg_dec_parse_image_data), (gst_jpeg_dec_chain),
	(gst_jpeg_dec_change_state):
	* ext/jpeg/gstjpegdec.h:
	  Port jpegdec to 0.9; handles 'progressive loading' now, ie. input does
	  no longer need to be one single buffer.

2005-08-04  Andy Wingo  <wingo@pobox.com>

	* sys/oss/gstossaudio.c (plugin_init): Second-class citizen.

	* gst/videobox/gstvideobox.c (gst_video_box_get_size): Update for
	API changes.

	* configure.ac (DEFAULT_AUDIOSINK, DEFAULT_VIDEOSINK): Set to
	autoaudiosink and autovideosink.

2005-08-04  Edward Hervey  <edward@fluendo.com>

	* gst/avi/gstavidemux.c: (gst_avi_demux_reset),
	(gst_avi_demux_parse_stream), (gst_avi_demux_process_next_entry):
	You need to allocatate (len+1) characters to store a len size string.
	Also don't stop the processing task if the output pad is not linked.

2005-08-03  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/gconf/gstgconfaudiosink.c: (gst_gconf_audio_sink_reset),
	(gst_gconf_audio_sink_init), (do_toggle_element),
	(cb_toggle_element), (gst_gconf_audio_sink_change_state):
	* ext/gconf/gstgconfaudiosink.h:
	* ext/gconf/gstgconfvideosink.c: (gst_gconf_video_sink_reset),
	(gst_gconf_video_sink_init), (do_toggle_element),
	(cb_toggle_element), (gst_gconf_video_sink_change_state):
	* ext/gconf/gstgconfvideosink.h:
	* gst/autodetect/gstautoaudiosink.c: (gst_auto_audio_sink_reset),
	(gst_auto_audio_sink_init), (gst_auto_audio_sink_detect),
	(gst_auto_audio_sink_change_state):
	* gst/autodetect/gstautoaudiosink.h:
	* gst/autodetect/gstautovideosink.c: (gst_auto_video_sink_reset),
	(gst_auto_video_sink_init), (gst_auto_video_sink_detect),
	(gst_auto_video_sink_change_state):
	* gst/autodetect/gstautovideosink.h:
	  Use new ghostpad API; now they actually work in Totem, also.

2005-08-03  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/libpng/Makefile.am:
	  Fix uninstalled build.

2005-08-02  Edward Hervey  <edward@fluendo.com>

	* configure.ac:
	* ext/Makefile.am:
	* ext/libpng/Makefile.am:
	* ext/libpng/gstpng.c:
	* ext/libpng/gstpngenc.c:
	Ported pngenc , still have to port pngdec...

2005-08-01  Stefan Kost  <ensonic@users.sf.net>

	reviewed by: <delete if not using a buddy>

	* configure.ac:
	* ext/ladspa/Makefile.am:
	* ext/ladspa/gstladspa.c: (gst_ladspa_init), (gst_ladspa_loop),
	(gst_ladspa_chain), (gst_ladspa_get), (plugin_init):
	* ext/ladspa/gstladspa.h:
          deactivate and remove dparams (libgstcontrol)

2005-07-27  Wim Taymans  <wim@fluendo.com>

	* ext/faad/gstfaad.c: (gst_faad_event):
	Compile fixes.

2005-07-27  Wim Taymans  <wim@fluendo.com>

	* ext/amrnb/amrnbparse.c: (gst_amrnbparse_event),
	(gst_amrnbparse_loop):
	* ext/dv/gstdvdec.c: (gst_dvdec_handle_sink_event),
	(gst_dvdec_handle_src_event), (gst_dvdec_decode_frame):
	* ext/mad/gstid3tag.c: (gst_id3_tag_src_event),
	(gst_id3_tag_sink_event), (gst_id3_tag_chain):
	* ext/mad/gstmad.c: (gst_mad_src_query), (index_seek),
	(normal_seek), (gst_mad_sink_event), (gst_mad_chain):
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/shout2/gstshout2.c: (gst_shout2send_event):
	* ext/sidplay/gstsiddec.cc:
	* gst/avi/gstavidemux.c: (gst_avi_demux_handle_src_event),
	(gst_avi_demux_send_event), (gst_avi_demux_stream_header),
	(gst_avi_demux_handle_seek), (gst_avi_demux_process_next_entry):
	* gst/goom/gstgoom.c: (gst_goom_event):
	* gst/realmedia/rmdemux.c: (gst_rmdemux_sink_event),
	(gst_rmdemux_chain), (gst_rmdemux_send_event),
	(gst_rmdemux_add_stream):
	* gst/wavparse/gstwavparse.c: (gst_wavparse_handle_seek),
	(gst_wavparse_stream_headers), (gst_wavparse_stream_data),
	(gst_wavparse_loop), (gst_wavparse_srcpad_event):
	Various event updates and cleanups.

2005-07-25  Christian Schaller  <uraeus@gnome.org>


	* gst-plugins.spec.in: add silence and videoflip
	* gst/videofilter/Makefile.am: add missing header to noinst

2005-07-25  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/videofilter/Makefile.am:
	* gst/videofilter/gstgamma.c: (gst_gamma_setup):
	* gst/videofilter/gstvideobalance.c: (gst_videobalance_setup):
	* gst/videofilter/gstvideofilter.c: (gst_videofilter_class_init),
	(gst_videofilter_getcaps), (gst_videofilter_setcaps),
	(gst_videofilter_init), (gst_videofilter_chain),
	(gst_videofilter_set_property), (gst_videofilter_get_property),
	(gst_videofilter_setup), (gst_videofilter_class_add_pad_templates):
	* gst/videofilter/gstvideofilter.h:
	* gst/videofilter/gstvideoflip.c: (gst_videoflip_init),
	(gst_videoflip_set_property), (gst_videoflip_get_property),
	(plugin_init), (gst_videoflip_setup), (gst_videoflip_planar411):
	  forward port from 0.9 and enable videoflip now that it works

2005-07-23  Edward Hervey  <edward@fluendo.com>

	* configure.ac:
	* gst/silence/Makefile.am:
	* gst/silence/gstsilence.h:
	* gst/silence/gstsilence.c:
	Ported silence to 0.9 using GstBaseSrc ... 180 lines :)

2005-07-22  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mad/gstmad.c: (gst_mad_src_event):
	  First try forwarding events, makes seeking in AVI files with mp3
	  audio work again.

2005-07-20  Andy Wingo  <wingo@pobox.com>

	* ext/mpeg2dec/gstmpeg2dec.c (gst_mpeg2dec_sink_event): Signedness
	fix.

2005-07-20  Edward Hervey  <edward@fluendo.com>

	* configure.ac: 
	* gst/wavparse/gstwavparse.c: 
	* gst/wavparse/gstwavparse.h:
	* gst/wavparse/Makefile.am:
	Ported wavparse to 0.9 . Playing, seeking and state changes work.
	Could need more loving on the headers though.

2005-07-20  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* ext/Makefile.am:
	* ext/gconf/Makefile.am:
	* ext/gconf/gconf.c: (gst_bin_find_unconnected_pad),
	(gst_gconf_render_bin_from_description),
	(gst_gconf_get_default_video_sink):
	* ext/gconf/gstgconfaudiosink.c: (gst_gconf_audio_sink_base_init),
	(gst_gconf_audio_sink_class_init), (gst_gconf_audio_sink_dispose),
	(cb_toggle_element), (gst_gconf_audio_sink_change_state):
	* ext/gconf/gstgconfelements.h:
	* ext/gconf/gstgconfvideosink.c: (gst_gconf_video_sink_base_init),
	(gst_gconf_video_sink_class_init), (gst_gconf_video_sink_dispose),
	(cb_toggle_element), (gst_gconf_video_sink_change_state):
	* gst/autodetect/gstautoaudiosink.c:
	(gst_auto_audio_sink_base_init), (gst_auto_audio_sink_class_init),
	(gst_auto_audio_sink_detect), (gst_auto_audio_sink_change_state):
	* gst/autodetect/gstautovideosink.c:
	(gst_auto_video_sink_base_init), (gst_auto_video_sink_class_init),
	(gst_auto_video_sink_find_best), (gst_auto_video_sink_detect):
	  Port auto/gconfsinks to 0.9. They actually appear to work here in
	  Totem as well, making them actually useful.

2005-07-20  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faad/Makefile.am:
	  Fix uninstalled build.

2005-07-19  Wim Taymans  <wim@fluendo.com>

	* sys/oss/gstosssink.c: (gst_oss_sink_get_format),
	(gst_oss_sink_open):
	Parse spec to set correct oss values.

2005-07-19  Edgard N. A. G. Lima <edgard.lima@indt.org.br>

        * configure.ac
	* ext/Makefile.am
	* ext/amrnb/amrnbdec.c
	* ext/amrnb/amrnbenc.c
	* ext/amrnb/amrnbparse.c
	* ext/faad/gstfaad.c
	* ext/mpeg2dec/gstmpeg2dec.c
	Ported amrnb, faad, mpeg2dec to 0.9

2005-07-19  Andy Wingo  <wingo@pobox.com>

	* ext/dv/gstdvdec.c (gst_dvdec_decode_video): Set the proper
	framerate on the outbound buffer.

	* ext/dv/gstdvdec.c (gst_dvdec_decode_video): Don't clobber
	alloc_buffer's return value.
	(gst_dvdec_decode_frame): Handle unlinked pads with grace and
	agility.

	* ext/dv/gstdvdec.h: Fix signedness error.

2005-07-19  Wim Taymans  <wim@fluendo.com>

	* ext/dv/gstdvdec.c: (gst_dvdec_init), (gst_dvdec_src_convert),
	(gst_dvdec_sink_convert), (gst_dvdec_get_src_query_types),
	(gst_dvdec_src_query), (gst_dvdec_get_sink_query_types),
	(gst_dvdec_sink_query), (gst_dvdec_send_event),
	(gst_dvdec_handle_sink_event), (gst_dvdec_handle_src_event),
	(gst_dvdec_decode_audio), (gst_dvdec_decode_video),
	(gst_dvdec_decode_frame), (gst_dvdec_flush), (gst_dvdec_chain):
	* ext/dv/gstdvdec.h:
	Implemented seeking in dvdec.

2005-07-19  Andy Wingo  <wingo@pobox.com>

	* ext/Makefile.am: Enable dvdev and raw1394src.

2005-07-18  Andy Wingo  <wingo@pobox.com>

	* configure.ac: Use AS_LIBTOOL_TAGS. Fix crap gettext commit
	comment.

2005-07-18  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtspsrc_add_element),
	(gst_rtspsrc_play):
	Fix for core changes.

2005-07-18  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/mad/gstid3tag.c: (gst_id3_tag_sink_event):
	  When returning to NORMAL state after reading tags,
	  pass on the discont event.

2005-07-18  Wim Taymans  <wim@fluendo.com>

	* gst/realmedia/rmdemux.c: (gst_rmdemux_sink_event),
	(gst_rmdemux_change_state), (gst_rmdemux_chain),
	(gst_rmdemux_get_stream_by_id), (gst_rmdemux_send_event),
	(gst_rmdemux_add_stream):
	Send discont event before pushing first buffer.

2005-07-17  Philippe Khalaf <burger@speedy.org>

	* gst/fdsrc/gstfdsrc.c:
	Removed #include <gst_private.h>

2005-07-16  Philippe Khalaf <burger@speedy.org>

	* gst/fdsrc/gstfdsrc.c:
	* gst/fdsrc/gstfdsrc.h:
	* gst/fdsrc/Makefile.am:
	Moved fdsrc 0.9 port from gstreamer/gst/elements to here.

2005-07-16  Wim Taymans  <wim@fluendo.com>

	* ext/mad/gstmad.c: (gst_mad_src_query), (gst_mad_sink_event),
	(gst_mad_chain):
	Add convert function for proper timestamp calculations.

	* gst/avi/gstavidemux.c: (gst_avi_demux_send_event),
	(gst_avi_demux_stream_header), (gst_avi_demux_handle_seek),
	(gst_avi_demux_process_next_entry), (gst_avi_demux_loop):
	Send out initial discont.

2005-07-15  Wim Taymans  <wim@fluendo.com>

	* gst/level/gstlevel.c: (gst_level_transform):
	* gst/videobox/gstvideobox.c: (gst_video_box_class_init),
	(gst_video_box_get_size), (gst_video_box_transform):
	Port to new base class.

2005-07-14  Wim Taymans  <wim@fluendo.com>

	* ext/raw1394/gstdv1394src.c: (gst_dv1394src_get_type),
	(gst_dv1394src_class_init), (gst_dv1394src_init),
	(gst_dv1394src_iso_receive), (gst_dv1394src_create),
	(gst_dv1394src_change_state), (gst_dv1394src_query):
	It's PUSH_SRC now.

2005-07-14  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_get_type),
	(gst_udpsrc_class_init):
	  more autistic cleanliness in functions/names/defines


2005-07-10  Thomas Vander Stichele  <thomas at apestaart dot org>

	* ext/aalib/gstaasink.c: (gst_aasink_get_type),
	(gst_aasink_class_init), (gst_aasink_init):
	* ext/esd/esdsink.c: (gst_esdsink_get_type),
	(gst_esdsink_class_init):
	* ext/libcaca/gstcacasink.c: (gst_cacasink_get_type),
	(gst_cacasink_class_init), (gst_cacasink_init):
	* ext/shout2/gstshout2.c: (gst_shout2send_get_type),
	(gst_shout2send_class_init), (gst_shout2send_init):
	* gst/udp/gstdynudpsink.c: (gst_dynudpsink_get_type),
	(gst_dynudpsink_class_init):
	* gst/udp/gstmultiudpsink.c: (gst_multiudpsink_get_type),
	(gst_multiudpsink_class_init):
	  more macro splitting

2005-07-08  Andy Wingo  <wingo@pobox.com>

	* sys/oss/: Port from THREADED+wim's fixes.

	* gst/avi/Makefile.am (libgstavi_la_CFLAGS): No gettext hacks, the
	defines come from config.h.

	* autogen.sh: Run autopoint, etc.

	* Makefile.am (DIST_SUBDIRS, SUBDIRS): Go into po/.

	* configure.ac: Add gettext stuff.

2005-07-07  Wim Taymans  <wim@fluendo.com>

	* gst/videobox/gstvideobox.c: (gst_video_box_init),
	(gst_video_box_transform_caps), (gst_video_box_set_caps):
	Logic was reversed. Needs some  more fixes in the transform
	function to include AYUV output.
	Moved AYUV as prefered format.

2005-07-07  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	* ext/dv/Makefile.am:
	* ext/dv/gstdvdec.c: (gst_dvdec_class_init), (gst_dvdec_init),
	(gst_dvdec_get_src_query_types), (gst_dvdec_src_query),
	(gst_dvdec_handle_sink_event), (gst_dvdec_handle_src_event),
	(gst_dvdec_video_getcaps), (gst_dvdec_video_setcaps),
	(gst_dvdec_decode_audio), (gst_dvdec_decode_video),
	(gst_dvdec_decode_frame), (gst_dvdec_chain),
	(gst_dvdec_change_state), (gst_dvdec_set_property),
	(gst_dvdec_get_property), (plugin_init):
	* ext/dv/gstdvdec.h:
	* ext/esd/esdsink.c: (gst_esdsink_class_init):
	Ported DVdec to 0.9.
	Parent of esdsink is GstAudioSink.

2005-07-07  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	* ext/raw1394/Makefile.am:
	* ext/raw1394/gstdv1394src.c: (gst_dv1394src_get_type),
	(gst_dv1394src_class_init), (gst_dv1394src_init),
	(gst_dv1394src_iso_receive), (gst_dv1394src_create),
	(gst_dv1394src_change_state), (gst_dv1394src_convert),
	(gst_dv1394src_get_query_types), (gst_dv1394src_query):
	* ext/raw1394/gstdv1394src.h:
	Ported the 1394 source to 0.9.

2005-07-07  Wim Taymans  <wim@fluendo.com>

	* ext/mad/gstid3tag.c: (gst_id3_tag_get_query_types):
	* ext/mad/gstmad.c: (gst_mad_get_query_types), (gst_mad_src_query):
	* gst/avi/gstavidemux.c: (gst_avi_demux_get_src_query_types):
	Remove deprecated/unsed code.

2005-07-06  Edward Hervey  <edward@fluendo.com>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_init): 
	GST_BASESRC --> GST_BASE_SRC

2005-07-05  Andy Wingo  <wingo@pobox.com>

	* gst/oneton: Removed (replaced by deinterleave).

	* gst/adder:
	* gst/audioconvert:
	* gst/audiorate:
	* gst/audioscale:
	* gst/ffmpegcolorspace:
	* gst/playback:
	* gst/sine:
	* gst/subparse:
	* gst/tags:
	* gst/tcp:
	* gst/videoscale:
	* gst/volume: Removed dirs that are now in gst-plugins-base.

2005-07-05  Edward Hervey  <edward@fluendo.com>

	* configure.ac: (GST_PLUGINS_ALL): 
	videofilter must be compiled first, since other plugins depend ont it.

2005-07-05  Andy Wingo  <wingo@pobox.com>

	* Way, way, way too many files:
	Remove crack comment from the 2000 era.

2005-07-05  Andy Wingo  <wingo@pobox.com>

	* gst/videobox/gstvideobox.c: Clean up, port to 0.9, use
	BaseTransform.

	* gst/videobox/Makefile.am: Link to base libs, include
	plugins-base cflags, dist the README.

	* configure.ac (GST_PLUGIN_ALL, AC_CONFIG_FILES): Add videobox to
	the build.

2005-07-04  Wim Taymans  <wim@fluendo.com>

	* gst/realmedia/rmdemux.c:
	I don't think that piece of changelog should go there.

2005-07-04  Andy Wingo  <wingo@pobox.com>

	* examples/level/:
	* examples/level/Makefile.am:
	* examples/level/README:
	* examples/level/demo.c:
	* examples/level/plot.c: Examples moved out of the source dir. Not
	updated tho.

	* configure.ac: Add level to the build.

	* gst/level/Makefile.am:
	* gst/level/gstlevel.h:
	* gst/level/gstlevel.c: Cleaned up, ported to 0.9.

	* ext/aalib/gstaasink.c (gst_aasink_fixate): Update for newer
	fixate prototype.

2005-07-03  Owen Fraser-Green  <owen@discobabe.net>

	* gst/realmedia/rmdemux.c (gst_rmdemux_add_stream),
	(gst_rmdemux_src_getcaps), (gst_rmdemux_chain): 
	Added getcaps function no_more_pads call

2005-07-01  Philippe Khalaf <burger@speedy.org>
	* gst/udp/Makefile.am:
	* gst/udp/gstudp.c:
	* gst/udp/gstdynudpsink.c: (new)
	* gst/udp/gstdynudpsink.h: (new)
	  Added new element (udpdynsink) that receives GstNetBuffers and sends the
	  udp packets to the source given in the buffer. It's used by rtpsession
	  element for now.
	* gst/udp/gstudpsrc.c:
	  Fixed memory leak.

2005-07-01  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	* ext/mad/Makefile.am:
	* sys/oss/Makefile.am:
	Roll gstreamer-interfaces-0.9.pc into gstreamer-plugins-base-0.9.pc

2005-07-01  Jan Schmidt  <thaytan@mad.scientist.com>
	* ext/libcaca/Makefile.am:
	* ext/mad/Makefile.am:
	* gst/effectv/Makefile.am:
	* gst/udp/Makefile.am:
	  Replace GST_PLUGINS_LIBS_* with GST_PLUGINS_BASE_*

	* ext/mad/gstid3tag.c: (gst_id3_tag_src_query),
	(gst_id3_tag_src_event), (gst_id3_tag_sink_event),
	(gst_id3_tag_chain), (plugin_init):
	* ext/mad/gstmad.c: (gst_mad_src_query), (gst_mad_chain):
	  Signedness warning fix, use gst_pad_get_peer instead of GST_PAD_PEER
	  in querying and event handling, because we're not holding the pad
	  lock and the peer may disappear.
	* gst/avi/gstavidemux.c: (gst_avi_demux_parse_subindex),
	(gst_avi_demux_parse_index), (gst_avi_demux_massage_index):
	  Signedness warning fixes.

	* gst/videofilter/gstvideotemplate.c: (plugin_init):
	  Remove gst_library_load

2005-06-30  Edward Hervey  <edward@fluendo.com>

	* gst/avi/Makefile.am: (libgstavi_la_LIBADD):
	Added linking to libgstriff-0.9
	
	* ext/mad/gstmad.c: (gst_mad_src_query): 
	check the format of the upstream query and return query if it's the
	same format as the requested one.

2005-06-30  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_handle_src_query):
	  Compiler pains.

2005-06-30  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* gst/avi/Makefile.am:
	* gst/avi/gstavi.c: (plugin_init):
	* gst/avi/gstavidemux.c: (gst_avi_demux_get_type),
	(gst_avi_demux_class_init), (gst_avi_demux_init),
	(gst_avi_demux_reset), (gst_avi_demux_index_next),
	(gst_avi_demux_index_entry_for_time),
	(gst_avi_demux_index_entry_for_byte),
	(gst_avi_demux_index_entry_for_frame), (gst_avi_demux_src_convert),
	(gst_avi_demux_handle_src_query), (gst_avi_demux_handle_src_event),
	(gst_avi_demux_parse_file_header), (gst_avi_demux_stream_init),
	(gst_avi_demux_parse_avih), (gst_avi_demux_parse_superindex),
	(gst_avi_demux_parse_subindex), (gst_avi_demux_read_subindexes),
	(gst_avi_demux_parse_stream), (gst_avi_demux_parse_odml),
	(gst_avi_demux_parse_index), (gst_avi_demux_stream_index),
	(gst_avi_demux_stream_scan), (gst_avi_demux_massage_index),
	(gst_avi_demux_stream_header), (gst_avi_demux_handle_seek),
	(gst_avi_demux_process_next_entry), (gst_avi_demux_stream_data),
	(gst_avi_demux_loop), (gst_avi_demux_sink_activate),
	(gst_avi_demux_sink_activate_pull):
	* gst/avi/gstavidemux.h:
	  Port from -THREADED to HEAD, and fix for latest API changes of
	  the day. Keep avimux dead for now.

2005-06-29  Wim Taymans  <wim@fluendo.com>

	* ext/shout2/gstshout2.c: (gst_shout2send_render):
	Fix build.

2005-06-29  Andy Wingo  <wingo@pobox.com>

	* gst/videofilter/gstvideoexample.c: Removed gst_library_load, I
	think. Whatever this plugin actually does, that I don't know.

2005-06-29  Andy Wingo  <wingo@pobox.com>

	* ext/mad/gstid3tag.c (gst_id3_tag_get_event_masks): Reschmoove.

	* ext/mad/gstmad.c (gst_mad_get_event_masks): Remove.
	(gst_mad_chain): Appease GCC.

	* ext/libcaca/gstcacasink.c (gst_cacasink_setcaps): Signedness.

	* ext/aalib/gstaasink.c (gst_aasink_fixate): Unref caps, not free.
	(gst_aasink_scale): Signedness.

	* gst/udp/gstudpsink.c (gst_udpsink_get_type): Actually add the
	URI handler.

	* gst/udp/gstudpsrc.c (gst_udpsrc_start):
	(gst_udpsrc_create): Signedness.

	* gst/rtsp/sdpmessage.c (sdp_message_parse_buffer): Thanks
	compiler!
	(sdp_parse_line): Signedness fix.

	* configure.ac (GST_CFLAGS): GCC strikes back!!! Let the build
	breakage ensue!!!

	* gst/rtsp/gstrtspsrc.c (gst_rtspsrc_loop, gst_rtspsrc_open):
	Signedness, unused var fixes.
	(gst_rtspsrc_close): Unused?

	* gst/realmedia/rmdemux.c (re_hexdump_bytes): Unused.

	* gst/law/mulaw-encode.c (gst_mulawenc_chain): Signeness fix.

	* gst/law/alaw-encode.c (alawenc_getcaps): Remove unneeded
	declarations. Typo (probably crasher) fix.
	
	* gst/law/mulaw-encode.c (mulawdec_getcaps): 
	* gst/law/mulaw-encode.c (mulawenc_getcaps): 
	* gst/law/alaw-decode.c (alawdec_getcaps): Same crasher fix.

	* gst/goom/gstgoom.c (gst_goom_init): Hook up the event function.

	* gst/effectv/gstwarp.c (gst_warptv_setup): Signedness fix.

	* gst/effectv/gstdice.c (gst_dicetv_draw): Um, deferencing
	uninitialized pointer not good.

	* gst/videofilter/gstvideoexample.c (plugin_init): 
	* gst/videofilter/Makefile.am (libgstvideoexample_la_LIBADD): Link
	to libgstvideofilter instead of gst_library_load.

	* gst/alpha/gstalpha.c (gst_alpha_chroma_key_i420) 
	(gst_alpha_chroma_key_ayuv): Signedness fixen.

2005-06-29  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtsp_proto_get_type),
	(gst_rtspsrc_class_init), (gst_rtspsrc_create_stream),
	(gst_rtspsrc_add_element), (gst_rtspsrc_set_state),
	(gst_rtspsrc_stream_setup_rtp),
	(gst_rtspsrc_stream_configure_transport), (find_stream),
	(gst_rtspsrc_loop), (gst_rtspsrc_open), (gst_rtspsrc_play),
	(gst_rtspsrc_change_state):
	Fix case where outpad could not be decided.

2005-06-29  Andy Wingo  <wingo@pobox.com>

	* ext/Makefile.am (MAD_DIR): Add mad to the build.

2005-06-28  Wim Taymans  <wim@fluendo.com>

	* ext/mad/gstid3tag.c: (gst_id3_tag_src_link):
	* gst/udp/gstudpsrc.c: (gst_udpsrc_init):
	Fix old RPAD macro.
	basesrc -> base_src

2005-06-27  Wim Taymans  <wim@fluendo.com>

	* ext/mad/gstid3tag.c: (gst_id3_tag_src_link):
	* ext/mad/gstmad.c: (gst_mad_chain):
	RPAD_ -> PAD
	Fix args in bufferalloc function call.
	Makes the mad plugin compile again

2005-06-27  Owen Fraser-Green  <owen@discobabe.net>

	* gst/realmedia/rmdemux.c: Rewrote to use gstadapter. Also parses
	audio and video header packets for known properties.

2005-06-23  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtsp_proto_get_type),
	(gst_rtspsrc_class_init), (gst_rtspsrc_create_stream),
	(gst_rtspsrc_add_element), (gst_rtspsrc_set_state),
	(gst_rtspsrc_stream_setup_rtp),
	(gst_rtspsrc_stream_configure_transport), (find_stream),
	(gst_rtspsrc_loop), (gst_rtspsrc_open), (gst_rtspsrc_play),
	(gst_rtspsrc_change_state):
	* gst/rtsp/rtspurl.c: (rtsp_url_parse):
	Make rtspsrc a live source.
	Don't try to parse NULL urls.

2005-06-23  Wim Taymans  <wim@fluendo.com>

	* gst/udp/gstudpsrc.c: (gst_udpsrc_init):
	Make udpsrc a live source.

2005-06-02  Wim Taymans  <wim@fluendo.com>

	* gst/udp/Makefile.am:
	Use versioned net lib.

2005-06-02  Wim Taymans  <wim@fluendo.com>

	* gst/udp/Makefile.am:
	Fix hack in makefile.

2005-06-02  Andy Wingo  <wingo@pobox.com>

	* ext/mad/gstid3tag.c: Finish porting to 0.9: no more gstdata,
	check for link functions before calling them, give
	gst_message_new_tag its own copy of the tag list, set the parser
	state before sending the event (because in 0.9 events are
	processed immediately), casting fixes.

	* ext/mad/Makefile.am (libgstmad_la_LDFLAGS): Link with
	gsttagedit.

2005-06-02  Wim Taymans  <wim@fluendo.com>

	* gst/udp/Makefile.am:
	* gst/udp/gstmultiudpsink.c: (gst_multiudpsink_get_type),
	(gst_multiudpsink_base_init), (gst_multiudpsink_class_init),
	(gst_multiudpsink_init), (gst_multiudpsink_finalize),
	(gst_multiudpsink_get_times), (gst_multiudpsink_render),
	(gst_multiudpsink_set_property), (gst_multiudpsink_init_send),
	(gst_multiudpsink_add), (client_compare), (free_client),
	(gst_multiudpsink_remove), (gst_multiudpsink_clear),
	(gst_multiudpsink_get_stats):
	* gst/udp/gstudpsrc.c: (gst_udpsrc_get_type),
	(gst_udpsrc_base_init), (gst_udpsrc_class_init),
	(gst_udpsrc_create), (gst_udpsrc_set_uri), (gst_udpsrc_start),
	(gst_udpsrc_unlock), (gst_udpsrc_stop):
	Use NetBuffer and small cleanups.
	Implement client removal in multiudpsink.

2005-06-02  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/README:
	* gst/rtsp/gstrtspsrc.c: (gst_rtsp_proto_get_type),
	(gst_rtspsrc_class_init), (gst_rtspsrc_create_stream),
	(gst_rtspsrc_add_element), (gst_rtspsrc_set_state),
	(gst_rtspsrc_stream_setup_rtp),
	(gst_rtspsrc_stream_configure_transport), (find_stream),
	(gst_rtspsrc_loop), (gst_rtspsrc_open), (gst_rtspsrc_play),
	(gst_rtspsrc_change_state):
	* gst/rtsp/rtsptransport.c: (rtsp_transport_new),
	(rtsp_transport_init), (parse_mode), (parse_range),
	(rtsp_transport_parse), (rtsp_transport_free):
	RTSP cleanups.

2005-06-02  Wim Taymans  <wim@fluendo.com>

	* gst/effectv/gstquark.c: (gst_quarktv_chain):
	* gst/goom/gstgoom.c: (gst_goom_chain):
	* gst/videobox/Makefile.am:
	* gst/videobox/gstvideobox.c: (gst_video_box_class_init),
	(gst_video_box_init), (gst_video_box_sink_setcaps),
	(gst_video_box_chain):
	* gst/videofilter/gstvideofilter.c: (gst_videofilter_chain):
	* gst/videorate/gstvideorate.c: (gst_videorate_class_init),
	(gst_videorate_getcaps), (gst_videorate_setcaps),
	(gst_videorate_init), (gst_videorate_event), (gst_videorate_chain),
	(gst_videorate_change_state):
	Bufferalloc changes.

2005-05-25  Wim Taymans  <wim@fluendo.com>

	* ext/mad/gstmad.c: (gst_mad_chain), (gst_mad_change_state):
	* ext/sidplay/gstsiddec.cc:
	* gst/alpha/gstalpha.c: (gst_alpha_chain):
	* gst/goom/gstgoom.c: (gst_goom_chain):
	No need to take the lock anymore,  core already did
	that before calling us.

2005-05-25  Wim Taymans  <wim@fluendo.com>

	* ext/amrnb/amrnbdec.c: (gst_amrnbdec_init), (gst_amrnbdec_chain),
	(gst_amrnbdec_state_change):
	* ext/amrnb/amrnbenc.c: (gst_amrnbenc_base_init),
	(gst_amrnbenc_finalize), (gst_amrnbenc_chain),
	(gst_amrnbenc_state_change):
	* ext/amrnb/amrnbparse.c: (gst_amrnbparse_init),
	(gst_amrnbparse_query), (gst_amrnbparse_chain),
	(gst_amrnbparse_read_header), (gst_amrnbparse_loop),
	(gst_amrnbparse_sink_activate), (gst_amrnbparse_state_change):
	Core already took the lock.

2005-05-19  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* ext/esd/Makefile.am:
	  Disable tcp elements and esdmon (they don't compile).

2005-05-19  Jan Schmidt  <thaytan@mad.scientist.com>

	* Makefile.am:
	* ext/Makefile.am:
	* sys/Makefile.am:
	  Make my automake version shut up about undefined variables
	* gst/goom/gstgoom.c:
	  GstAdapter moved to base objects. 

2005-05-18  Wim Taymans  <wim@fluendo.com>

	* ext/amrnb/Makefile.am:
	* ext/amrnb/amrnb.c: (plugin_init):
	* ext/amrnb/amrnbdec.c: (gst_amrnbdec_init),
	(gst_amrnbdec_setcaps), (gst_amrnbdec_chain),
	(gst_amrnbdec_state_change):
	* ext/amrnb/amrnbdec.h:
	* ext/amrnb/amrnbenc.c: (gst_amrnbenc_get_type),
	(gst_amrnbenc_base_init), (gst_amrnbenc_class_init),
	(gst_amrnbenc_init), (gst_amrnbenc_finalize),
	(gst_amrnbenc_setcaps), (gst_amrnbenc_chain),
	(gst_amrnbenc_state_change):
	* ext/amrnb/amrnbenc.h:
	* ext/amrnb/amrnbparse.c: (gst_amrnbparse_init),
	(gst_amrnbparse_query), (gst_amrnbparse_event),
	(gst_amrnbparse_chain), (gst_amrnbparse_read_header),
	(gst_amrnbparse_loop), (gst_amrnbparse_sink_activate),
	(gst_amrnbparse_state_change):
	* ext/amrnb/amrnbparse.h:
	Ported AMR decoder/parse.
	Added AMR encoder.

2005-05-18  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	* gst/goom/Makefile.am:
	* gst/goom/gstgoom.c: (gst_goom_init), (gst_goom_sink_setcaps),
	(gst_goom_src_setcaps), (gst_goom_src_negotiate), (gst_goom_event),
	(gst_goom_chain), (gst_goom_change_state), (plugin_init):
	Ported goom.
	Added goom and alpha to build.

2005-05-17  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	* gst/alpha/Makefile.am:
	* gst/alpha/gstalpha.c: (gst_alpha_class_init), (gst_alpha_init),
	(gst_alpha_sink_setcaps), (gst_alpha_chain):
	Ported alpha,  remove alphacolor as functionality is in
	ffmpegcolorspace.

2005-05-17  Wim Taymans  <wim@fluendo.com>

	* ext/libcaca/gstcacasink.c: (gst_cacasink_setcaps),
	(gst_cacasink_render), (gst_cacasink_open), (gst_cacasink_close),
	(gst_cacasink_change_state):
	* ext/libcaca/gstcacasink.h:
	Cleanups.

2005-05-15  David Schleef  <ds@schleef.org>

	Move core plugins out of core.  I don't mind fdsrc/fdsink
	going back into the core; they were just disabled there, so
	I moved them.  Some of this stuff could (should) be deleted.
	* gst/oldcore/Makefile.am:
	* gst/oldcore/gstaggregator.c:
	* gst/oldcore/gstaggregator.h:
	* gst/oldcore/gstelements.c:
	* gst/oldcore/gstfdsink.c:
	* gst/oldcore/gstfdsink.h:
	* gst/oldcore/gstfdsrc.c:
	* gst/oldcore/gstfdsrc.h:
	* gst/oldcore/gstmd5sink.c:
	* gst/oldcore/gstmd5sink.h:
	* gst/oldcore/gstmultifilesrc.c:
	* gst/oldcore/gstmultifilesrc.h:
	* gst/oldcore/gstpipefilter.c:
	* gst/oldcore/gstpipefilter.h:
	* gst/oldcore/gstshaper.c:
	* gst/oldcore/gstshaper.h:
	* gst/oldcore/gststatistics.c:
	* gst/oldcore/gststatistics.h:

2005-05-13  Christian Schaller  <uraeus@gnome.org>

	* ext/Makefile.am: dist esd directory
	* gst-plugins.spec.in: add rtp plugins and esd plugin
	* gst/effectv/Makefile.am: fix videofilter linking
	* gst/rtp/Makefile.am: add missing headers 
	* gst/rtsp/Makefile.am: add missing headers

2005-05-12  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	* ext/sidplay/gstsiddec.cc:
	Add working plugins to build.
	Make sidplay compile again.

2005-05-12  Wim Taymans  <wim@fluendo.com>

	* ext/mad/gstid3tag.c: (gst_id3_tag_src_query):
	* ext/mad/gstmad.c: (gst_mad_chain):
	Fix mad and id3tag compilation again.

2005-05-12  Wim Taymans  <wim@fluendo.com>

	* gst/udp/.cvsignore:
	* gst/udp/Makefile.am:
	* gst/udp/gstmultiudpsink.c: (gst_multiudpsink_get_type),
	(gst_multiudpsink_base_init), (gst_multiudpsink_class_init),
	(gst_multiudpsink_init), (gst_multiudpsink_finalize),
	(gst_multiudpsink_get_times), (gst_multiudpsink_render),
	(gst_multiudpsink_set_property), (gst_multiudpsink_get_property),
	(gst_multiudpsink_init_send), (gst_multiudpsink_close),
	(gst_multiudpsink_add), (gst_multiudpsink_remove),
	(gst_multiudpsink_clear), (gst_multiudpsink_get_stats),
	(gst_multiudpsink_change_state):
	* gst/udp/gstmultiudpsink.h:
	* gst/udp/gstudp-marshal.list:
	* gst/udp/gstudp.c: (plugin_init):
	* gst/udp/gstudp.h:
	* gst/udp/gstudpsink.c: (gst_udpsink_get_type),
	(gst_udpsink_base_init), (gst_udpsink_class_init),
	(gst_udpsink_init), (gst_udpsink_set_uri),
	(gst_udpsink_set_property), (gst_udpsink_get_property),
	(gst_udpsink_uri_get_type), (gst_udpsink_uri_get_protocols),
	(gst_udpsink_uri_get_uri), (gst_udpsink_uri_set_uri),
	(gst_udpsink_uri_handler_init):
	* gst/udp/gstudpsink.h:
	* gst/udp/gstudpsrc.c: (gst_udpsrc_get_type),
	(gst_udpsrc_base_init), (gst_udpsrc_class_init),
	(gst_udpsrc_create), (gst_udpsrc_set_uri), (gst_udpsrc_start),
	(gst_udpsrc_unlock), (gst_udpsrc_stop):
	* gst/udp/gstudpsrc.h:
	Added multifdsink to send UDP to multiple addresses.
	Cleaned up UDP source/sink elements some more.
	Make UDP sink extends from multiudpsink.

2005-05-12  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/mad/gstmad.c: (gst_mad_src_query), (gst_mad_sink_event):
	  Make queries actually work (update core first).

2005-05-12  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/README:
	* gst/tcp/gsttcpclientsrc.c: (gst_tcpclientsrc_get_type),
	(gst_tcpclientsrc_base_init), (gst_tcpclientsrc_class_init),
	(gst_tcpclientsrc_init), (gst_tcpclientsrc_getcaps),
	(gst_tcpclientsrc_stop), (gst_tcpclientsrc_eos),
	(gst_tcpclientsrc_create), (gst_tcpclientsrc_start):
	* gst/tcp/gsttcpclientsrc.h:
	* gst/tcp/gsttcpserversrc.c: (gst_tcpserversrc_get_type),
	(gst_tcpserversrc_base_init), (gst_tcpserversrc_class_init),
	(gst_tcpserversrc_init), (gst_tcpserversrc_create),
	(gst_tcpserversrc_start), (gst_tcpserversrc_stop):
	* gst/tcp/gsttcpserversrc.h:
	* gst/tcp/gsttcpsrc.c: (gst_tcpsrc_get_type),
	(gst_tcpsrc_base_init), (gst_tcpsrc_class_init), (gst_tcpsrc_init),
	(gst_tcpsrc_create), (gst_tcpsrc_start), (gst_tcpsrc_stop):
	* gst/tcp/gsttcpsrc.h:
	* gst/udp/gstudpsink.c: (gst_udpsink_base_init),
	(gst_udpsink_init), (gst_udpsink_get_times), (gst_udpsink_render),
	(gst_udpsink_set_property), (gst_udpsink_get_property),
	(gst_udpsink_change_state):
	* gst/udp/gstudpsink.h:
	* gst/udp/gstudpsrc.c: (gst_udpsrc_get_type),
	(gst_udpsrc_base_init), (gst_udpsrc_class_init), (gst_udpsrc_init),
	(gst_udpsrc_create), (gst_udpsrc_set_uri), (gst_udpsrc_start),
	(gst_udpsrc_stop):
	* gst/udp/gstudpsrc.h:
	Make UDP and TCP elements use PushSrc.


2005-05-11  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/mad/gstmad.c: (gst_mad_init), (gst_mad_src_query),
	(index_seek), (normal_seek), (gst_mad_sink_event):
	  Port to new query API and replace gst_pad_convert()
	  and gst_pad_get_formats() usage. gstid3tag looks like
	  it needs some more love before it will work again, if 
	  not a rewrite.

2005-05-12  Zeeshan Ali  <zeenix@gmail.com>

	* gst/effectv/Makefile.am:
	Fixed the effectv build again.

2005-05-11  Wim Taymans  <wim@fluendo.com>

	* gst/tcp/Makefile.am:
	* gst/tcp/gstmultifdsink.c: (gst_multifdsink_get_type),
	(gst_multifdsink_base_init), (gst_multifdsink_class_init),
	(gst_multifdsink_init), (gst_multifdsink_handle_client_write),
	(gst_multifdsink_queue_buffer), (gst_multifdsink_render),
	(gst_multifdsink_change_state):
	* gst/tcp/gstmultifdsink.h:
	* gst/tcp/gsttcp.c:
	* gst/tcp/gsttcpclientsink.c: (gst_tcpclientsink_get_type),
	(gst_tcpclientsink_base_init), (gst_tcpclientsink_class_init),
	(gst_tcpclientsink_init), (gst_tcpclientsink_render),
	(gst_tcpclientsink_set_property), (gst_tcpclientsink_get_property),
	(gst_tcpclientsink_change_state):
	* gst/tcp/gsttcpclientsink.h:
	* gst/tcp/gsttcpclientsrc.c: (gst_tcpclientsrc_class_init),
	(gst_tcpclientsrc_init_receive):
	* gst/tcp/gsttcpplugin.c: (plugin_init):
	* gst/tcp/gsttcpserversink.c: (gst_tcpserversink_class_init):
	* gst/tcp/gsttcpserversink.h:
	* gst/tcp/gsttcpserversrc.c: (gst_tcpserversrc_class_init):
	* gst/tcp/gsttcpsink.c: (gst_tcpsink_get_type),
	(gst_tcpsink_base_init), (gst_tcpsink_class_init),
	(gst_tcpsink_setcaps), (gst_tcpsink_init), (gst_tcpsink_get_times),
	(gst_tcpsink_render), (gst_tcpsink_set_property),
	(gst_tcpsink_get_property):
	* gst/tcp/gsttcpsink.h:
	* gst/tcp/gsttcpsrc.c: (gst_tcpsrc_class_init), (gst_tcpsrc_get):
	Ported over some sink elements.
	Sources not ported yet as they require a PushSource base class.

2005-05-11  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/effectv/Makefile.am:
	* gst/videofilter/Makefile.am:
	  Turn videofilter into a library (private for now)

2005-05-11  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/README:
	* gst/rtsp/gstrtspsrc.c: (gst_rtsp_proto_get_type),
	(gst_rtspsrc_class_init), (gst_rtspsrc_create_stream),
	(gst_rtspsrc_add_element), (gst_rtspsrc_set_state),
	(gst_rtspsrc_stream_setup_rtp),
	(gst_rtspsrc_stream_configure_transport), (find_stream),
	(gst_rtspsrc_loop), (gst_rtspsrc_open), (gst_rtspsrc_play):
	* gst/rtsp/rtsp.h:
	* gst/rtsp/rtspconnection.c: (rtsp_connection_create),
	(rtsp_connection_send), (read_line), (parse_request_line),
	(parse_line), (read_body), (rtsp_connection_receive),
	(rtsp_connection_free):
	* gst/rtsp/rtspconnection.h:
	* gst/rtsp/rtspdefs.c: (rtsp_find_method):
	* gst/rtsp/rtspdefs.h:
	* gst/rtsp/rtspmessage.c: (rtsp_message_set_body),
	(rtsp_message_take_body):
	* gst/rtsp/rtspmessage.h:
	* gst/rtsp/rtspstream.h:
	* gst/rtsp/sdpmessage.c: (sdp_parse_line):
	Added README
	Some cleanups.

2005-05-11  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/gstrtspsrc.c: (gst_rtsp_proto_get_type),
	(gst_rtspsrc_class_init), (gst_rtspsrc_init),
	(gst_rtspsrc_create_stream), (gst_rtspsrc_add_element),
	(gst_rtspsrc_set_state), (gst_rtspsrc_stream_setup_rtp),
	(gst_rtspsrc_stream_configure_transport), (find_stream),
	(gst_rtspsrc_loop), (gst_rtspsrc_open), (gst_rtspsrc_close),
	(gst_rtspsrc_play), (gst_rtspsrc_change_state):
	* gst/rtsp/gstrtspsrc.h:
	Setup UDP sources correctly, receives raw data from RTSP
	compliant servers now.

2005-05-11  Wim Taymans  <wim@fluendo.com>

	* gst/rtsp/.cvsignore:
	* gst/rtsp/Makefile.am:
	* gst/rtsp/gstrtsp.c: (plugin_init):
	* gst/rtsp/gstrtsp.h:
	* gst/rtsp/gstrtspsrc.c: (gst_rtsp_proto_get_type),
	(gst_rtspsrc_get_type), (gst_rtspsrc_base_init),
	(gst_rtspsrc_class_init), (gst_rtspsrc_init),
	(gst_rtspsrc_set_property), (gst_rtspsrc_get_property),
	(gst_rtspsrc_create_stream), (rtspsrc_add_element),
	(gst_rtspsrc_stream_setup_rtp),
	(gst_rtspsrc_stream_configure_transport), (find_stream),
	(gst_rtspsrc_loop), (gst_rtspsrc_send), (gst_rtspsrc_open),
	(gst_rtspsrc_close), (gst_rtspsrc_play), (gst_rtspsrc_pause),
	(gst_rtspsrc_activate), (gst_rtspsrc_change_state):
	* gst/rtsp/gstrtspsrc.h:
	* gst/rtsp/rtsp.h:
	* gst/rtsp/rtspconnection.c: (rtsp_connection_open),
	(rtsp_connection_create), (append_header), (rtsp_connection_send),
	(read_line), (read_string), (read_key), (parse_response_status),
	(parse_line), (read_body), (rtsp_connection_receive),
	(rtsp_connection_close):
	* gst/rtsp/rtspconnection.h:
	* gst/rtsp/rtspdefs.c: (rtsp_init_status), (rtsp_method_as_text),
	(rtsp_header_as_text), (rtsp_status_as_text),
	(rtsp_status_to_string), (rtsp_find_header_field):
	* gst/rtsp/rtspdefs.h:
	* gst/rtsp/rtspmessage.c: (rtsp_message_new_request),
	(rtsp_message_init_request), (rtsp_message_new_response),
	(rtsp_message_init_response), (rtsp_message_init_data),
	(rtsp_message_add_header), (rtsp_message_remove_header),
	(rtsp_message_get_header), (rtsp_message_get_header_copy),
	(rtsp_message_set_body), (rtsp_message_set_body_copy),
	(rtsp_message_get_body), (rtsp_message_get_body_copy), (dump_mem),
	(dump_key_value), (rtsp_message_dump):
	* gst/rtsp/rtspmessage.h:
	* gst/rtsp/rtspstream.h:
	* gst/rtsp/rtsptransport.c: (rtsp_transport_new),
	(rtsp_transport_init), (parse_mode), (parse_range),
	(rtsp_transport_parse), (rtsp_transport_free):
	* gst/rtsp/rtsptransport.h:
	* gst/rtsp/rtspurl.c: (rtsp_url_parse), (rtsp_url_free):
	* gst/rtsp/rtspurl.h:
	* gst/rtsp/sdp.h:
	* gst/rtsp/sdpmessage.c: (sdp_message_new), (sdp_message_init),
	(sdp_message_clean), (sdp_message_free), (sdp_media_new),
	(sdp_media_init), (sdp_message_set_origin),
	(sdp_message_get_origin), (sdp_message_set_connection),
	(sdp_message_get_connection), (sdp_message_add_bandwidth),
	(sdp_message_add_time), (sdp_message_add_zone),
	(sdp_message_set_key), (sdp_message_get_key),
	(sdp_message_get_attribute_val), (sdp_message_add_attribute),
	(sdp_message_add_media), (sdp_media_add_attribute),
	(sdp_media_add_bandwidth), (sdp_media_add_format),
	(sdp_media_get_attribute_val), (read_string), (read_string_del),
	(sdp_parse_line), (sdp_message_parse_buffer), (print_media),
	(sdp_message_dump):
	* gst/rtsp/sdpmessage.h:
	* gst/rtsp/test.c: (main):
	Ported to 0.9.
	Set up transports, init UDP ports, init RTP session managers.

2005-05-11  Wim Taymans  <wim@fluendo.com>

	* gst/rtp/Makefile.am:
	* gst/rtp/gstrtp.c: (plugin_init):
	* gst/rtp/gstrtpdec.c: (gst_rtpdec_get_type),
	(gst_rtpdec_class_init), (gst_rtpdec_init), (gst_rtpdec_chain_rtp),
	(gst_rtpdec_chain_rtcp), (gst_rtpdec_set_property),
	(gst_rtpdec_get_property), (gst_rtpdec_change_state),
	(gst_rtpdec_plugin_init):
	* gst/rtp/gstrtpdec.h:
	* gst/udp/gstudpsink.c: (gst_udpsink_base_init),
	(gst_udpsink_get_times), (gst_udpsink_render),
	(gst_udpsink_change_state):
	* gst/udp/gstudpsrc.c: (gst_udpsrc_get_type),
	(gst_udpsrc_base_init), (gst_udpsrc_class_init), (gst_udpsrc_init),
	(gst_udpsrc_loop), (gst_udpsrc_set_uri), (gst_udpsrc_set_property),
	(gst_udpsrc_get_property), (gst_udpsrc_init_receive),
	(gst_udpsrc_activate), (gst_udpsrc_change_state),
	(gst_udpsrc_uri_get_type), (gst_udpsrc_uri_get_protocols),
	(gst_udpsrc_uri_get_uri), (gst_udpsrc_uri_set_uri),
	(gst_udpsrc_uri_handler_init):
	* gst/udp/gstudpsrc.h:
	UDP fixes, added uri handler.
	Added rtpdec that will manage the RTP session in the future.

2005-05-10  Arwed v. Merkatz  <v.merkatz@gmx.net>

	* PORTED_09:
	* configure.ac:
	* ext/Makefile.am:
	* ext/esd/Makefile.am:
	* ext/esd/esdsink.c: (gst_esdsink_get_type),
	(gst_esdsink_class_init), (gst_esdsink_init),
	(gst_esdsink_dispose), (gst_esdsink_change_state),
	(gst_caps_set_each), (gst_esdsink_getcaps), (gst_esdsink_open),
	(gst_esdsink_close), (gst_esdsink_write), (gst_esdsink_delay),
	(gst_esdsink_reset), (gst_esdsink_set_property),
	(gst_esdsink_get_property), (gst_esdsink_factory_init):
	* ext/esd/esdsink.h:
	* ext/esd/gstesd.c: (plugin_init):
	Ported esdsink plugin

2005-05-10  Wim Taymans  <wim@fluendo.com>

	* gst/udp/Makefile.am:
	* gst/udp/gstudpsink.c: (gst_udpsink_get_type),
	(gst_udpsink_base_init), (gst_udpsink_class_init),
	(gst_udpsink_init), (gst_udpsink_get_times), (gst_udpsink_render),
	(gst_udpsink_set_property), (gst_udpsink_get_property),
	(gst_udpsink_init_send), (gst_udpsink_close),
	(gst_udpsink_change_state):
	* gst/udp/gstudpsink.h:
	* gst/udp/gstudpsrc.c: (gst_udpsrc_base_init),
	(gst_udpsrc_class_init), (gst_udpsrc_init), (gst_udpsrc_loop),
	(gst_udpsrc_set_property), (gst_udpsrc_get_property),
	(gst_udpsrc_init_receive), (gst_udpsrc_close),
	(gst_udpsrc_activate), (gst_udpsrc_change_state):
	* gst/udp/gstudpsrc.h:
	Ported udp src/sink.

2005-05-09  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* PORTED_09:
	* configure.ac:
	* ext/Makefile.am:
	* ext/shout2/Makefile.am:
	* ext/shout2/gstshout2.c: (gst_shout2send_get_type),
	(gst_shout2send_base_init), (gst_shout2send_class_init),
	(gst_shout2send_init), (gst_shout2send_event),
	(gst_shout2send_render), (gst_shout2send_set_property),
	(gst_shout2send_get_property), (gst_shout2send_setcaps),
	(gst_shout2send_change_state):
	* ext/shout2/gstshout2.h:

	Port shout2 plugin

2005-05-08  Zeeshan Ali   <zeenix@gmail.com>

	* configure.ac:
	* ext/Makefile.am:
	* ext/libcaca/Makefile.am:
	* ext/libcaca/gstcacasink.c: (gst_cacasink_get_type),
	(gst_cacasink_class_init), (gst_cacasink_get_times),
	(gst_cacasink_setcaps), (gst_cacasink_init), (gst_cacasink_render),
	(plugin_init):
	* ext/libcaca/gstcacasink.h:
	Ported the libcaca plugin.

2005-05-08  Zeeshan Ali  <zeenix@gmail.com>

	* configure.ac:
	* ext/mad/Makefile.am:
	* effectv/Makefile.am:
	Fixed a few things to enable the mad and effectv to be able to find the
	headers in the gst-plugins-base/gst-libs and to link against the libs
	in there.

2005-05-07  Zeeshan Ali  <zeenix@gmail.com>

	* configure.ac:
	Fixed the build by fixing a small mistake of Wim.
	
2005-05-06  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	* ext/aalib/Makefile.am:
	* ext/aalib/gstaasink.c: (gst_aasink_get_type),
	(gst_aasink_class_init), (gst_aasink_fixate), (gst_aasink_setcaps),
	(gst_aasink_init), (gst_aasink_get_times), (gst_aasink_render),
	(gst_aasink_set_property), (gst_aasink_get_property),
	(gst_aasink_open), (gst_aasink_close), (gst_aasink_change_state):
	* ext/aalib/gstaasink.h:
	* gst/smpte/Makefile.am:
	* gst/smpte/gstsmpte.c: (gst_smpte_setcaps), (gst_smpte_init),
	(gst_smpte_collected):
	* gst/smpte/gstsmpte.h:
	Ported 2 more plugins. usgly hack in the Makefile.am though, I'm
	sure someone will fix it.

2005-05-06  Christian Schaller  <uraeus@gnome.org>

	* configure.ac: add sidplay
	* ext/Makefile.am: add sidplay
	* ext/sidplay/Makefile.am: add GST_PLUGINS_CFLAGS
	* ext/sidplay/gstsiddec.cc: remove bytestream.h

2005-05-06  Christian Schaller  <uraeus@gnome.org>

	* configure.ac: add gst-plugins-libs

2005-05-06  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	* ext/sidplay/gstsiddec.cc:
	* ext/sidplay/gstsiddec.h:
	Ported sidplay.

2005-05-06  Christian Schaller  <uraeus@gnome.org>

	* configure.ac: 
	* ext/mad/Makefile.am: add linking of gstinterfaces
	* ext/mad/gstid3tag.c: (plugin_init): remove library_load
	* gst-plugins.spec.in: 
	* gst/effectv/Makefile.am: link to libgstvideofilter
	* gst/effectv/gsteffectv.c: (plugin_init): same as for mad
	* gst/videofilter/Makefile.am: make sure videoflip is not built

2005-05-06  Wim Taymans  <wim@fluendo.com>

	* gst/law/alaw-decode.c: (alawdec_getcaps), (alawdec_setcaps),
	(gst_alawdec_init), (gst_alawdec_chain):
	* gst/law/alaw-encode.c: (alawenc_getcaps), (alawenc_setcaps),
	(gst_alawenc_init), (gst_alawenc_chain):
	* gst/law/mulaw-decode.c: (mulawdec_getcaps), (mulawdec_setcaps),
	(gst_mulawdec_init), (gst_mulawdec_chain):
	* gst/law/mulaw-encode.c: (mulawenc_getcaps), (mulawenc_setcaps),
	(gst_mulawenc_init), (gst_mulawenc_chain):
	Ported alaw and mulaw plugins to 0.9, fixed the negotiation as
	well.

2005-05-06  Christian Schaller  <uraeus@gnome.org>

	* ext/alsa: removed plugins that are now in gst-plugins-base
	* ext/gnomevfs:
	* ext/theora:
	* ext/vorbis:
	* gst/adder:
	* gst/audioconvert:
	* gst/ffmpegcolorspace:
	* gst/typefind:
	* gst/videofilter: comment out videoflip and gamma plugins

2005-05-06  Christian Schaller  <uraeus@gnome.org>

	* gst-libs: Remove all files as this is in gst-plugins-base now
	* gst-libs/README: add a remove informing of this move

2005-05-06  Christian Schaller <uraeus@gnome.org> 

	* PORTED_09: update to add videofilter
	* configure.ac: re-add videofilter
	* gst/videofilter/Makefile.am: remove videobalance (not ported yet)
	* gst/videofilter/gstgamma.c: (gst_gamma_class_init):
	* gst/videofilter/gstvideobalance.c: (gst_videobalance_class_init):
	* gst/videofilter/gstvideofilter.c: (gst_videofilter_getcaps),
	(gst_videofilter_setcaps), (gst_videofilter_init),
	(gst_videofilter_chain), (gst_videofilter_set_output_size):
	* gst/videofilter/gstvideoflip.c: (gst_videoflip_class_init):

2005-05-06  Christian Schaller <uraeus@gnome.org>

	* ext/mad: ported plugin from threaded branch
	* gst/effectv: ported plugins from threaded branch
	* gst/law: enable law plugin as it compiles (Wim will fixor)

2005-05-06  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* configure.ac:
	fix typo

2005-05-05  Christian Schaller <uraeus@gnome.org>

	* Update configure.ac and Makefiles to only build what is actually
	ported and not moved into gst-plugins-base

2005-02-22  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	  hunting season on 0.9 is now OPEN

2005-02-22  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/oss/gstosselement.c: (gst_osselement_class_probe_devices):
	  Kick the hell out of gcc for not warning me about a symbol conflict.

2005-02-22  Luca Ognibene  <luogni@tin.it>

	Reviewed by: Tim-Philipp Müller  <tim at centricular dot net>

	* ext/gdk_pixbuf/pixbufscale.c: (gst_pixbufscale_link):
	  Don't leak caps string (fixes #168134)

	* ext/jpeg/gstjpegenc.c: (gst_jpegenc_class_init),
	(gst_jpegenc_init), (gst_jpegenc_finalize),
	(gst_jpegenc_change_state):
	  Don't leak line buffers and context struct (fixes #168133).

2005-02-21  Tim-Philipp Müller  <tim at centricular dot net>

	* configure.ac:
	* ext/dirac/gstdiracdec.cc:
	(gst_diracdec_chain):
	  Since dirac 0.5.0 the framerate in dirac is expressed as a
	  rational number. Fix build and up requirement to 0.5.0, and
	  also pass parameters to gst_diracdec_link in the right order
	  (fixes #167959).

2005-02-21  Maciej Katafiasz  <mathrick@freedesktop.org>

	* ext/faad/gstfaad.c: (gst_faad_sinkconnect), (gst_faad_chain):
	* ext/faad/gstfaad.h:
	TEH LONGEST DEBUGGING SESSION EVAR is over. Fix interaction with 
	certain invalid muxed streams, where some packets will contain 
	junk after decoder data. Partially fixes #149158.

2005-02-21  Jan Schmidt <thaytan@mad.scientist.com>
	* gst/dvdlpcmdec/gstdvdlpcmdec.c: (gst_dvdlpcmdec_chain):
          Make sure we only write to writable buffers

2005-02-20  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/riff/riff-media.c:
	(gst_riff_create_audio_caps_with_data):
	  Do actually fix invalid RIFF fmt header values for alaw
	  and mulaw audio instead of just saying so.

	* gst/wavparse/gstwavparse.c: (gst_wavparse_fmt):
	  Give gst_riff_create_audio_caps_with_data() a chance to
	  fix up broken format header fields before extracting any
	  parameters from the header. (fixes #167633)

2005-02-19  Martin Holters  <martin.holters@gmx.de>

	Reviewed by: Tim-Philipp Müller  <tim at centricular dot net>

	* gst/audioconvert/bufferframesconvert.c:
	(buffer_frames_convert_link):
	  Don't leak othercaps. (fixes #167878)

2005-02-19  Arwed v. Merkatz  <v.merkatz@gmx.net>>

	* configure.ac:
	* ext/libvisual/visual.c: (gst_visual_srclink),
	(gst_visual_change_state):
	  Support libvisual 0.2.0.

2005-02-18  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/jpeg/gstjpegdec.c: (gst_jpegdec_chain):
	* ext/jpeg/gstjpegenc.c: (gst_jpegenc_resync), (gst_jpegenc_chain):
	  Use same rowstrides for I420 as used everywhere else.

2005-02-17  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_invert):
	  Declare variables at beginning of block and make gcc-2.95 happy
	  (fixes # 167482, patch by Gergely Nagy).
	  
	* gst/tcp/gsttcpclientsrc.c:
	* gst/tcp/gsttcpclientsrc.h:
	  Move some includes into the header, so that struct sockaddr_in is
	  defined when it should be defined on FreeBSD as well (fixes
	  #167483).
	  
	* gst/tcp/gsttcpserversrc.c: (gst_tcpserversrc_init_receive):
	  Don't pass uninitialised values to setsockopt() here either.

2005-02-17  Luca Ognibene  <luogni at tin dot it>

	Reviewed by: Tim-Philipp Müller  <tim at centricular dot net>

	* gst/tcp/gsttcpserversink.c: (gst_tcpserversink_init_send):
	  Don't pass uninitialised values to setsockopt(). (fixes #167704)

2005-02-16  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybin.c: (add_sink):
	  Invert bin_add/link order to workaround deadlock in opt.

2005-02-15  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/modplug/gstmodplug.cc:
	  Add missing break causing position queries to fail.

2005-02-15  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_populate):
	  Granpos can apparently be -1, which screws up calculations...

2005-02-16  Jan Schmidt  <thaytan@mad.scientist.com>

	* sys/ximage/ximagesink.c: (gst_ximagesink_chain),
	(gst_ximagesink_send_pending_navigation),
	(gst_ximagesink_navigation_send_event), (gst_ximagesink_finalize),
	(gst_ximagesink_init):
	* sys/ximage/ximagesink.h:
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_chain),
	(gst_xvimagesink_send_pending_navigation),
	(gst_xvimagesink_navigation_send_event),
	(gst_xvimagesink_finalize), (gst_xvimagesink_init):
	* sys/xvimage/xvimagesink.h:
	  Use a mutex protected list to marshal navigation
	  events into the stream thread from whichever thread
	  sends them.

2005-02-15  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/speed/demo-mp3.c: (time_tick_cb), (main):
	  Display current position and track length; misc. clean-ups.
	  
	* gst/speed/gstspeed.c: (speed_get_query_types), (speed_src_query),
	(speed_init), (speed_chain):
	  Add query function, so that the stream length and current position
	  get adjusted when queried (note that current position queries may
	  still be wrong if the audio sink returns values based on buffer
	  timestamps instead of passing on the query).

2005-02-13  Benjamin Otte  <otte@gnome.org>

	* gst/audioconvert/gstaudioconvert.c: (gst_audio_convert_link),
	(gst_audio_convert_channels):
	  create channel conversion matrix when linking
	* gst/audioconvert/.cvsignore:
	* gst/audioconvert/Makefile.am:
	* gst/audioconvert/channelmixtest.c: (main):
	  add (ugly) test that ensures stereo <=> mono conversion works
	  correctly

2005-02-13  Benjamin Otte  <otte@gnome.org>

	* gst/audioconvert/gstchannelmix.h:
	  include missing header file
	* gst/audioconvert/gstchannelmix.c:
	(gst_audio_convert_fill_compatible):
	  use same sign for both channels when converting to/from compatible
	  channel. Previously used different signs made the signals cancel
	  each other out and appear like silence. (fixes #167269)

2005-02-12  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/ffmpegcolorspace/avcodec.h:
	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpeg_pixfmt_to_caps), (gst_ffmpeg_caps_to_pixfmt),
	(gst_ffmpegcsp_avpicture_fill):
	* gst/ffmpegcolorspace/imgconvert.c:
	  Convert to and from YV12 (fixes #156379).

2005-02-12  Julien MOUTTE  <julien@moutte.net>

	* sys/ximage/ximagesink.c: (gst_ximagesink_xwindow_new),
	(gst_ximagesink_sink_link), (gst_ximagesink_change_state),
	(gst_ximagesink_chain), (gst_ximagesink_set_xwindow_id),
	(gst_ximagesink_expose), (gst_ximagesink_set_property),
	(gst_ximagesink_finalize), (gst_ximagesink_init): Protect interface
        methods from chain and negotiation and vice versa (Fixes #166142).
	* sys/ximage/ximagesink.h: Add stream_lock.
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_sink_link),
	(gst_xvimagesink_chain), (gst_xvimagesink_buffer_free),
	(gst_xvimagesink_buffer_alloc), (gst_xvimagesink_set_xwindow_id),
	(gst_xvimagesink_expose): Check for xcontext before trying to link.

2005-02-12  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/dvdnav/dvdnavsrc.c: (dvdnavsrc_open):
	  Don't send "Hey! You gave me a NULL pointer you naughty person" as
	  error message when we can't open the DVD device (when dvdnav_open()
	  fails, src->dvdnav is NULL, so dvdnav_err_to_string() will return
	  the above). Send something more useful instead (fixes #167117).

2005-02-11  Julien MOUTTE  <julien@moutte.net>

	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_xvimage_put),
	(gst_xvimagesink_sink_link), (gst_xvimagesink_change_state),
	(gst_xvimagesink_chain), (gst_xvimagesink_buffer_free),
	(gst_xvimagesink_buffer_alloc), (gst_xvimagesink_set_xwindow_id),
	(gst_xvimagesink_expose), (gst_xvimagesink_set_property),
	(gst_xvimagesink_finalize), (gst_xvimagesink_init): Protect interface
	methods from chain and negotiation and vice versa (Fixes #166142).
	Fix a possible bug of images in the buffer pool being discarded because
	we are looking at the wrong geometry.
	* sys/xvimage/xvimagesink.h: Add stream_lock.

2005-02-11  David Schleef  <ds@schleef.org>

	* ext/mpeg2dec/gstmpeg2dec.c: (crop_buffer): Change uint to
	unsigned int. (fixes #167128)

2005-02-11  David Schleef  <ds@schleef.org>

	* gst/librfb/Makefile.am: Testing stuff before committing is
	  for wimps... and people with fast machines.  Fix stupid
	  mistake.

2005-02-11  David Schleef  <ds@schleef.org>

	* configure.ac: Pull in librfb from my CVS tree, because it is
	  too small and annoying to be separate.  Move rfbsrc plugin
	  to gst/.
	* ext/Makefile.am:
	* ext/librfb/Makefile.am:
	* ext/librfb/gstrfbsrc.c:
	* gst/librfb/Makefile.am:
	* gst/librfb/gstrfbsrc.c:
	* gst/librfb/rfb.c:
	* gst/librfb/rfb.h:
	* gst/librfb/rfbbuffer.c:
	* gst/librfb/rfbbuffer.h:
	* gst/librfb/rfbbytestream.c:
	* gst/librfb/rfbbytestream.h:
	* gst/librfb/rfbcontext.h:
	* gst/librfb/rfbdecoder.c:
	* gst/librfb/rfbdecoder.h:
	* gst/librfb/rfbutil.h:

2005-02-10  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/speed/Makefile.am:
	* gst/speed/demo-mp3.c: (main):
	* gst/speed/filter.func:
	* gst/speed/gstspeed.c: (speed_link), (speed_parse_caps),
	(speed_class_init), (speed_init), (speed_chain_int16),
	(speed_chain_float32), (speed_chain), (speed_set_property),
	(speed_get_property), (speed_change_state):
	* gst/speed/gstspeed.h:
	  Fix speed element and make it chain-based (fixes #156467),
	  and make it handle more than one channel.

2005-02-10  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/dts/gstdtsdec.c: (gst_dtsdec_init), (gst_dtsdec_channels),
	(gst_dtsdec_handle_event), (gst_dtsdec_handle_frame),
	(gst_dtsdec_chain), (gst_dtsdec_change_state):
	* ext/dts/gstdtsdec.h:
          Don't clobber the stack constructing the channels array.
	  Make the element chain-based. DTS tracks can now be played.
	  
2005-02-09  Tim-Philipp Müller  <tim at centricular dot net>

	* gst-libs/gst/audio/multichannel.h:
	* gst-libs/gst/gconf/gconf.h:
	* gst-libs/gst/idct/idct.h:
	* gst-libs/gst/media-info/media-info-priv.h:
	* gst-libs/gst/play/play.h:
	* gst-libs/gst/resample/private.h:
	* gst-libs/gst/resample/resample.h:
	* gst-libs/gst/riff/riff-ids.h:
	* gst-libs/gst/video/video.h:
	* gst-libs/gst/video/videosink.h:
	  Add G_BEGIN_DECLS and G_END_DECLS around headers where
	  missing, so that they work when included from C++ code.

2005-02-09  David Schleef  <ds@schleef.org>

	* testsuite/gst-lint: Check for non-statically scoped
	  parent_class variables.  This won't be a problem once
	  plugins are loaded with RTLD_LOCAL.

2005-02-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mplex/gstmplexibitstream.cc:
	  gcc madness.

2005-02-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstogmparse.c:
	* gst/debug/gstnavigationtest.c:
	  Die, thou faulty symbol pollutors (non-static parent_class).

2005-02-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mplex/gstmplexibitstream.cc:
	  Fix event handling (#165525).

2005-02-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mikmod/gstmikmod.c:
	* gst/modplug/gstmodplug.cc:
	  Add missing endianness to template (fixes #165509).

2005-02-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/asfdemux/gstasfdemux.c: (gst_asf_demux_handle_data):
	  Fix wrong order of reading of optional bytes (#165290).

2005-02-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsasink.c: (gst_alsa_sink_check_event):
	  Implement FILLER event awareness.

2005-02-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/cdparanoia/gstcdparanoia.c: (cdparanoia_convert):
	  Fix track calculations (#166208).

2005-02-08  Gergely Nagy  <algernon@bonehunter.rulez.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/libpng/gstpngdec.c: (gst_pngdec_init), (gst_pngdec_chain):
	* ext/libpng/gstpngenc.c:
	  Fix byte-order, use proper fixed caps. Fixes #164197.

2005-02-08  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	  Add dvdlpcmdec 

	* ext/mpeg2dec/gstmpeg2dec.c: (gst_mpeg2dec_reset),
	(free_all_buffers), (gst_mpeg2dec_alloc_buffer):
	  Don't push buffers if the src pad isn't negotiated yet.
	  
	* gst/audioconvert/gstaudioconvert.c:
	(gst_audio_convert_buffer_to_default_format),
	(gst_audio_convert_buffer_from_default_format):
	  Add support for 24-bit width.

	* gst/dvdlpcmdec/.cvsignore:
	* gst/dvdlpcmdec/Makefile.am:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c: (gst_dvdlpcmdec_get_type),
	(gst_dvdlpcmdec_base_init), (gst_dvdlpcmdec_class_init),
	(gst_dvdlpcm_reset), (gst_dvdlpcmdec_init), (gst_dvdlpcmdec_link),
	(gst_dvdlpcmdec_chain), (gst_dvdlpcmdec_change_state),
	(plugin_init):
	* gst/dvdlpcmdec/gstdvdlpcmdec.h:
	  New decoder for rearranging DVD LPCM into our audio/x-raw-int
	  format. Needs support for the channels maps if someone can find 
	  a DVD LPCM track with > 2 channels.

	* gst/mpegstream/gstdvddemux.c: (gst_dvd_demux_handle_dvd_event),
	(gst_dvd_demux_send_discont), (gst_dvd_demux_handle_discont),
	(gst_dvd_demux_get_audio_stream), (gst_dvd_demux_process_private):
	* gst/mpegstream/gstdvddemux.h:
	* gst/mpegstream/gstmpegdemux.c: (gst_mpeg_demux_send_discont),
	(gst_mpeg_demux_new_output_pad), (gst_mpeg_demux_init_stream),
	(gst_mpeg_demux_send_subbuffer), (gst_mpeg_demux_handle_src_query):
	* gst/mpegstream/gstmpegdemux.h:
	* gst/mpegstream/gstmpegparse.c: (gst_mpeg_parse_reset),
	(gst_mpeg_parse_parse_packhead), (gst_mpeg_parse_loop),
	(gst_mpeg_parse_get_rate), (gst_mpeg_parse_convert_src),
	(gst_mpeg_parse_handle_src_query),
	(gst_mpeg_parse_handle_src_event):
	  Use audio/x-dvd-lpcm for LPCM output.
	  Add DTS output.

2005-02-08  Gergely Nagy  <algernon@bonehunter.rulez.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/alpha/gstalphacolor.c: (gst_alpha_color_sink_link),
	(transform_rgb), (transform_bgr), (gst_alpha_color_chain):
	  Add BGRA handling (#165736).

2005-02-08  Francis Labonte  <francis_labonte@hotmail.com>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/law/alaw-decode.c: (alawdec_link):
	* gst/law/alaw-encode.c: (alawenc_link):
	* gst/law/mulaw-decode.c: (mulawdec_link):
	* gst/law/mulaw-encode.c: (mulawenc_link):
	  Fix caps memleaks (#166600).

2005-02-08  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/tarkin/mem.h:
	* ext/tarkin/wavelet.h:
	* ext/tarkin/yuv.h:
	* gst/ffmpegcolorspace/avcodec.h:
	  Include "_stdint.h" instead of <stdint.h>. Fixes build on
	  systems that don't have stdint.h, like Solaris9 (fixes #166631).

2005-02-05  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/ximage/ximagesink.c: (gst_ximagesink_change_state):
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_xwindow_clear),
	(gst_xvimagesink_change_state):
	  Clear window on PAUSED->READY instead of READY->PAUSED. Stop
	  Xv video (and thereby regenerate Xv colourkey) in clear() so
	  that PLAY -> READY -> PLAY works (fixes #162504).

2005-02-05  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l/gstv4lmjpegsrc.c: (gst_v4lmjpegsrc_getcaps):
	  Switch to list instead of range, since MJPEG-devices really just
	  support decimations, not any size.

2005-02-05  Jan Schmidt  <thaytan@mad.scientist.com>
	* ext/mpeg2dec/gstmpeg2dec.c: (gst_mpeg2dec_open_decoder),
	(gst_mpeg2dec_reset), (free_all_buffers),
	(gst_mpeg2dec_alloc_buffer), (handle_sequence):
	* ext/mpeg2dec/gstmpeg2dec.h:
	  The libmpeg2 user-allocated buffer management is awkward, 
	  to say the least. Hopefully this fixes things.

2005-02-04  Andy Wingo  <wingo@pobox.com>

	* gst/audioconvert/bufferframesconvert.c
	(buffer_frames_convert_fixate): New function, fixates to 256
	frames per buffer by default. (Much better than 1.)
	(buffer_frames_convert_init): Set the fixate function for both src
	and sink pad.
	(buffer_frames_convert_link): After success setting nonfixed caps,
	get the negotiated caps so we can know how many buffer-frames it
	will be. No idea how this worked at all before.

2005-02-05  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/mpeg2dec/gstmpeg2dec.c: (gst_mpeg2dec_init),
	(gst_mpeg2dec_close_decoder), (put_buffer), (check_buffer),
	(free_buffer), (free_all_buffers), (gst_mpeg2dec_alloc_buffer),
	(handle_sequence), (handle_picture):
	* ext/mpeg2dec/gstmpeg2dec.h:
	  Rearrange buffer tracking and refcounting and refactor
	  a little for readability. 

2005-02-04  Jan Schmidt  <thaytan@mad.scientist.com>
	* sys/v4l/gstv4l.c: (plugin_init):
	* sys/v4l/gstv4ljpegsrc.c: (gst_v4ljpegsrc_get_type),
	(gst_v4ljpegsrc_base_init), (gst_v4ljpegsrc_class_init),
	(gst_v4ljpegsrc_init), (gst_v4ljpegsrc_src_link),
	(gst_v4ljpegsrc_getcaps), (gst_v4ljpegsrc_get):
	* sys/v4l/gstv4ljpegsrc.h:
	* sys/v4l/gstv4lsrc.c: (gst_v4lsrc_open), (gst_v4lsrc_src_link):
	* sys/v4l/v4l_calls.h:
	* sys/v4l/v4lsrc_calls.c: (gst_v4lsrc_palette_name),
	(gst_v4lsrc_get_fps):
	* sys/v4l/v4lsrc_calls.h:
	  Add new v4ljpegsrc for handling the ov51x hacky "I'll give
	  you jpeg inside rgb frames" driver.
	  Don't error in the v4lsrc link function, just return 
	  REFUSED.

2005-02-03  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/qcam/gstqcamsrc.c: (gst_qcamsrc_change_state),
	(gst_qcamsrc_open):
	  Use GST_ELEMENT_ERROR, not g_warning, if open failed.

2005-02-02  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/qtdemux/qtdemux.c: (qtdemux_video_caps):
	  Change caps on MJPEG-B so it doesn't interfere with MJPEG/JPEG.

2005-02-02  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/raw1394/gstdv1394src.c: (gst_dv1394src_change_state):
	  Reset negotiated state on PAUSED->READY.

2005-02-02  David Schleef  <ds@schleef.org>

	* configure.ac: Put DEFAULT_AUDIOSINK in config.h and use
	whereever possible.  (Fixes #165997)
	* examples/capsfilter/capsfilter1.c: (main):
	* examples/dynparams/filter.c: (create_ui):
	* examples/seeking/cdparanoia.c: (get_track_info), (main):
	* examples/seeking/chained.c: (main):
	* examples/seeking/seek.c: (make_mod_pipeline), (make_dv_pipeline),
	(make_wav_pipeline), (make_flac_pipeline), (make_sid_pipeline),
	(make_vorbis_pipeline), (make_mp3_pipeline), (make_avi_pipeline),
	(make_mpeg_pipeline), (make_mpegnt_pipeline):
	* examples/seeking/spider_seek.c: (make_spider_pipeline):
	* examples/switch/switcher.c: (main):
	* ext/dv/demo-play.c: (main):
	* ext/faad/gstfaad.c: (gst_faad_change_state):
	* ext/mad/gstmad.c: (gst_mad_chain):
	* ext/smoothwave/demo-osssrc.c: (main):
	* gst-libs/gst/gconf/gconf.c: (gst_gconf_set_string),
	(gst_gconf_render_bin_from_description),
	(gst_gconf_get_default_audio_sink),
	(gst_gconf_get_default_video_sink),
	(gst_gconf_get_default_audio_src),
	(gst_gconf_get_default_video_src),
	(gst_gconf_get_default_visualization_element):
	* gst/level/demo.c: (main):
	* gst/level/plot.c: (main):
	* gst/playback/gstplaybin.c: (gen_video_element),
	(gen_audio_element):
	* gst/playback/test.c: (gen_video_element), (gen_audio_element):
	* gst/playondemand/demo-mp3.c: (setup_pipeline):
	* gst/sine/demo-dparams.c: (main):
	* gst/spectrum/demo-osssrc.c: (main):
	* gst/speed/demo-mp3.c: (main):
	* gst/volume/demo.c: (main):
	* testsuite/embed/embed.c: (main):

2005-02-02  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/tcp/gsttcpclientsink.c: (gst_tcpclientsink_class_init),
	(gst_tcpclientsink_finalize):
	* gst/tcp/gsttcpclientsrc.c: (gst_tcpclientsrc_class_init),
	(gst_tcpclientsrc_finalize):
	* gst/tcp/gsttcpserversink.c: (gst_tcpserversink_class_init),
	(gst_tcpserversink_init), (gst_tcpserversink_finalize):
	* gst/tcp/gsttcpserversrc.c: (gst_tcpserversrc_class_init),
	(gst_tcpserversrc_init), (gst_tcpserversrc_finalize):
	  Don't leak the hostname when shutting down.
	  In tcpserversrc, take a copy of the default hostname.

2005-02-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/raw1394/gstdv1394src.c: (gst_dv1394src_iso_receive):
	  Set caps to systemstream=TRUE.

2005-02-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* testsuite/Makefile.am:
	  Fix more OSX buildbots.

2005-02-02  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  Don't send things to NULL PAD_PEERs

	* gst/deinterlace/gstdeinterlace.c: (gst_deinterlace_chain):
	  Copy-on-write the incoming buffer.

	* gst/mpegstream/gstdvddemux.h:
	* gst/mpegstream/gstmpegclock.h:
	* gst/mpegstream/gstmpegdemux.c: (gst_mpeg_demux_parse_syshead),
	(normal_seek), (gst_mpeg_demux_handle_src_event):
	* gst/mpegstream/gstmpegdemux.h:
	* gst/mpegstream/gstmpegpacketize.h:
	* gst/mpegstream/gstmpegparse.c:
	(gst_mpeg_parse_update_streaminfo), (gst_mpeg_parse_reset),
	(gst_mpeg_parse_handle_discont), (gst_mpeg_parse_parse_packhead),
	(gst_mpeg_parse_loop), (gst_mpeg_parse_get_rate),
	(gst_mpeg_parse_convert_src), (gst_mpeg_parse_handle_src_query),
	(gst_mpeg_parse_handle_src_event), (gst_mpeg_parse_change_state):
	* gst/mpegstream/gstmpegparse.h:
	* gst/mpegstream/gstrfc2250enc.h:
          Various changes to the way time is computed that make seeking and
	  total time estimation much better here.
	  Use G_BEGIN/END_DECLS instead of __cplusplus

	* gst/videocrop/gstvideocrop.c: (gst_video_crop_chain):
	  Use gst_buffer_stamp instead of only copying the TIMESTAMP

2005-02-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/subparse/gstsubparse.c:
	  Fix OSX buildbot.

2005-01-31  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/theora/theoraenc.c: (theora_buffer_from_packet),
	(theora_enc_chain), (theora_enc_change_state):
	* ext/vorbis/vorbisenc.c: (gst_vorbisenc_init),
	(gst_vorbisenc_buffer_from_packet), (gst_vorbisenc_chain),
	(gst_vorbisenc_change_state):
	* ext/vorbis/vorbisenc.h:
	  Set granulepos and timestamp correctly for streams not
	  starting at 0, taking into account the initial delay.

2005-01-31  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/mpegstream/gstdvddemux.c:
	  Add audio/x-dts to audio pad template caps

2005-01-30  David Schleef  <ds@schleef.org>

	* ext/polyp/polypsink.c: (gst_polypsink_base_init),
	(create_context), (gst_polypsink_link): Fix silly endianness
	bug.  Add some debugging.  Remove float from caps; it doesn't
	work.  Attempt to get remote audio working.

2005-01-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/qtdemux/qtdemux.c: (qtdemux_video_caps):
	  Add 3IV2 fourcc.

2005-01-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_add_stream), (swap_line),
	(gst_avi_demux_invert), (gst_avi_demux_process_next_entry),
	(gst_avi_demux_stream_data):
	* gst/avi/gstavidemux.h:
	  Invert DIB images. Fixes #132341.

2005-01-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/ffmpegcolorspace/gstffmpegcolorspace.c:
	(gst_ffmpegcsp_chain):
	  D'oh, reference the palette data, not the palette structure.
	  Fixes color distortion in #132341.

2005-01-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/videoscale/gstvideoscale.c: (gst_videoscale_link):
	  PAR can be non-fixed when not provided as argument (#162626).

2005-01-29  David Moore  <dcm@acm.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_change_state),
	(gst_qtdemux_loop_header):
	  Re-apply patch from #142272 that allows non-seekable sources,
	  re-proposed by Daniel Drake <dsd@gentoo.org>.

2005-01-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/rtp/gstrtpgsmenc.c: (gst_rtpgsmenc_init):
	  Use the src template for creating the src pad (#162330).

2005-01-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* ext/musepack/Makefile.am:
	* ext/musepack/gstmusepackdec.c: (gst_musepackdec_class_init),
	(gst_musepackdec_init), (gst_musepackdec_dispose),
	(gst_musepackdec_src_query), (gst_musepackdec_src_convert),
	(gst_musepack_stream_init), (gst_musepackdec_loop),
	(gst_musepackdec_change_state):
	* ext/musepack/gstmusepackdec.cpp:
	* ext/musepack/gstmusepackdec.h:
	* ext/musepack/gstmusepackreader.c: (gst_musepack_reader_peek),
	(gst_musepack_reader_read), (gst_musepack_reader_seek),
	(gst_musepack_reader_tell), (gst_musepack_reader_get_size),
	(gst_musepack_reader_canseek), (gst_musepack_init_reader):
	* ext/musepack/gstmusepackreader.cpp:
	* ext/musepack/gstmusepackreader.h:
	  Update to 1.1 API (#165446).

2005-01-28  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/Makefile.am:
	  Unbreak buildbot.

2005-01-28  Andy Wingo  <wingo@pobox.com>

	* ext/dv/gstdvdec.c: Change the pixel aspect ratio of dvdec output
	to reflect a different dubious internet source. Add a reference
	and some commentary.

2005-01-28  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gststreamselector.c: (gst_stream_selector_init),
	(gst_stream_selector_get_caps), (gst_stream_selector_chain):
	* gst/playback/gststreamselector.h:
	  Be more selective when we're redoing caps negotiation from
	  within the chain function on a stream change.

2005-01-28  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* ext/Makefile.am:
	* ext/amrnb/Makefile.am:
	* ext/amrnb/amrnb.c: (plugin_init):
	* ext/amrnb/amrnbdec.c: (gst_amrnbdec_get_type),
	(gst_amrnbdec_base_init), (gst_amrnbdec_class_init),
	(gst_amrnbdec_init), (gst_amrnbdec_link), (gst_amrnbdec_chain),
	(gst_amrnbdec_state_change):
	* ext/amrnb/amrnbdec.h:
	* ext/amrnb/amrnbparse.c: (gst_amrnbparse_get_type),
	(gst_amrnbparse_base_init), (gst_amrnbparse_class_init),
	(gst_amrnbparse_init), (gst_amrnbparse_formats),
	(gst_amrnbparse_querytypes), (gst_amrnbparse_query),
	(gst_amrnbparse_handle_event), (gst_amrnbparse_reserve),
	(gst_amrnbparse_loop), (gst_amrnbparse_state_change):
	* ext/amrnb/amrnbparse.h:
	  Add support for AMR-NB (mobile phone audio format; #155163, #163286).
	* gst/typefind/gsttypefindfunctions.c: (plugin_init):
	  Add AMR-NB/-WB raw formats.
	* ext/alsa/gstalsa.c: (gst_alsa_link):
	  Keep valid time when changing format.
	* gst/qtdemux/qtdemux.c: (gst_qtdemux_loop_header),
	(qtdemux_parse_trak):
	  Add some more format-specific options (#140141, #143555, #155163).

2005-01-28  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/matroska/matroska-demux.c:
	(gst_matroska_demux_parse_blockgroup):
	  Fix logic error in timing of subtitle stream synchronization.
	* gst/typefind/gsttypefindfunctions.c: (qt_type_find):
	  Add skip-chunk, which is found in kodak-camera streams.

2005-01-27  Thomas Vander Stichele  <thomas at apestaart dot org>

	* po/LINGUAS:
	* po/vi.po:
	  Adding Vietnamese translation (submitted by Clytie Siddall)

2005-01-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstdecodebin.c: (try_to_link_1):
	  Use realpad for signal.

2005-01-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mad/gstid3demuxbin.c: (gst_id3demux_bin_base_init):
	  Fix category so decodebin picks it up.

2005-01-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mad/Makefile.am:
	* ext/mad/gstid3demuxbin.c: (gst_id3demux_bin_get_type),
	(gst_id3demux_bin_base_init), (gst_id3demux_bin_class_init),
	(gst_id3demux_bin_init), (gst_id3demux_bin_remove_pad),
	(found_type), (gst_id3demux_bin_change_state):
	* ext/mad/gstid3tag.c: (gst_id3_tag_add_src_pad),
	(gst_id3_tag_init), (gst_id3_tag_handle_event),
	(gst_id3_tag_src_link), (gst_id3_tag_chain),
	(gst_id3_tag_change_state), (plugin_init):
	* ext/mad/gstmad.h:
	  Add id3demuxbin (which is a simple bin consisting of id3demux
	  and typefind), take over rank from id3demux, remove typefind
	  code from id3demux. Makes all broken mp3s that I know of work,
	  and thereby fixes #152688.

2005-01-27  Edward Hervey  <bilboed@bilboed.com>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mad/gstmad.c: (gst_mad_src_event):
	* gst/avi/gstavidemux.c: (gst_avi_demux_handle_src_event):
	  Allow seeks on audio pad, make mad forward those (#164826).
	* gst/audioscale/gstaudioscale.c: (gst_audioscale_chain):
	  Set duration (#165335).

2005-01-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/asfdemux/gstasfdemux.c: (gst_asf_demux_init),
	(gst_asf_demux_commit_taglist), (gst_asf_demux_process_comment),
	(gst_asf_demux_process_ext_content_desc),
	(gst_asf_demux_change_state), (gst_asf_demux_add_audio_stream),
	(gst_asf_demux_add_video_stream), (gst_asf_demux_setup_pad):
	* gst/asfdemux/gstasfdemux.h:
	  Improve metadata display, e.g. if the metadata comes before the
	  streams are loaded (which is perfectly valid).

2005-01-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* tools/gst-launch-ext-m.m:
	  Fix AVI/ASF pipelines (#165340).

2005-01-26  Amaury Jacquot  <sxpert@esitcom.org>
	* ext/cairo/gsttextoverlay.c: include  string.h and strings.h to fix
	build failure on amd64

2005-01-26  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/mad/gstid3tag.c: (mad_id3_parse_latin1_string),
	(mad_id3_parse_comment_frame), (gst_mad_id3_to_tag_list):
	  Check environment variables GST_ID3V2_TAG_ENCODING,
	  GST_ID3_TAG_ENCODING and GST_TAG_ENCODING for a colon-separated
	  list of character encodings to force interpretation of non-unicode
	  strings stored in an ID3v2 tag to a particular encoding. If none
	  is specified, try to use current locale's encoding, then fall back
	  to ISO-8859-1 (which will always succeed). (Resolves #149274)
	* gst/tags/gstid3tag.c: (gst_tag_from_id3_tag),
	(gst_tag_extract_id3v1_string), (gst_tag_list_new_from_id3v1):
	  Check environment variables GST_ID3V1_TAG_ENCODING,
	  GST_ID3_TAG_ENCODING and GST_TAG_ENCODING for a colon-separated
	  list of character encodings to use in case a string encountered
	  in an ID3v1 tag is not valid UTF-8 already. If no encoding is
	  specified, try to use the current locale's encoding, then fall
	  back to ISO-8859-1 (which will always succeed).

2005-01-25  Benjamin Otte  <otte@gnome.org>

	* ext/mad/gstmad.c: (gst_mad_check_caps_reset), (gst_mad_chain):
	  - on half framerate, compute the rate in advance so the comparisons
	    don't compare wrong values
	  - don't use mad_synth/frame_mute anymore, this mirrors mad_decoder
	    behaviour
	  - don't use mad_header_decode anymore, mad_frame_decode does that
	    automatically
	  - when getting rid of consumed bytes, reset the stream's skiplen
	  (fixes #163867)

2005-01-26  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/mpegstream/gstmpegparse.c: (gst_mpeg_parse_class_init)
	  Use 1/2 a second for default max_discont, as PES streams from DVB
	  seem to have larger spacings in the SCR. 
	  Fix a typo.

2005-01-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (group_commit):
	  Notify delayed stream-info availability.

2005-01-26  Jan Schmidt  <thaytan@mad.scientist.com>
	* ext/a52dec/gsta52dec.c: (gst_a52dec_push),
	(gst_a52dec_handle_event), (gst_a52dec_chain):
	Add some debug output. Check that a discont has a valid
	time associated.
	* ext/alsa/gstalsasink.c: (gst_alsa_sink_check_event),
	(gst_alsa_sink_loop):
	Ignore TAG events. A little extra debug for broken timestamps.
	* ext/dvdnav/dvdnavsrc.c: (dvdnavsrc_init), (dvdnavsrc_loop),
	(dvdnavsrc_change_state):
	Ensure we send a discont to engage the link before we send any
	other events.
	* ext/dvdread/dvdreadsrc.c: (dvdreadsrc_init),
	(dvdreadsrc_finalize), (_close), (_open), (_seek_title),
	(_seek_chapter), (seek_sector), (dvdreadsrc_get),
	(dvdreadsrc_uri_get_uri), (dvdreadsrc_uri_set_uri):
	Handle URI of the form dvd://title[,chapter[,angle]]. Currently only
	dvd://title works in totem because typefinding sends a seek that ends
	up going back to chapter 1 regardless.
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	Output correct timestamps and handle disconts.
	* ext/ogg/gstoggdemux.c: (get_relative):
	Small guard against a null dereference.
	* ext/pango/gsttextoverlay.c: (gst_textoverlay_finalize),
	(gst_textoverlay_set_property):
	Free memory when done. Don't call gst_event_filler_get_duration on
	EOS events. Use GST_LOG and GST_WARNING instead of g_message and
	g_warning.
	* ext/smoothwave/gstsmoothwave.c: (gst_smoothwave_init),
	(draw_line), (gst_smoothwave_dispose), (gst_sw_sinklink),
	(gst_sw_srclink), (gst_smoothwave_chain):
	Draw solid lines, prettier colours.
	* gst/mpeg2sub/gstmpeg2subt.c: (gst_mpeg2subt_init):
	Add a default palette that'll work for some movies.
	* gst/mpegstream/gstdvddemux.c: (gst_dvd_demux_init),
	(gst_dvd_demux_handle_dvd_event), (gst_dvd_demux_send_discont),
	(gst_dvd_demux_send_subbuffer), (gst_dvd_demux_reset):
	* gst/mpegstream/gstdvddemux.h:
	* gst/mpegstream/gstmpegdemux.c: (gst_mpeg_demux_send_discont),
	(gst_mpeg_demux_parse_syshead), (gst_mpeg_demux_parse_pes):
	* gst/mpegstream/gstmpegparse.c: (gst_mpeg_parse_init),
	(gst_mpeg_parse_handle_discont), (gst_mpeg_parse_parse_packhead):
	* gst/mpegstream/gstmpegparse.h:
	Use PTM/NAV events when for timestamp adjustment when connected to 
	dvdnavsrc. Don't use many discont events where one suffices.
	* gst/playback/gstplaybasebin.c: (group_destroy),
	(gen_preroll_element), (gst_play_base_bin_add_element):
	* gst/playback/gstplaybasebin.h:
	Make sure we remove subtitles from the same bin we put them in.
	* gst/subparse/gstsubparse.c: (convert_encoding), (parse_subrip),
	(gst_subparse_buffer_format_autodetect),
	(gst_subparse_change_state):
	Fix some memleaks and invalid accesses.
	* gst/typefind/gsttypefindfunctions.c: (ogganx_type_find),
	(oggskel_type_find), (cmml_type_find), (plugin_init):
	Some typefind functions for Annodex v3.0 files
	* gst/wavparse/gstwavparse.h:
	GstRiffReadClass is the correct parent class.

2005-01-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/riff/riff-media.c:
	(gst_riff_create_video_caps_with_data):
	  Add extradata to huffyuv (fixes #165013).
	* gst-libs/gst/riff/riff-read.c:
	(gst_riff_read_strf_vids_with_data):
	  Fix extradata extraction if it is in the chunk size.

2005-01-25  Edward Hervey  <bilboed@bilboed.com>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/effectv/gstquark.c: (gst_quarktv_class_init),
	(gst_quarktv_change_state), (gst_quarktv_dispose):
	  Memory free'ing location fix (#164708).

2005-01-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (group_commit),
	(gen_preroll_element), (probe_triggered), (gen_source_element),
	(setup_source), (gst_play_base_bin_change_state),
	(gst_play_base_bin_add_element):
	  Don't block for streams.
	* gst/playback/gststreaminfo.c: (stream_info_change_state),
	(gst_stream_info_set_mute):
	  Use gst_pad_set_active_recursive.

2005-01-25  Andy Wingo  <wingo@pobox.com>

	* sys/v4l/gstv4lelement.c (gst_v4l_iface_supported): Fix compile
	for #ifndef HAVE_XVIDEO.

2005-01-24  Jeffrey C. Ollie

	reviewed by: Maciej Katafiasz  <mathrick@freedesktop.org>

	* ext/gsm/gstgsmdec.c: (gst_gsmdec_init), (gst_gsmdec_chain):
	* ext/gsm/gstgsmdec.h:
	* ext/gsm/gstgsmenc.c: (gst_gsmenc_init), (gst_gsmenc_chain):
	* ext/gsm/gstgsmenc.h:
	Fix rate to 8kHz as per spec, removes obscure errors when no rate
	was given by property. Add proper buffer timestamps and offsets.

2005-01-24  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/riff/riff-media.c:
	(gst_riff_create_audio_caps_with_data):
	  Audio can be <8000Hz.

2005-01-22  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_change_state):
	  Explicit state change to workaround refcount bugs.

2005-01-22  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavimux.c: (gst_avimux_write_tag),
	(gst_avimux_riff_get_avi_header):
	  Fix...

2005-01-19  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/riff/riff-read.c: (gst_riff_peek_element_data),
	(gst_riff_read_element_data):
	* gst-libs/gst/riff/riff-read.h:
	  Add _peek version (req'ed in CDXA).
	* gst/cdxaparse/gstcdxaparse.c: (gst_cdxaparse_init),
	(gst_cdxaparse_loop):
	  Fix parsing in playbin.
	* gst/playback/gstdecodebin.c: (close_pad_link):
	  Ignore current_ pads, they cause major annoyance.

2005-01-19  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsasink.c: (gst_alsa_sink_loop):
	  Safety guard.

2005-01-19  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavimux.c: (gst_avimux_write_tag):
	  Fix padding...

2005-01-19  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/matroska/ebml-read.c: (gst_ebml_read_buffer):
	  Allow for 0-sized buffers. Fixes length query problems in
	  starwars.mkv from the testsuite.

2005-01-19  Tim-Philipp Müller  <tim at centricular dot net>

	* gst/videobox/gstvideobox.c: (gst_video_box_copy_plane_i420),
	(gst_video_box_i420), (gst_video_box_chain):
	  Fix row strides for I420 (fixes #163159)
	  
2005-01-19  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/mpegstream/gstmpegparse.c: (gst_mpeg_parse_parse_packhead):
	  MPEG2 has a useful rate property, so we can actually use that.
	  For MPEG-1, continue using the bytes/time properties.

2005-01-19  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/riff/riff-media.c:
	(gst_riff_create_video_caps_with_data),
	(gst_riff_create_video_template_caps):
	  Add intel-h263.

2005-01-19  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mad/gstmad.c: (gst_mad_check_caps_reset), (gst_mad_chain):
	  Fail if caps negotiation fails. Should fix #162184, and should
	  definately be in there regardless of it fixing the actual bug.
	* gst/avi/gstavimux.c: (gst_avimux_get_type), (gst_avimux_init),
	(gst_avimux_write_tag), (gst_avimux_riff_get_avi_header),
	(gst_avimux_riff_get_avix_header),
	(gst_avimux_riff_get_video_header),
	(gst_avimux_riff_get_audio_header), (gst_avimux_write_index),
	(gst_avimux_start_file), (gst_avimux_handle_event),
	(gst_avimux_change_state):
	* gst/avi/gstavimux.h:
	  Refactor structure writing to use GST_WRITE_UINT macros, add
	  metadata writing support.

2005-01-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gststreaminfo.c: (gst_stream_info_dispose):
	  Elements may already be destroyed when this function is called.

2005-01-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_change_state),
	(gst_qtdemux_loop_header), (gst_qtdemux_handle_esds):
	  More memory leak fixes (#149162).

2005-01-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_change_state),
	(gst_qtdemux_add_stream):
	  Fix two memleaks.

2005-01-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faad/gstfaad.c: (gst_faad_srcgetcaps):
	  Argh...

2005-01-17  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faad/gstfaad.c: (gst_faad_srcgetcaps):
	  Fix off-by-one bug. Fixes warnings during playback of sincity.mp4
	  when fixating to six channels in Totem.

2005-01-17  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/dvdread/dvdreadsrc.c: (get_next_cell_for):
	  Fix compile warnings on Solaris 10 buildbot

2005-01-17  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/dvdread/dvdreadsrc.c: (_read):
	  Don't read beyond the last cell in a chapter (fixes 
	  invalid memory access)

2005-01-17  Tim-Philipp Müller  <tim at centricular dot net>

	* ext/dvdread/stream_labels.c:
	(dvdreadsrc_get_audio_stream_labels):
	  Use NULL for an empty GList instead of g_list_alloc(); fix 
	  memory leaks; s/LCPM/LPCM/; use g_strdup_printf() instead 
	  of GString (easier to bulk free later)

2005-01-17  Gergely Nagy  <algernon@bonehunter.rulez.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpeg_pixfmt_to_caps):
	  Fix BGRA32 caps (#164209).

2005-01-17  Gergely Nagy  <algernon@bonehunter.rulez.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpeg_caps_to_pixfmt):
	  alpha_mask can be RGBA/ABGR. Fixes #164265.

2005-01-17  Francis Labonte  <francis_labonte@hotmail.com>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mpeg2dec/gstmpeg2dec.c: (crop_buffer),
	(gst_mpeg2dec_alloc_buffer):
	* ext/mpeg2dec/gstmpeg2dec.h:
	  Crop if decoding size is not the actual image size (#163676).

2005-01-17  Steve Baker  <steve@stevebaker.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/typefind/gsttypefindfunctions.c: (aiff_type_find),
	(svx_type_find), (sds_type_find), (ircam_type_find), (plugin_init):
	  Add libsndfile typefind functions (#163309).

2005-01-17  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* tools/gst-launch-ext-m.m:
	  Add .aac, fix .m1v/.m2v (#163891).

2005-01-17  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsaclock.c: (gst_alsa_clock_wait):
	  Sanity check, don't wait endlessly since the clock might not
	  actually run at this point (which is a deadlock). Fixes #164069.

2005-01-16  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (probe_triggered):
	  Of course, only pause if group is done...

2005-01-16  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (probe_triggered):
	  Thread safety.

2005-01-16  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/swfdec/gstswfdec.c: (gst_swfdec_change_state):
	  Don't return state change success when the parent
	  failed.

2005-01-16  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavimux.c: (gst_avimux_handle_event):
	  Free events (fix memleak in #162905).

2005-01-15  Gergely Nagy  <algernon@bonehunter.rulez.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpeg_caps_to_pixfmt):
	  Fix for depth = 15. Fixes #161675.

2005-01-14  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l/gstv4lsrc.c: (gst_v4lsrc_getcaps):
	  Set FPS correctly, even for webcams and the like.
	* sys/v4l/v4l_calls.c: (gst_v4l_set_chan_norm):
	  Don error on setting while capturing.

2005-01-14  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* ext/dv/gstdvdec.c:
	* gst/subparse/gstsubparse.c: (parse_mdvdsub):
	* gst/y4m/gsty4mencode.c: (gst_y4mencode_sinkconnect):
	  I'm a bad boy. using /1001. to force C to do float division
	  and not integer division (as it did in my last commit)
	  Thanks to David I. Lehn for pointing this mistake.

2005-01-14  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l/gstv4lelement.c: (gst_v4l_iface_supported):
	  Revert Johan´s 1.35->1.36 since it breaks compat.

2005-01-14  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* ext/dv/gstdvdec.c:
	* ext/libfame/gstlibfame.c:
	* gst/subparse/gstsubparse.c: (parse_mdvdsub):
	* gst/y4m/gsty4mencode.c: (gst_y4mencode_sinkconnect):
          replace framerate aproximations by their real value
          (24000/1001, 30000/1001, 60000/1001)
          Finish fixing bug #164049

2005-01-13  Thomas Vander Stichele  <thomas at apestaart dot org>

	* ext/ogg/gstoggmux.c:
	  eos/bos debugging
	* gst/tcp/gstmultifdsink.c:
	* gst/tcp/gstmultifdsink.h:
	* gst/tcp/gsttcp.c:
	* gst/tcp/gsttcp.h:
	* gst/tcp/gsttcpclientsink.c:
	* gst/tcp/gsttcpclientsrc.c:
	* gst/tcp/gsttcpserversink.c:
	* gst/tcp/gsttcpserversrc.c:
	  improve reusability of elements after state changes and errors
	  make multifdsink throw away streamheaders when receiving new ones

2005-01-13  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsa.c: (gst_alsa_rates_probe):
	  Fix for if items are already in list...

2005-01-12  Benjamin Otte  <otte@gnome.org>

	* gst/adder/gstadder.c: (gst_adder_loop):
	  fix adder a bit so it doesn't screw up with events as much anymore

2005-01-12  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/gdk_pixbuf/pixbufscale.c: (gst_pixbufscale_link),
	(pixbufscale_scale), (gst_pixbufscale_chain):
	* ext/gdk_pixbuf/pixbufscale.h:
	  Incorporate changes from Tim-Philipp Mueller <t.i.m@orange.net>
	  to ensure rowstrides are calculated the same way as 
	  ffmpegcolorspace
	  Use gst_buffer_stamp instead of copying TIMESTAMP manually, so
	  that we pick up duration and offset also.

2005-01-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavimux.c: (gst_avimux_class_init),
	(gst_avimux_pad_unlink), (gst_avimux_release_pad):
	  Reusability fixes.

2005-01-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsamixer.c: (gst_alsa_mixer_update),
	(gst_alsa_mixer_get_volume), (gst_alsa_mixer_set_volume),
	(gst_alsa_mixer_set_mute), (gst_alsa_mixer_set_record),
	(gst_alsa_mixer_set_option), (gst_alsa_mixer_get_option):
	  Update flags when requested.

2005-01-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsa.c: (gst_alsa_rates_probe):
	  Fix dmix.

2005-01-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_class_init),
	(gst_play_base_bin_init), (gst_play_base_bin_dispose),
	(probe_triggered), (new_decoded_pad), (gen_source_element),
	(gst_play_base_bin_set_property), (gst_play_base_bin_get_property):
	* gst/playback/gstplaybasebin.h:
	* gst/playback/gstplaybin.c: (gst_play_bin_class_init),
	(gst_play_bin_init), (group_switch), (remove_sinks), (setup_sinks),
	(gst_play_bin_change_state):
	  Implement group-switch signal for use in apps to clear metadata
	  cache, clean up subtitle, add suburi property instead of # hack,
	  some error-out fixes.

2005-01-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/vorbis/vorbisdec.c: (vorbis_dec_chain):
	  Debug.
	* sys/v4l/v4lsrc_calls.c: (gst_v4lsrc_grab_frame):
	  If we got a state change in the _get handler, don't return success.

2005-01-10  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* ext/jpeg/gstjpegdec.c: (gst_jpegdec_my_output_message),
	(gst_jpegdec_my_emit_message), (gst_jpegdec_init):
	  Make jpegdec quiet on MJPEG decoding
	* gst/asfdemux/README:
	  Fix mimetypes for MJPEG and H263

2005-01-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/theora/theoradec.c: (theora_dec_chain):
	  Fix broken code generation by gcc by swapping arguments.
	* ext/vorbis/vorbisdec.c: (vorbis_dec_src_query):
	  Fix \n in debug.

2005-01-10  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* TODO:
	  delete this file, it is by far outdated
	* ext/alsa/gstalsa.1: remove
	* ext/alsa/gstalsa.c: (add_rates), (add_channels), (gst_alsa_caps),
	(gst_alsa_check_sample_rates), (gst_alsa_rates_probe),
	(gst_alsa_get_caps):
	  Add HW probing for supported sample rates. Fixes #161704

2005-01-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/audioscale/gstaudioscale.c: (gst_audioscale_chain):
	  Don't crash, biatch! :).

2005-01-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/musepack/gstmusepackreader.cpp:
	* gst/apetag/apedemux.c: (gst_ape_demux_stream_data):
	  Some work on tags - still doesn't work in playbin...
	* gst/audioscale/gstaudioscale.c: (gst_audioscale_chain):
	  Handle events...

2005-01-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/qtdemux/qtdemux.c: (qtdemux_parse_tree):
	  Also shove tags on kid pads.

2005-01-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/riff/riff-read.c: (gst_riff_read_use_event):
	  Don't bail on unknown events.
	* gst/audioscale/gstaudioscale.c: (gst_audioscale_chain):
	  Don't crash on events before negotiation.
	* gst/avi/gstavidemux.c: (gst_avi_demux_add_stream):
	  Send tags on pads, too.
	* gst/playback/gststreamselector.c:
	(gst_stream_selector_request_new_pad):
	  Forward events on first pad if no input was selected yet.

2005-01-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (setup_substreams):
	  Don't disable streamtype if the stream doesn't exist, since
	  then playing a video after audio will disable both and nothing
	  will happen. Fixes the testsuite.

2005-01-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l/gstv4lxoverlay.c: (gst_v4l_xoverlay_interface_init),
	(gst_v4l_xoverlay_set_xwindow_id):
	* sys/v4l2/gstv4l2xoverlay.c: (gst_v4l2_xoverlay_interface_init),
	(gst_v4l2_xoverlay_set_xwindow_id):
	  Add debug categories, fix overlay disabling.

2005-01-10  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* ext/alsa/gstalsa.c: (gst_alsa_class_init), (gst_alsa_get_caps):
	* ext/alsa/gstalsa.h:
	  Add HW probing for period_count/size and buffer_size MIX/MAX
	  Adjust default/user defined value if out of bounds
	  Should fix bug #162024

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_handle_sink_event):
	  Fix warning (#161191).

2005-01-09  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* ext/dvdread/stream_labels.c:
	(dvdreadsrc_get_audio_stream_labels):
	  Fix warning (init the good variable in switch default)

2005-01-09  Koop Mast  <kwm@rainbow-runner.nl>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/tta/gstttaparse.c: (gst_tta_src_event):
	  Fix gcc-2.95 compile (#163485).

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* ext/flac/gstflacenc.c: (gst_flacenc_init),
	(gst_flacenc_seek_callback), (gst_flacenc_write_callback),
	(gst_flacenc_tell_callback), (gst_flacenc_chain),
	(gst_flacenc_change_state):
	* ext/flac/gstflacenc.h:
	  Update for API change in flac-1.1.1. Update requirement in
	  configure.ac. Fixes #162974.

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (group_destroy):
	  Remove hack to get rid of assert and get rid of unlinked
	  signals properly.

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (setup_source):
	  Set source to NULL so that resources are free'ed. Fixes issues
	  with playback of CDDA and similar device-accessing things.

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* testsuite/embed/Makefile.am:
	  test->noinst, fix make test in buildbot.

2005-01-09  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* ext/dvdread/stream_labels.c: new file
	* ext/dvdread/stream_labels.h: new file
	* ext/dvdread/Makefile.am:
	* ext/dvdread/dvdreadsrc.c: (_seek_title):
	  Extract audio stream label from DVD IFO files.
	  It only dump them on the console for now, still have to
	  make playbin aware of them.

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (setup_source):
	  Fix hanging subs.

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_init),
	(gen_preroll_element), (remove_groups), (setup_subtitle),
	(gen_source_element), (setup_source):
	* gst/playback/gstplaybasebin.h:
	  Multiple .sub files is just a stupid idea... Fix some threading
	  mistakes. Interestingly, external .sub files cause playbin to
	  hang, I don't know why... Parsing fixes contributed by François
	  Kooman <fkooman@tuxed.net>.

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* testsuite/embed/Makefile.am:
	  Fix buildbot.

2005-01-09  Gergely Nagy  <algernon@bonehunter.rulez.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/libpng/gstpngenc.c: (gst_pngenc_class_init),
	(gst_pngenc_init), (gst_pngenc_chain), (gst_pngenc_get_property),
	(gst_pngenc_set_property):
	* ext/libpng/gstpngenc.h:
	  Add compression level property (#163323).

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* examples/capsfilter/capsfilter1.c: (main):
	* examples/seeking/spider_seek.c: (make_spider_pipeline):
	* ext/dvdread/Makefile.am:
	* ext/dvdread/demo-play:
	* ext/dvdread/demo-play.c:
	* gconf/gstreamer.schemas.in:
	* gst-libs/gst/gconf/gconf.c:
	* sys/v4l/TODO:
	* testsuite/Makefile.am:
	* testsuite/embed/Makefile.am:
	* testsuite/embed/embed.c: (cb_expose), (main):
	  Remove all references to xvideosink, fix examples (#140845).
	* gst/playback/gstplaybasebin.c: (group_destroy):
	  Apparently, disposal does not unlink - so do explicitely.
	* ext/alsa/gstalsasink.c: (gst_alsa_sink_check_event):
	  Add debug.

2005-01-09  Maciej Katafiasz <mathrick@freedesktop.org>

	* README: fix PKG_CONFIG_PATH instructions, what was there
	previously was breaking default search path, not nice. 
	Fixes #163358

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/audioscale/gstaudioscale.c: (gst_audioscale_init),
	(gst_audioscale_chain):
	  %#^@^#@^@#^#@^#@^@#^@#^@#^@#^#@^#@^#@^@#^#@ fix seeking
	  when resampling - how the ^@$^!@^! is this possible?!?

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsa.c: (gst_alsa_change_state):
	  Reset variables on READY.
	* gst/matroska/matroska-mux.c: (gst_matroska_mux_request_new_pad),
	(gst_matroska_mux_loop):
	  Require data before writing header.

2005-01-09  Francis Labonte  <francis_labonte@hotmail.com>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mad/gstmad.c: (gst_mad_chain):
	  Don't call mad_stream_sync() directly after recovering sync.
	  Fixes #151661.

2005-01-09  Martin Eikermann  <meiker@upb.de>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/snapshot/gstsnapshot.c: (gst_snapshot_class_init),
	(snapshot_handler), (gst_snapshot_sinkconnect),
	(gst_snapshot_chain):
	  Allocate resources when required, fix recursive signal emission
	  and fix caps. Fixes #161667.

2005-01-09  Gergely Nagy  <algernon@bonehunter.rulez.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/libpng/gstpngdec.c: (gst_pngdec_src_getcaps),
	(gst_pngdec_chain):
	  Handle only 8-bppc (bits-per-pixel-component) images, better
	  error handling and correct strides. Fixes #163177.
	* ext/libpng/gstpngenc.c: (gst_pngenc_sinklink),
	(gst_pngenc_chain):
	  Better error handling. Fixes #163348.

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/dvdnav/dvdnavsrc.c: (dvdnavsrc_get_type),
	(dvdnavsrc_uri_get_type), (dvdnavsrc_uri_get_protocols),
	(dvdnavsrc_uri_get_uri), (dvdnavsrc_uri_set_uri),
	(dvdnavsrc_uri_handler_init):
	  Add DVD-nav URI (dvdnav://) for Totem testing purposes.
	* gst/playback/gstplaybasebin.c: (gen_source_element):
	  Add MMS to streaming URIs.

2005-01-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/ximage/ximagesink.c: (gst_ximagesink_navigation_send_event):
	* sys/xvimage/xvimagesink.c:
	(gst_xvimagesink_navigation_send_event):
	  Check for pad availability before sending event.

2005-01-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-plugins.spec.in:
	  Add subparse.

2005-01-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	  Since we use functions from CVS, up requirement.

2005-01-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/Makefile.am:
	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_class_init),
	(group_destroy), (group_commit), (group_is_muted),
	(gen_preroll_element), (add_stream), (unknown_type),
	(probe_triggered), (preroll_unlinked), (mute_stream),
	(silence_stream), (new_decoded_pad), (setup_substreams),
	(setup_source), (get_active_source), (mute_group_type),
	(muted_group_change_state), (set_active_source),
	(gst_play_base_bin_set_property), (gst_play_base_bin_get_property),
	(play_base_eos), (gst_play_base_bin_change_state):
	* gst/playback/gstplaybasebin.h:
	* gst/playback/gstplaybin.c: (add_sink), (setup_sinks):
	* gst/playback/gststreaminfo.c: (gst_stream_info_class_init),
	(gst_stream_info_dispose), (stream_info_mute_pad),
	(stream_info_change_state), (gst_stream_info_set_mute):
	* gst/playback/gststreamselector.c: (gst_stream_selector_get_type),
	(gst_stream_selector_base_init), (gst_stream_selector_class_init),
	(gst_stream_selector_init), (gst_stream_selector_dispose),
	(gst_stream_selector_get_linked_pad),
	(gst_stream_selector_get_caps), (gst_stream_selector_link),
	(gst_stream_selector_get_linked_pads),
	(gst_stream_selector_request_new_pad), (gst_stream_selector_chain):
	* gst/playback/gststreamselector.h:
	  Adding stream selection support plus required properties for
	  applications to use this. Fully fixes #100931.

2005-01-08  Benjamin Otte  <otte@gnome.org>

	* gst/games/gstpuzzle.c: (nav_event_handler):
	  - handle nav events differently: forward every event no matter if it
	    was handled or not.
	  - translate events
	  You can now cheat by using navigationtest ! puzzle and moving the
	  mouse close to the edge of a tile. ;)

2005-01-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_new):
	* ext/ogg/gstogmparse.c: (gst_ogm_text_parse_get_type),
	(gst_ogm_text_parse_base_init), (gst_ogm_text_parse_init),
	(gst_ogm_parse_get_sink_querytypes), (gst_ogm_parse_sink_convert),
	(gst_ogm_parse_sink_query), (gst_ogm_parse_chain),
	(gst_ogm_parse_plugin_init):
	* ext/pango/gsttextoverlay.c: (gst_textoverlay_linkedpads),
	(gst_textoverlay_link), (gst_textoverlay_getcaps),
	(gst_textoverlay_event), (gst_textoverlay_video_chain),
	(gst_textoverlay_loop), (gst_textoverlay_init), (plugin_init):
	* ext/pango/gsttextoverlay.h:
	* gst/matroska/matroska-demux.c: (gst_matroska_demux_add_stream),
	(gst_matroska_demux_handle_seek_event),
	(gst_matroska_demux_sync_streams),
	(gst_matroska_demux_parse_blockgroup),
	(gst_matroska_demux_subtitle_caps),
	(gst_matroska_demux_plugin_init):
	* gst/matroska/matroska-ids.h:
	* gst/playback/gstdecodebin.c: (close_pad_link):
	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_init),
	(gen_preroll_element), (remove_groups), (add_stream),
	(new_decoded_pad), (setup_subtitles), (gen_source_element),
	(setup_source):
	* gst/playback/gstplaybasebin.h:
	* gst/playback/gstplaybin.c: (gen_text_element), (setup_sinks):
	* gst/subparse/Makefile.am:
	* gst/subparse/gstsubparse.c: (gst_subparse_get_type),
	(gst_subparse_base_init), (gst_subparse_class_init),
	(gst_subparse_init), (gst_subparse_formats),
	(gst_subparse_eventmask), (gst_subparse_event),
	(gst_subparse_handle_event), (convert_encoding), (get_next_line),
	(parse_mdvdsub), (parse_mdvdsub_init), (parse_subrip),
	(parse_subrip_deinit), (parse_subrip_init), (parse_mpsub),
	(parse_mpsub_deinit), (parse_mpsub_init),
	(gst_subparse_buffer_format_autodetect),
	(gst_subparse_format_autodetect), (gst_subparse_loop),
	(gst_subparse_change_state), (gst_subparse_type_find),
	(plugin_init):
	* gst/subparse/gstsubparse.h:
	* gst/typefind/gsttypefindfunctions.c: (ogmtext_type_find),
	(plugin_init):
	  Add subtitle support, .sub parser (supports SRT and MPsub),
	  OGM text support, Matroska UTF-8 text support, deadlock fixes
	  all over the place, subtitle awareness in decodebin/playbin
	  and some fixes to textoverlay to handle subtitles in a stream
	  correctly. Fixes #100931.

2005-01-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/vorbis/vorbisdec.c: (vorbis_dec_src_query):
	  Check for pad availability before doing a query on it.

2005-01-08  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* ext/dv/gstdvdec.c:
	  really fix bpp24/32 dvdec caps (classic rgba indeed)
	* gst/asfdemux/gstasfdemux.c:
	(gst_asf_demux_process_ext_content_desc):
	  don't send text tags if they are empty (bis repetita)

2005-01-08  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* ext/dv/gstdvdec.c:
	 remove unneeded comment from dvdec
	  (related to DV 4CC codes in AVI files)
	  moved them in gstreamer/docs/random/mimetypes
	* gst/asfdemux/gstasfdemux.c:
	(gst_asf_demux_process_ext_content_desc):
	 don't send text tags if they are empty
	 fix mem leak on error path
	* gst/ffmpegcolorspace/avcodec.h:
	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpeg_pixfmt_to_caps), (gst_ffmpeg_caps_to_pixfmt),
	(gst_ffmpegcsp_avpicture_fill):
	* gst/ffmpegcolorspace/imgconvert.c: (img_get_alpha_info):
	* gst/ffmpegcolorspace/imgconvert_template.h:
	 adds BGR32 and BGRA32 to ffmpegcolorspace
	  (still bad colors, fixing it on next commit)
	  helps with dvdec outputing BGR32

2005-01-08  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* ext/dv/gstdvdec.c:
	 Fix audio caps i just broke (missing ',')
	* gst/matroska/matroska-mux.c: (gst_matroska_mux_get_type),
	(gst_matroska_mux_reset):
	 Fix typo + add FIXME about old "x-gst-metadata" crap

2005-01-07  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* ext/dv/demo-play.c: (main):
	 xvideosink -> xvimagesink
	* ext/dv/gstdvdec.c:
	 change rgb 32/32 caps to 24/32 (no alpha)
	 change nb of channels to be a list (2 or 4, not 2)
	 change sample rate to be a list (32, 44.1, 48 kHz) not a range
	* gst/asfdemux/gstasfdemux.c:
	(gst_asf_demux_process_ext_content_desc):
	 Add 'date/year' to extracted metadata list

2005-01-07  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/audioconvert/gstaudioconvert.c: (gst_audio_convert_fixate):
	  The return value of fixate_to does not imply that the requested
	  value was set, so don't assume.

2005-01-07  Gergely Nagy  <algernon@bonehunter.rulez.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/libpng/gstpngdec.c:
	* ext/libpng/gstpngenc.c: (gst_pngenc_base_init),
	(gst_pngenc_sinklink), (gst_pngenc_init), (gst_pngenc_chain):
	* ext/libpng/gstpngenc.h:
	  Alpha support (encoder; #163161), mime fixage.

2005-01-07  Sebastien Cote  <sc5@hermes.usherb.ca>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faac/gstfaac.c: (gst_faac_outputformat_get_type),
	(gst_faac_class_init), (gst_faac_init), (gst_faac_srcconnect),
	(gst_faac_set_property), (gst_faac_get_property):
	* ext/faac/gstfaac.h:
	  Allow for ADTS output (#153434).

2005-01-07  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l2/gstv4l2src.c: (gst_v4l2src_getcaps):
	  Fix against template (#150576).

2005-01-06  Benjamin Otte  <otte@gnome.org>

	* gst/games/gstpuzzle.c: (draw_puzzle):
	  don't draw a puzzle if either width or height of tiles would be 0.

2005-01-06  Benjamin Otte  <otte@gnome.org>

	* gst/games/gstpuzzle.c: (gst_puzzle_get_type),
	(gst_puzzle_class_init), (gst_puzzle_finalize):
	  no memleaks, please
	(gst_puzzle_create), (gst_puzzle_init),
	(gst_puzzle_set_property), (gst_puzzle_setup):
	  change initialization code around so we don't reshuffle on resize
	(draw_puzzle):
	  fix another stupid typo

2005-01-06  Benjamin Otte  <otte@gnome.org>

	* gst/games/gstvideoimage.c: (copy_hline_YUY2):
	  fix stupid typo that borked copying on YUY2

2005-01-06  Benjamin Otte  <otte@gnome.org>

	* gst/games/gstpuzzle.c: (draw_puzzle):
	  fix edges when image sizes aren't multiples of tile sizes

2005-01-06  Benjamin Otte  <otte@gnome.org>

	* gst/games/gstpuzzle.c: (gst_puzzle_base_init):
	  make RGB endianness work correctly
	(gst_puzzle_show), (gst_puzzle_swap), (gst_puzzle_move):
	  refactor and fix race with initial shuffling
	(nav_event_handler):
	  allow using the mouse to puzzle
	(draw_puzzle):
	  insist on tiles having width and height as multiples of 4 to get
	  clean YUV image handling
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_xvimage_new),
	(gst_xvimagesink_handle_xevents), (gst_xvimagesink_buffer_alloc):
	  s/DEBUG/LOG/ for common messages
	(gst_xvimagesink_navigation_send_event):
	  fix mouse event translation to not include screen PAR
	* sys/ximage/ximagesink.c: (gst_ximagesink_navigation_send_event):
	  fix mouse event translation to actually work

2005-01-06  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* gst/asfdemux/gstasfdemux.c:
	(gst_asf_demux_process_ext_content_desc):
	 Extract TrackNumber metadata + clean up code
	* gst/games/gstvideoimage.c: (gst_video_image_draw_rectangle):
	 Hope this is the good fix (var used unitialised)

2005-01-06  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faad/gstfaad.c: (gst_faad_chain):
	  Only increment timestamp if it's valid. Fixes raw AAC streams.

2005-01-06  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* configure.ac:
	* gst/games/Makefile.am:
	* gst/games/gstpuzzle.c:
	  add a puzzle game with...
	* gst/games/gstvideoimage.c:
	* gst/games/gstvideoimage.h:
	  ... full colorspace support (that includes YUV9 and RGB16)) stolen
	  from videotestsrc and made into something that would be a nice
	  library for a lot of other plugins.

2005-01-06  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* configure.ac:
	 don't compile faad plugin if a RC of 2.0 is found
	 Fixes #155346 (and FC1 buildbot)
	* gst/asfdemux/gstasfdemux.c:
	(gst_asf_demux_process_ext_content_desc):
	 try to make Solaris compiler happier

2005-01-06  Paul Jack  <pjack@sfaf.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/snapshot/gstsnapshot.c: (gst_snapshot_class_init):
	  Fix segfault (#161667).

2005-01-05  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l/gstv4lsrc.c: (gst_v4lsrc_getcaps):
	  Fix framerate reporting.

2005-01-05  Stephane LOEUILLET  <stephane.loeuillet@tiscali.fr>

	* gst-libs/gst/riff/riff-ids.h:
	* gst/wavenc/riff.h:
	 Add AMR (VBR and CBR) ids to riff.h audio codec list
	* gst/asfdemux/gstasfdemux.c:
	(gst_asf_demux_process_ext_content_desc),
	(gst_asf_demux_process_object):
	  Retrieve more tags from ASF files (Genre, AlbumTitle, Artist)

2005-01-05  Martin Eikermann  <meiker@upb.de>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/mpegstream/gstdvddemux.c: (gst_dvd_demux_class_init),
	(gst_dvd_demux_handle_discont):
	* gst/mpegstream/gstmpegdemux.c: (gst_mpeg_demux_class_init),
	(gst_mpeg_demux_handle_discont):
	  Recreate pads on new-media (#160730).
	* gst/mpegstream/gstmpegparse.c: (gst_mpeg_parse_new_pad):
	  Send discont even if manager changes timestamps (#161929).

2005-01-05  Sebastien Cote  <sc5@hermes.usherb.ca>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/resample/resample.c: (gst_resample_sinc_ft_s16):
	  Fix invalid memory access (#159211).

2005-01-05  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* examples/gstplay/player.c: (main):
	  Don't iterate.
	* examples/seeking/seek.c: (fixate), (make_playerbin_pipeline):
	  Add visualizations.
	* ext/a52dec/gsta52dec.c: (gst_a52dec_push),
	(gst_a52dec_handle_frame):
	  Set duration.
	* ext/dvdnav/gst-dvd:
	  Add audioconvert. Fixes #161325.
	* ext/dvdread/dvdreadsrc.c: (dvdreadsrc_get):
	  Explicitely case to gint64. Possible valgrind error.
	* gst-libs/gst/play/play.c: (caps_set), (setup_size),
	(gst_play_tick_callback), (gst_play_change_state),
	(gst_play_dispose), (gst_play_init), (gst_play_class_init),
	(gst_play_set_location), (gst_play_get_location),
	(gst_play_seek_to_time), (gst_play_set_data_src),
	(gst_play_set_video_sink), (gst_play_set_audio_sink),
	(gst_play_set_visualization), (gst_play_connect_visualization),
	(gst_play_get_framerate), (gst_play_get_all_by_interface),
	(gst_play_new):
	  Use playbin. Fixes #139749 and #147744.
	* gst/apetag/apedemux.c: (gst_ape_demux_parse_tags):
	  Add genre tag.
	* gst/audioscale/gstaudioscale.c: (gst_audioscale_method_get_type),
	(audioscale_get_type), (gst_audioscale_base_init),
	(gst_audioscale_class_init), (gst_audioscale_expand_caps),
	(gst_audioscale_getcaps), (gst_audioscale_fixate),
	(gst_audioscale_link), (gst_audioscale_get_buffer),
	(gst_audioscale_decrease_rate), (gst_audioscale_increase_rate),
	(gst_audioscale_init), (gst_audioscale_dispose),
	(gst_audioscale_chain), (gst_audioscale_set_property),
	(gst_audioscale_get_property), (plugin_init):
	  Indent properly.
	* gst/mpegstream/gstdvddemux.c: (gst_dvd_demux_process_private):
	  Fix LPCM.
	* gst/qtdemux/qtdemux.c: (qtdemux_parse_udta),
	(qtdemux_tag_add_str), (qtdemux_tag_add_num),
	(qtdemux_tag_add_gnre), (qtdemux_video_caps):
	  Add more metadata (fixes #162656).

2005-01-05  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	  back to cvs

=== release 0.8.7 ===

2005-01-05  Thomas Vander Stichele  <thomas at apestaart dot org>

	* NEWS:
	* RELEASE:
	* configure.ac:
	  releasing 0.8.7, "Hyperspace"

2005-01-05  Thomas Vander Stichele  <thomas at apestaart dot org>

	patch by: Tim-Philipp Müller  <t.i.m@zen.co.uk>

	* gst/playback/gstplaybasebin.c:
	 Fix for #162924 - free caps after use, not before

2005-01-04  Thomas Vander Stichele  <thomas at apestaart dot org>

	patch by: Ronald Bultje <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c:
	* gst/wavparse/gstwavparse.c:
	  Fix for #154773 - fixes playback of small .wav files

2005-01-03  Thomas Vander Stichele  <thomas at apestaart dot org>

	patch by: Ronald Bultje <rbultje@ronald.bitfreak.net>

	* gst/audioscale/gstaudioscale.c:
	  Fix for #162819 - make audioscale reusable
	  Fixes playback of more than one file with playbin/totem

2004-12-29  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/ffmpegcolorspace/avcodec.h:
	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	* gst/ffmpegcolorspace/imgconvert.c:
	  clean up the mess that made me cry and avoid needless duplication

2004-12-29  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/ffmpegcolorspace/imgconvert.c:
	  give some indication of why we're segfaulting

2004-12-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	  Fix indentation, fix v4l2 plugin detection.
	* ext/Makefile.am:
	  Fix libmms location (Maciej, use diff -u!).
	* ext/alsa/gstalsa.c: (gst_alsa_init):
	  Initialize caps cache to NULL.
	* gst/playback/gstplaybin.c: (gst_play_bin_change_state):
	  Only change state on audiosink if it exists.

2004-12-28  Maciej Katafiasz  <mathrick@mathrick.org>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-ids.h:
	* gst/matroska/matroska-demux.h:
	Fix Vorbis streams failing to decode in some files, where cluster_time
	isn't 0, because then it doesn't send codec_priv before actual data.
	Remove time-based test and replace it with marker set on beginning of
	new stream

2004-12-28  David Schleef  <ds@schleef.org>

	Merge patch from Ronald fixing problems with streaming
	text.
	* ext/cairo/gstcairo.c: (plugin_init):
	* ext/cairo/gsttextoverlay.c: (gst_textoverlay_render_text),
	(gst_text_overlay_blit_1), (gst_text_overlay_blit_sub2x2),
	(gst_textoverlay_video_chain), (gst_textoverlay_loop),
	(gst_textoverlay_font_init), (gst_textoverlay_init),
	(gst_textoverlay_set_property):
	* ext/cairo/gsttextoverlay.h:

2004-12-27  David Schleef  <ds@schleef.org>

	* ext/cairo/gsttextoverlay.c: (gst_textoverlay_render_text),
	(gst_text_overlay_blit_1), (gst_text_overlay_blit_sub2x2),
	(gst_textoverlay_video_chain), (gst_textoverlay_loop),
	(gst_textoverlay_font_init), (gst_textoverlay_init),
	(gst_textoverlay_set_property): Improvements to actually
	render text as white on black outline on video, including
	font selection and horizontal/vertical alignment.  (Ronald's
	christmas present)
	* ext/cairo/gsttextoverlay.h:

2004-12-26  Stephane Loeuillet  <stephane.loeuillet@tiscali.fr>

	* ext/ogg/gstogg.c:
	* ext/ogg/gstogmparse.c:
	  fix ogm[audio/video]parse plugin registration
	  (riff won't load if bytestream is already loaded)

2004-12-24  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/audioconvert/gstchannelmix.c:
	  fix for GLIB < 2.4

2004-12-24  Thomas Vander Stichele  <thomas at apestaart dot org>

	* Makefile.am:
	* configure.ac:
	  disable docs again until it actually passes make distcheck.

2004-12-24  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/qtdemux/qtdemux.c: (qtdemux_type_get), (qtdemux_audio_caps):
	* gst/typefind/gsttypefindfunctions.c: (q3gp_type_find),
	(plugin_init):
	  Add 3GP (variables name Q3GP because they can't start with a
	  number). Add samr audio fourcc (used in .3gp files), decoder
	  is work in progress. Also do a GST_WARNING instead of ERROR
	  in case of unknown nodes, to decrease output.

2004-12-24  Thomas Vander Stichele  <thomas at apestaart dot org>

	* Makefile.am:
	  really fix dist

2004-12-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* ext/speex/gstspeexdec.h:
	* ext/speex/gstspeexenc.h:
	  Fixes #158382.  Make speex plugin compatible with both 1.0 and 1.1.
	  Fix detection code in configure.ac

2004-12-23  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/matroska/matroska-demux.c:
	(gst_matroska_demux_parse_blockgroup):
	  Save position, so that queries give proper return values. Don't
	  know how this could ever have worked before...

2004-12-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	  Put additional LAME check inside the conditional.  Fixes #152339

2004-12-23  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_stream_index),
	(gst_avi_demux_stream_scan):
	  Add some more debug. Fix logic error when setting movi offset
	  while reading index.

2004-12-23  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_stream_index),
	(gst_avi_demux_stream_scan), (gst_avi_demux_handle_seek),
	(gst_avi_demux_process_next_entry):
	  Add some debugging. Better detection of broken indexes and the
	  accompanying index recovery. No infinite loops on state changes
	  when we're still in our loopfunction.

2004-12-22  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	  Fix up.

2004-12-22  Archana Shah  <archana.shah@wipro.com>

	Reviewed by:  Ronald S. Bultje <rbultje@ronald.bitfreak.net>

	* sys/sunaudio/gstsunmixer.c: (gst_sunaudiomixer_set_volume):
	  Normalizing the value before setting
	(gst_sunaudiomixer_get_volume):
	  Normalizing the value after getting. Fixes bug# 161980

2004-12-22  Christian Fredrik Kalager Schaller  <uraeus@gnome.org>

	* Makefile.am: Make sure docs gets disted
	* docs/Makefile.am: Make sure all needed files get disted
	* gst-plugins.spec.in: latest updates

2004-12-22  Wim Taymans  <wim@fluendo.com>

	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_add_element):
	Revert patch 1.38 as clock distribution over schedulers does
	not work correcly in the core yet.

2004-12-21  Stephane Loeuillet  <stephane.loeuillet@tiscali.fr>

	* sys/oss/README: remove this file, which predates my birth
	  (and which content is by far outdated)

2004-12-20  Stefan Kost  <ensonic@users.sf.net>

	* Makefile.am:
	* configure.ac:
	* docs/Makefile.am:
	* docs/libs/Makefile.am:
	* docs/libs/gst-plugins-libs-docs.sgml:
	* docs/libs/gst-plugins-libs-sections.txt:
	* docs/libs/tmpl/gstgconf.sgml:
	* docs/upload.mak:
	* docs/version.entities.in:
	  Added boilerplate gtk-doc files for plugin-libs documentation.

2004-12-19  Stephane Loeuillet  <stephane.loeuillet@tiscali.fr>

	* gst/auparse/gstauparse.c: fix int and float audio caps

2004-12-19  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l/gstv4lelement.c: (gst_v4l_iface_supported):
	* sys/v4l2/gstv4l2element.c: (gst_v4l2_iface_supported):
	  g_assert() can be a macro, don't use #ifdef inside it.

2004-12-19  Edward Hervey  <bilboed@bilboed.com>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/videorate/gstvideorate.c: (gst_videorate_blank_data),
	(gst_videorate_init), (gst_videorate_chain),
	(gst_videorate_change_state):
	  Event handling (fixes #159986).

2004-12-19  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/riff/riff-media.c:
	(gst_riff_create_video_caps_with_data):
	  Add BLZ0 (Blizzard's version of DivX) fourcc.

2004-12-18  David Schleef  <ds@schleef.org>

	* gst/tta/gstttadec.c: (gst_tta_dec_link): And yet another
	portability fix.

2004-12-18  David Schleef  <ds@schleef.org>

	* gst/tta/ttadec.h: Disable some header code that isn't used
	and clearly isn't portable.

2004-12-18  David Schleef  <ds@schleef.org>

	* gst/ffmpegcolorspace/imgconvert.c: (get_pix_fmt_info),
	(avcodec_get_chroma_sub_sample), (avcodec_get_pix_fmt_name),
	(avcodec_get_pix_fmt), (avpicture_layout),
	(avcodec_get_pix_fmt_loss), (avg_bits_per_pixel), (img_copy),
	(get_convert_table_entry), (img_convert), (img_get_alpha_info):
	Fix code to not use GCC extensions (and c99 extensions that
	Forte does not like.)

2004-12-19  Tim-Philipp Müller  <t.i.m@zen.co.uk>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/deinterlace/gstdeinterlace.c: (gst_deinterlace_link),
	(gst_deinterlace_chain):
	  Rowstride fixes. Fixes #161039.
	* gst/videocrop/gstvideocrop.c: (gst_video_crop_init),
	(gst_video_crop_get_property), (gst_video_crop_add_to_struct_val),
	(gst_video_crop_getcaps), (gst_video_crop_link),
	(gst_video_crop_i420), (gst_video_crop_chain),
	(gst_video_crop_change_state):
	  Rework of negotiation. Actually works now. Fixes #158650.

2004-12-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/matroska/matroska-demux.c: (gst_matroska_ebmlnum_sint):
	  That was very stupid.

2004-12-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/matroska/matroska-demux.c:
	(gst_matroska_demux_parse_blockgroup):
	  Fix possible crasher.

2004-12-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/matroska/matroska-demux.c: (gst_matroska_ebmlnum_uint),
	(gst_matroska_ebmlnum_sint), (gst_matroska_demux_parse_blockgroup):
	  Lace sizes can be zero.

2004-12-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/musepack/gstmusepackdec.cpp:
	  Fetch error return values. Fixes #161624.
	* gst/apetag/apedemux.c: (gst_ape_demux_stream_data):
	  Really EOS.

2004-12-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_stream_index):
	  Work for truncated (unfinished download etc.) files. Fixes #160514.

2004-12-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsasink.c: (gst_alsa_sink_loop):
	  Fix for integer overflow. Makes #156001 not crash. Probably masks
	  the real bug.

2004-12-17  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/ac3parse/gstac3parse.c: (plugin_init):
	  Parsers never have ranks. Fixes #159651.

2004-12-17  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/playback/gstdecodebin.c: (compare_ranks):
	  make sure the facotries are ordered the same every time even if they
	  have the same rank by using the name
	* gst/playback/gstdecodebin.c: (find_compatibles):
	  make sure we don't add factories to the list twice

2004-12-16  David Schleef  <ds@schleef.org>

	* configure.ac: look for musepack headers as musepack/*.h
	(fixes #159847)
	* ext/musepack/gstmusepackdec.h: use <musepack/*.h>
	* ext/musepack/gstmusepackreader.h: same

2004-12-17  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/riff/riff-read.c:
	(gst_riff_read_strf_auds_with_data):
	  Read extradata correctly (fixes #155879).

2004-12-16  David Schleef  <ds@schleef.org>

	* gst/audioscale/gstaudioscale.c: allow passthru of >2 channel
	audio.  does _not_ attempt or allow conversion unless channels
	is 1 or 2.

2004-12-16  Christian Fredrik Kalager Schaller  <uraeus@gnome.org>

	* tools/gst-launch-ext-m.m: fix mpeg and vob pipelines

2004-12-16  David Schleef  <ds@schleef.org>

	* gst/audioscale/gstaudioscale.c: the resample library only
	handles 1 or 2 channels.  Change caps to compensate.

2004-12-16  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/matroska/matroska-demux.c: (aac_rate_idx), (aac_profile_idx),
	(gst_matroska_demux_audio_caps):
	  Some MPEG-AAC hacks, because else it doesn't work...

2004-12-16  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/riff/riff-media.c:
	(gst_riff_create_video_caps_with_data),
	(gst_riff_create_video_template_caps):
	  Add h264.

2004-12-16  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/audio/Makefile.am:
	  Try to fix buildbot.

2004-12-16  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/tcp/gstmultifdsink.c:
	  Clean up and uniformize debugging.

2004-12-16  Edward Hervey  <bilboed@bilboed.com>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/mpegstream/gstdvddemux.c: (gst_dvd_demux_class_init),
	(gst_dvd_demux_reset), (gst_dvd_demux_change_state):
	* gst/mpegstream/gstmpegdemux.c: (gst_mpeg_demux_reset),
	(gst_mpeg_demux_change_state):
	  Reset on ready. Fixes 160276.

2004-12-16  Sebastien Cote  <sc5@hermes.usherb.ca>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/ffmpegcolorspace/gstffmpegcolorspace.c:
	(gst_ffmpegcsp_pad_link):
	  Fix memleak (#154815).

2004-12-16  James Bowes  <bowes@cs.dal.ca>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/musicbrainz/gsttrm.c: (gst_musicbrainz_class_init),
	(gst_musicbrainz_init), (gst_musicbrainz_chain),
	(gst_musicbrainz_set_property), (gst_musicbrainz_get_property):
	* ext/musicbrainz/gsttrm.h:
	  Add support for using a proxy server when getting a trm id from
	  the MusicBrainz database (#149613).

2004-12-16  Christophe Fergeau  <teuf@gnome.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstdecodebin.c: (new_pad), (close_link):
	* gst/playback/gstplaybasebin.c: (new_decoded_pad):
	  Fix memleaks (#157233).

2004-12-16  Sebastien Cote  <sc5@hermes.usherb.ca>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/resample/resample.c: (gst_resample_close):
	* gst-libs/gst/resample/resample.h:
	* gst/audioscale/gstaudioscale.c:
	  Fix memleak (#159215).

2004-12-16  Toni Willberg  <toniw@iki.fi>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/oss/gstosselement.c: (gst_osselement_probe_caps):
	* sys/oss/oss_probe.c: (main):
	  Check for mono/stereo support (similar to samplerate probing),
	  fixes #159433. Also add missing copyright header to oss_probe.c.

2004-12-15  David Schleef  <ds@schleef.org>

	* configure.ac: add audioresample and cairo plugins.  Remove
	HAVE_MMX stuff, because it's not used.
	* ext/Makefile.am: same
	* ext/audioresample/Makefile.am: You are not ready for an
	audio resampling element based on audioresample.
	* ext/audioresample/gstaudioresample.c:
	* ext/audioresample/gstaudioresample.h:
	* ext/cairo/Makefile.am: You are not ready for overlay elements
	based on cairo.  Don't look too closely, these elements kinda
	suck right now.
	* ext/cairo/gstcairo.c: new
	* ext/cairo/gsttextoverlay.c: new
	* ext/cairo/gsttextoverlay.h: new
	* ext/cairo/gsttimeoverlay.c: new
	* ext/cairo/gsttimeoverlay.h: new
	* gst-libs/gst/media-info/media-info-priv.h: fix compile
	problem with compilers that don't support variadic macros.

2004-12-15  Balamurali Viswanathan  <balamurali.viswanathan@wipro.com>

	Reviewed by:  David Schleef  <ds@schleef.org>

	* sys/sunaudio/gstsunaudio.c: (plugin_init):  Apply patch from
	Bala, registering sunaudiosrc (oops!), and cleaning up code a
	bit.  Also ran indent-gst.
	* sys/sunaudio/gstsunaudiosrc.c: (gst_sunaudiosrc_init),
	(gst_sunaudiosrc_change_state), (gst_sunaudiosrc_get),
	(gst_sunaudiosrc_setparams):

2004-12-14  David Schleef  <ds@schleef.org>

	* gst/festival/gstfestival.c: (gst_festival_chain): Set the
	output rate to 16000.  Should fix #160235.

2004-12-14  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* gst/typefind/gsttypefindfunctions.c: (mpeg2_sys_type_find):
	Add typefinding for mpeg2 pes streams

2004-12-13  David Schleef  <ds@schleef.org>

	* configure.ac:  Applied patch from bug #143659, making default
	sources and sinks OS-dependent (for Solaris), and added code
	for OS/X.
	* gconf/gstreamer.schemas.in: use OS-dependent sinks in gconf.

2004-12-13  Stephane Loeuillet  <stephane.loeuillet@tiscali.fr>

	* gst-libs/gst/riff/riff-media.c:
	  forgot to add h2.64 to avidemux template caps

2004-12-13  Stephane Loeuillet  <stephane.loeuillet@tiscali.fr>

	* gst/wavenc/riff.h:
	* gst-libs/gst/riff/riff-media.c:
	* gst-libs/gst/riff/riff-ids.h:
	* gst/avi/gstavimux.c
	add 4CC code for VideoSoft h264 in AVI (VSSH)
	  fixes bug #160655
	remove s323 from riff, it's quicktime specific :(

2004-12-13  Stephane Loeuillet  <stephane.loeuillet@tiscali.fr>

	* gst/asfdemux/README
	* gst/wavenc/riff.h
	* gst-libs/gst/riff/riff-ids.h
	* gst-libs/gst/riff/riff-media.c
	* gst/qtdemux/qtdemux.c:
	  add new 4CC codes for h263 related codecs
	  fixes partially bug #155163

2004-12-12  Christian Fredrik Kalager Schaller  <christian at fluendo dot com>

	* configure.ac: Update polyaudio requirement to 0.7
	* ext/polyp/polypsink.c: (create_stream): add patch from iain (158258)

2004-12-11  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* gst/interleave/deinterleave.c:
	fix my name's spelling! :)

2004-12-11  Stephane Loeuillet  <stephane.loeuillet@tiscali.fr>

	* AUTHORS ChangeLog
	* gst/auparse/gstauparse.c
	* gst/interleave/deinterleave.c
	* gst/law/:
		alaw-decode.c alaw-encode.c
		mulaw-decode.c mulaw-encode.c
	* gst/oneton/gstoneton.c
	* sys/osxaudio/:
		gstosxaudioelement.c gstosxaudiosink.c gstosxaudiosrc.c
	* sys/osxvideo/:
		cocoawindow.h cocoawindow.m
		osxvideosink.h osxvideosink.m

	put the same mail address for Zaheer Abbas Merali everywhere

2004-12-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/asfdemux/gstasfdemux.c: (gst_asf_demux_loop):
	  Align by packetsize, and assert that we a packet available before
	  playing. The first makes webstreams work (they often include
	  trailing padding data in a packet), the second allows pausing a
	  ASF stream in totem without getting demux errors afterwards.

2004-12-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (get_relative):
	  Check for non-NULL before accessing member (end-of-chain).

2004-12-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/cdparanoia/gstcdparanoia.c: (cdparanoia_class_init),
	(cdparanoia_set_property), (cdparanoia_get_property):
	* ext/dvdnav/dvdnavsrc.c: (dvdnavsrc_class_init),
	(dvdnavsrc_set_property), (dvdnavsrc_get_property):
	* ext/dvdread/dvdreadsrc.c: (dvdreadsrc_class_init),
	(dvdreadsrc_init), (dvdreadsrc_set_property),
	(dvdreadsrc_get_property):
	* sys/vcd/vcdsrc.c: (gst_vcdsrc_class_init),
	(gst_vcdsrc_set_property), (gst_vcdsrc_get_property):
	  Synchronize property names where not yet the case. Devices are
	  now device=X, other versions are deprecated (but still exist).
	  Also use g_free() unconditionally.
	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_class_init),
	(setup_source), (gst_play_base_bin_get_property):
	  Expose source.

2004-12-09  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac: move GCONF macro outside conditional for the am
	  conditional. Fixes #160439

2004-12-08  David Schleef  <ds@schleef.org>

	* tools/gst-visualise-m.m: Switch to elements that currently
	exist.

2004-12-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstogmparse.c: (gst_ogm_parse_chain):
	  We love wrong commas.

2004-12-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/matroska/matroska-demux.c:
	(gst_matroska_demux_handle_src_query):
	  Don't set DEFAULT, unsupported - makes length display incorrectly
	  in some cases.

2004-12-07  Christian Fredrik Kalager Schaller  <uraeus@gnome.org>

	* gst/monoscope/README: remove blurb about files being GPL
	* gst/monoscope/gstmonoscope.c: Change license field to LGPL
	* gst/monoscope/monoscope.c: Change license to BSD with explanation
	  monoscope is now effectively LGPL licensed

2004-12-07  Christian Fredrik Kalager Schaller  <uraeus@gnome.org>

	* gst/monoscope/README: Update information to be more correct
	* gst/monoscope/convolve.c: Relicense to LGPL
	* gst/monoscope/convolve.h: Relicense to LGPL

2004-12-06  Arwed v. Merkatz <v.merkatz@gmx.net>

	* gst/mpegaudioparse/gstmpegaudioparse.c: (gst_mp3parse_chain):
	  set BUFFER_DURATION to correct values (mpeg1 audio frame length is fixed)
	* gst/matroska/matroska-mux.c: (gst_matroska_mux_audio_pad_link):
	  set default_duration for mpeg1 audio

2004-12-06  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* ext/alsa/gstalsa.c: (gst_alsa_get_caps), (gst_alsa_close_audio):
	* ext/alsa/gstalsa.h:
	  refactor big chunks of the core caps negotiation code to make it
	  a lot faster, because people claim it's really slow
	  (actually, just cache the getcaps when the device is opened)

2004-12-06  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/a52dec/gsta52dec.c: (gst_a52dec_init),
	(gst_a52dec_handle_event), (gst_a52dec_update_streaminfo),
	(gst_a52dec_handle_frame), (gst_a52dec_chain),
	(gst_a52dec_change_state), (plugin_init):
	* ext/a52dec/gsta52dec.h:
	  Do something useful with timestamps. Make chain-based (since
	  there's really no reason to be loopbased).
	* gst/avi/gstavidemux.c: (gst_avi_demux_process_next_entry):
	  Update current_byte/frame correctly.

2004-12-04  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/apetag/apedemux.c: (gst_ape_demux_parse_tags),
	(gst_ape_demux_stream_init):
	  Forward tags, too.

2004-12-04  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/apetag/apedemux.c: (gst_ape_demux_stream_init):
	  Let's make sure we're done typefinding when detecting tags.

2004-12-03  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/matroska/ebml-read.c: (gst_ebml_read_class_init),
	(gst_ebml_read_init), (gst_ebml_read_use_event),
	(gst_ebml_read_element_id), (gst_ebml_peek_id),
	(gst_ebml_read_seek), (gst_ebml_read_skip),
	(gst_ebml_read_reserve), (gst_ebml_read_buffer),
	(gst_ebml_read_master):
	* gst/matroska/ebml-read.h:
	* gst/matroska/matroska-demux.c:
	(gst_matroska_demux_parse_contents),
	(gst_matroska_demux_loop_stream), (gst_matroska_demux_audio_caps):
	  Disgustingly evil hack for working around INTERRUPT events and
	  their extremely annoying habit of being a pain in the ass. We
	  simply peek a cluster before reading any of it.

2004-12-03  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/musepack/gstmusepackdec.cpp:
	  There's also floating point libmusepacks.

2004-12-03  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faad/gstfaad.c: (gst_faad_chanpos_from_gst),
	(gst_faad_chanpos_to_gst), (gst_faad_chain):
	  Set DURATION even if source buffer didn't. Also use increasing
	  timestamps.
	* gst-libs/gst/riff/riff-media.c:
	(gst_riff_create_audio_caps_with_data):
	  Block_align can have larger values than 8192.

2004-12-02  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/law/alaw-decode.c: (alawdec_getcaps), (alawdec_link):
	* gst/law/alaw-encode.c: (alawenc_getcaps), (alawenc_link):
	* gst/law/mulaw-decode.c: (mulawdec_getcaps), (mulawdec_link):
	* gst/law/mulaw-encode.c: (mulawenc_getcaps), (mulawenc_link):
	  Fix caps.

2004-12-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l/v4l_calls.c: (gst_v4l_get_chan_names):
	  Fix logic bug.

2004-12-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_type_find):
	  Yay, another one.

2004-12-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/esd/esdsink.c: (gst_esdsink_chain):
	  Make error actually say something useful (fixes #156798).
	* gst-libs/gst/riff/riff-media.c:
	(gst_riff_create_video_caps_with_data),
	(gst_riff_create_video_template_caps):
	  Add Intel Video 5.0 fourcc (IV50).

2004-12-01  Christophe Fergeau  <teuf@gnome.org>

	* ext/mad/gstmad.c: (mpg123_parse_xing_header): fix xing header
	detection on mono and stereo mp3 files.

2004-12-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_change_state):
	  Don't crash on EMPTY caps (e.g. when the demuxer didn't recognize
	  the contained stream).

2004-12-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/faad/gstfaad.c: (gst_faad_srcconnect), (gst_faad_chain):
	  Oops, remove debug.

2004-12-01  Sebastien Cote  <sc5@hermes.usherb.ca>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/law/alaw-decode.c: (alawdec_getcaps):
	* gst/law/mulaw-decode.c: (mulawdec_getcaps):
	  Prevent warnings when negotiating caps (fixes #159338).

2004-12-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/ffmpegcolorspace/gstffmpegcolorspace.c:
	(gst_ffmpegcsp_chain):
	  Remove old leftover that shouldn't be there...

2004-12-01  Sebastien Cote  <sc5@hermes.usherb.ca>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst-libs/gst/riff/riff-read.c: (gst_riff_read_use_event):
	  Don't forward DISCONT events (fixes #159684).

2004-12-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybin.c: (remove_sinks), (setup_sinks):
	  Unlink manually since sometimes bin disposal (and therefore
	  pad unlinking) is delayed, which will cause a new media file
	  to not be able to start playing instantly.

2004-11-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gststreaminfo.c: (stream_info_mute_pad):
	  On mute of an unlinked stream, check for pad availability so
	  we don't crash on unlinked pad.

2004-11-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavidemux.c: (gst_avi_demux_stream_index),
	(gst_avi_demux_massage_index):
	  Fix quite humiliating bug in omitting 0-sized index chunks but
	  forgetting to count them for timestamps.

2004-11-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/a52dec/gsta52dec.c: (gst_a52dec_loop):
	  Actually leave the loop if we failed to sync. Don't crash.

2004-11-28  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/mpegstream/gstdvddemux.c: (gst_dvd_demux_get_audio_stream),
	(gst_dvd_demux_process_private):
	* gst/mpegstream/gstdvddemux.h:
	  Fix crash (#159759). Doesn't work, though. :-(.

2004-11-28  Benjamin Otte  <otte@gnome.org>

	* gst/audioconvert/gstchannelmix.c: (gst_audio_convert_mix):
	  more overwriting protection due to modifying channels one by one
	  instead of all at once

2004-11-28  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/audioconvert/gstchannelmix.c:
	(gst_audio_convert_fill_normalize):
	  Normalize using absolute values.

2004-11-28  Julien MOUTTE  <julien@moutte.net>

	* configure.ac:
	* ext/Makefile.am:
	* ext/directfb/Makefile.am:
	* ext/directfb/directfbvideosink.c: (gst_directfbvideosink_create),
	(gst_directfbvideosink_get_pixel_format),
	(gst_directfbvideosink_get_format_from_fourcc),
	(gst_directfbvideosink_fixate), (gst_directfbvideosink_getcaps),
	(gst_directfbvideosink_sink_link),
	(gst_directfbvideosink_change_state),
	(gst_directfbvideosink_chain), (gst_directfbvideosink_buffer_free),
	(gst_directfbvideosink_buffer_alloc),
	(gst_directfbvideosink_interface_supported),
	(gst_directfbvideosink_interface_init),
	(gst_directfbvideosink_navigation_send_event),
	(gst_directfbvideosink_navigation_init),
	(gst_directfbvideosink_set_property),
	(gst_directfbvideosink_get_property),
	(gst_directfbvideosink_finalize), (gst_directfbvideosink_init),
	(gst_directfbvideosink_base_init),
	(gst_directfbvideosink_class_init),
	(gst_directfbvideosink_get_type), (plugin_init):
	* ext/directfb/directfbvideosink.h: Adding a first version of
	directfbvideosink.
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_init): Initializing some
	more.

2004-11-28  Benjamin Otte  <otte@gnome.org>

	* gst/audioconvert/gstchannelmix.c: (gst_audio_convert_mix):
	  walk the samples backwards if out_channels > in_channels so we don't
	  overwrite data

2004-11-28  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/audioconvert/Makefile.am:
	* gst/audioconvert/gstaudioconvert.c: (gst_audio_convert_init),
	(gst_audio_convert_link), (gst_audio_convert_change_state),
	(gst_audio_convert_channels):
	* gst/audioconvert/gstchannelmix.c:
	(gst_audio_convert_unset_matrix),
	(gst_audio_convert_fill_identical),
	(gst_audio_convert_fill_compatible),
	(gst_audio_convert_detect_pos), (gst_audio_convert_fill_one_other),
	(gst_audio_convert_fill_others),
	(gst_audio_convert_fill_normalize),
	(gst_audio_convert_fill_matrix), (gst_audio_convert_setup_matrix),
	(gst_audio_convert_passthrough), (gst_audio_convert_mix):
	* gst/audioconvert/gstchannelmix.h:
	  Implement a channel mixer.

2004-11-28  Martin Soto  <martinsoto@users.sourceforge.net>

	* ext/alsa/gstalsasink.c (gst_alsa_sink_loop):
	* ext/alsa/gstalsa.h:
	* ext/alsa/gstalsa.c (gst_alsa_set_clock):
	Make alsasink actually honor gst_element_set_clock and use that
	clock instead of its internal one.

2004-11-27  Christophe Fergeau  <teuf@gnome.org>

	* gst/playback/gstplaybasebin.c: (setup_source): fixed a caps leak
	(gst_play_base_bin_change_state): nullify source and decoder when
	going from READY to NULL so that we don't try to do weird stuff with
	them when going from NULL to READY
	* gst/playback/gstplaybin.c: (gst_play_bin_init): use gst_object_unref
	instead of g_object_unref
	(gen_video_element), (gen_audio_element): more refcounting fixes, now
	it should be correct
	(gst_play_bin_change_state): don't call remove_sinks if we are
	currently disposing the object

2004-11-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/a52dec/gsta52dec.c: (gst_a52dec_loop):
	  Don't forget bass if it's there. Else left channel is silent...

2004-11-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/a52dec/gsta52dec.c: (gst_a52dec_loop),
	(gst_a52dec_change_state):
	  Don't do sample adjusting anymore, we use float audio now.
	* gst/audioconvert/gstaudioconvert.c: (gst_audio_convert_fixate):
	  Don't fixate to non-existing properties.

2004-11-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/a52dec/gsta52dec.c: (gst_a52dec_channels),
	(gst_a52dec_change_state):
	  Advertise that we can do surround sound.

2004-11-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/a52dec/gsta52dec.c: (gst_a52dec_reneg):
	  Add buffer-frames=0.
	* ext/dvdread/dvdreadsrc.c: (dvdreadsrc_get_type),
	(dvdreadsrc_init), (dvdreadsrc_get_event_mask),
	(dvdreadsrc_get_query_types), (dvdreadsrc_get_formats),
	(dvdreadsrc_srcpad_event), (dvdreadsrc_srcpad_query),
	(_seek_title), (_seek_chapter), (get_next_cell_for), (_read),
	(seek_sector), (dvdreadsrc_get), (dvdreadsrc_open_file),
	(dvdreadsrc_change_state), (dvdreadsrc_uri_get_type),
	(dvdreadsrc_uri_get_protocols), (dvdreadsrc_uri_get_uri),
	(dvdreadsrc_uri_set_uri), (dvdreadsrc_uri_handler_init):
	* ext/dvdread/dvdreadsrc.h:
	  Add seeking, querying for bytes, sectors, title, angle and
	  chapter. Handle multiple chapters. Relicense to LGPL because
	  Billy agreed on that (thanks Billy!).

2004-11-27  Christophe Fergeau  <teuf@gnome.org>

	* gst/audioconvert/gstaudioconvert.c: (gst_audio_convert_dispose):
	call parent dispose method

2004-11-27  Martin Soto  <martinsoto@users.sourceforge.net>

	* gst-libs/gst/audio/audioclock.c (gst_audio_clock_set_active)
	(gst_audio_clock_get_internal_time):
	Fix active <-> inactive transitions: ensure time value always
	grows and avoid abrupt value changes.

2004-11-27  Arwed v. Merkatz <v.merkatz@gmx.net>

	* configure.ac:
	* gst/tta/Makefile.am:
	* gst/tta/crc32.h:
	* gst/tta/filters.h:
	* gst/tta/gsttta.c:
	* gst/tta/gstttadec.c:
	* gst/tta/gstttadec.h:
	* gst/tta/gstttaparse.c:
	* gst/tta/gstttaparse.h:
	* gst/tta/ttadec.h:
	  added TTA parser and decoder

2004-11-26  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_class_init),
	(probe_triggered), (check_queue), (buffer_underrun),
	(buffer_running), (buffer_overrun), (gen_source_element),
	(setup_source):
	* gst/playback/gstplaybasebin.h:
	  Implement buffering. Needs some more work.

2004-11-26  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/theora/theoradec.c: (theora_dec_chain):
	  Fix ilog mask range overflow.

2004-11-26  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsa.c: (gst_alsa_get_caps):
	  Don't omit the last (which in case of dmix is the only :) )
	  channel count. Don't set channels if <= 2.

2004-11-26  Christophe Fergeau  <teuf@gnome.org>

	* gst/playback/gstplaybin.c: (gen_video_element),
	(gen_audio_element): Removed 2 obsolete comments

2004-11-26  Stephane Loeuillet <stephane.loeuillet@tiscali.fr>

	* ext/vorbis/oggvorbisenc.c
	* ext/vorbis/vorbisenc.c :
	  change description fields of those plugins to differentiate them
	  (pitivi show Encoders by description, they had the same one)

2004-11-25  Christophe Fergeau  <teuf@gnome.org>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybin.c: (gst_play_bin_dispose),
	(gst_play_bin_set_property), (gen_video_element),
	(gen_audio_element):
	  Refcounting fixes for provided audio-/videosinks.

2004-11-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybin.c: (gen_video_element),
	(gen_audio_element), (setup_sinks), (gst_play_bin_change_state):
	  Don't reference all sinks, but only the video- and audiosinks.
	  The vis. element should be disposed when we're done with it.
	  We don't have any reason to keep it around. This fixes warnings
	  when reusing playbin for playing multiple audio files with
	  vis. enabled. Also release audio device on pause - idea stolen
	  from Rhythmbox.

2004-11-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/a52dec/gsta52dec.c: (gst_a52dec_channels), (gst_a52dec_push),
	(gst_a52dec_reneg), (gst_a52dec_loop), (plugin_init):
	* ext/alsa/gstalsa.c: (gst_alsa_get_caps):
	* ext/alsa/gstalsaplugin.c: (plugin_init):
	* ext/dts/gstdtsdec.c: (gst_dtsdec_channels),
	(gst_dtsdec_renegotiate), (gst_dtsdec_loop), (plugin_init):
	* ext/faad/gstfaad.c: (gst_faad_init), (gst_faad_chanpos_from_gst),
	(gst_faad_chanpos_to_gst), (gst_faad_sinkconnect),
	(gst_faad_srcgetcaps), (gst_faad_srcconnect), (gst_faad_chain),
	(gst_faad_change_state), (plugin_init):
	* ext/faad/gstfaad.h:
	* ext/vorbis/vorbis.c: (plugin_init):
	* ext/vorbis/vorbisdec.c: (vorbis_dec_chain):
	* gst-libs/gst/audio/Makefile.am:
	* gst-libs/gst/audio/audio.c: (plugin_init):
	* gst-libs/gst/audio/multichannel.c:
	(gst_audio_check_channel_positions),
	(gst_audio_get_channel_positions),
	(gst_audio_set_channel_positions),
	(gst_audio_set_structure_channel_positions_list),
	(add_list_to_struct), (gst_audio_set_caps_channel_positions_list),
	(gst_audio_fixate_channel_positions):
	* gst-libs/gst/audio/multichannel.h:
	* gst-libs/gst/audio/testchannels.c: (main):
	* gst/audioconvert/gstaudioconvert.c:
	(gst_audio_convert_class_init), (gst_audio_convert_init),
	(gst_audio_convert_dispose), (gst_audio_convert_getcaps),
	(gst_audio_convert_parse_caps), (gst_audio_convert_link),
	(gst_audio_convert_fixate), (gst_audio_convert_channels):
	* gst/audioconvert/plugin.c: (plugin_init):
	  Surround sound support.

2004-11-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_push):
	  Fix position for discont if we're close as well. Nitpicking, but
	  saves a few milliseconds of extra waiting or skipping.

2004-11-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstdecodebin.c: (gst_decode_bin_factory_filter):
	  We sometimes need parsers for playback, so add those too.

2004-11-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* gst/apetag/Makefile.am:
	* gst/apetag/apedemux.c: (gst_ape_demux_get_type),
	(gst_ape_demux_base_init), (gst_ape_demux_class_init),
	(gst_ape_demux_init), (gst_ape_demux_get_src_formats),
	(gst_ape_demux_get_src_query_types),
	(gst_ape_demux_handle_src_query), (gst_ape_demux_get_event_mask),
	(gst_ape_demux_handle_src_event), (gst_ape_demux_handle_event),
	(gst_ape_demux_typefind_peek), (gst_ape_demux_typefind_get_length),
	(gst_ape_demux_typefind_suggest), (gst_ape_demux_typefind),
	(gst_ape_demux_parse_tags), (gst_ape_demux_stream_init),
	(gst_ape_demux_stream_data), (gst_ape_demux_loop),
	(gst_ape_demux_change_state):
	* gst/apetag/apedemux.h:
	* gst/apetag/apetag.c: (plugin_init):
	* gst/typefind/gsttypefindfunctions.c: (apetag_type_find),
	(plugin_init):
	  APE v1/2 tag reader plus typefind function.

2004-11-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_add_element):
	* gst/typefind/gsttypefindfunctions.c: (mp3_type_find):
	  Remove hacks for older core. Require newer core version
	  accordingly.

2004-11-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/cdxaparse/Makefile.am:
	* gst/cdxaparse/gstcdxaparse.c: (gst_cdxaparse_get_type),
	(gst_cdxaparse_class_init), (gst_cdxaparse_init),
	(gst_cdxaparse_loop), (gst_cdxaparse_change_state), (plugin_init):
	* gst/cdxaparse/gstcdxaparse.h:
	* gst/cdxaparse/gstcdxastrip.c: (gst_cdxastrip_get_type),
	(gst_cdxastrip_base_init), (gst_cdxastrip_class_init),
	(gst_cdxastrip_init), (gst_cdxastrip_get_src_formats),
	(gst_cdxastrip_get_src_query_types),
	(gst_cdxastrip_handle_src_query), (gst_cdxastrip_get_event_mask),
	(gst_cdxastrip_handle_src_event), (gst_cdxastrip_strip),
	(gst_cdxastrip_sync), (gst_cdxastrip_handle_event),
	(gst_cdxastrip_chain), (gst_cdxastrip_change_state):
	* gst/cdxaparse/gstcdxastrip.h:
	  SVCD/VCD header stripping separated from CDXA image parsing.
	* gst/typefind/gsttypefindfunctions.c: (mp3_type_find),
	(plugin_init):
	  Add VCD/SVCD header typefinding for VCD/SVCD.
	* sys/vcd/vcdsrc.c: (gst_vcdsrc_get_type), (gst_vcdsrc_base_init),
	(gst_vcdsrc_class_init), (gst_vcdsrc_init),
	(gst_vcdsrc_set_property), (gst_vcdsrc_get_property),
	(gst_vcdsrc_get_event_mask), (gst_vcdsrc_get_query_types),
	(gst_vcdsrc_get_formats), (gst_vcdsrc_srcpad_event),
	(gst_vcdsrc_srcpad_query), (gst_vcdsrc_get),
	(gst_vcdsrc_open_file), (gst_vcdsrc_close_file),
	(gst_vcdsrc_change_state), (gst_vcdsrc_msf),
	(gst_vcdsrc_recalculate), (gst_vcdsrc_uri_get_type),
	(gst_vcdsrc_uri_get_protocols), (gst_vcdsrc_uri_get_uri),
	(gst_vcdsrc_uri_set_uri), (gst_vcdsrc_uri_handler_init):
	* sys/vcd/vcdsrc.h:
	  Fix up, add seeking, querying, URI interface. Works in totem now.

2004-11-25  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	  back to CVS

=== release 0.8.6 ===

2004-11-25  Thomas Vander Stichele  <thomas at apestaart dot org>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* po/af.po:
	* po/az.po:
	* po/cs.po:
	* po/en_GB.po:
	* po/hu.po:
	* po/it.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/uk.po:
	  releasing 0.8.6, "IOU Love"

2004-11-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	patch by: Ronald Bultje <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c:
	  Fix unplayable files error handling.  Fixes #158365

2004-11-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	patch by: Ronald Bultje <rbultje@ronald.bitfreak.net>

	* gst/typefind/gsttypefindfunctions.c:
	  Fix broken mp3 typefinding.  Fixes #158375

2004-11-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	patch by: Ronald Bultje <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c:
	  Fix sync on broken files.  Fixes #158976

2004-11-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	patch by: Edward Hervey <bilboed@bilboed.com>

	* ext/libpng/gstpngenc.c:
	  Copy over buffer properties.  Fixes #158832

2004-11-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	patch by: Tim-Philipp Müller <t.i.m@zen.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  Fixes invalid reads (#158462)

2004-11-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	* sys/v4l/gstv4lsrc.c:
	* sys/v4l/gstv4lsrc.h:
	* sys/v4l/v4lsrc_calls.c:
	  Probe less and cache it.  Fixes #159187.

2004-11-23  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/videorate/gstvideorate.c:
	  Handle all video formats. Fixes #159186.

2004-11-16  Jan Schmidt  <thaytan@mad.scientist.com>
	* gst/synaesthesia/gstsynaesthesia.c:
	(gst_synaesthesia_class_init), (gst_synaesthesia_init),
	(gst_synaesthesia_dispose), (gst_synaesthesia_finalize),
	(gst_synaesthesia_sink_link), (gst_synaesthesia_src_getcaps),
	(gst_synaesthesia_src_link), (gst_synaesthesia_chain),
	(gst_synaesthesia_change_state), (plugin_init):
	Fix up synaesthesia to work under different samplerates/ buffer sizes.
	Force 320x200 output, as that's the only thing the underlying
	synaesthesia implementation supports. Still needs to be made
	re-entrant.

2004-11-14  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	  Fix mpeg2enc configure check (similar to mplex check below).

2004-11-14  Koop Mast  <kwm@rainbow-runner.nl>

	reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	  Fix for gcc-2.95 (fixes #158221).

2004-11-13  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_add_element):
	  Re-add clock distribution hack (until new core is released).
	  Fixes #158125.

2004-11-13  Arwed v. Merkatz  <v.merkatz@gmx.net>
	* configure.ac:
	  fix mplex configure check segfaulting on some systems (bug #140994)

2004-11-13  Benjamin Otte  <otte@gnome.org>

	* ext/alsa/gstalsa.c: (gst_alsa_pcm_wait):
	  add debugging
	* ext/alsa/gstalsasink.c: (gst_alsa_sink_loop):
	  do a wait when we enter the loop func with no data available to
	  write instead of getting into an 100% CPU loop by just returning and
	  being called again by the scheduler

2004-11-13  Jan Schmidt  <thaytan@mad.scientist.com>

	* configure.ac:
	* ext/libvisual/visual.c: (gst_visual_get_type),
	(libvisual_log_handler), (gst_visual_getcaps),
	(gst_visual_srclink), (gst_visual_change_state), (make_valid_name),
	(plugin_init):
	  Update libvisual to 0.1.7. Link in the debug handling to gstreamer
	* ext/smoothwave/Makefile.am:
	* ext/smoothwave/demo-osssrc.c: (main):
	* ext/smoothwave/gstsmoothwave.c: (gst_smoothwave_class_init),
	(gst_smoothwave_init), (gst_smoothwave_dispose), (gst_sw_sinklink),
	(gst_sw_srclink), (gst_smoothwave_chain), (gst_sw_change_state),
	(plugin_init):
	* ext/smoothwave/gstsmoothwave.h:
	  Make gstsmoothwave a working element in the 20th century.

	* gst/chart/gstchart.c: (gst_chart_init), (gst_chart_srcconnect):
	  Fix incorrect link function

2004-11-12  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/volume/gstvolume.c:
	  Allow buffer-frames=0.

2004-11-12 Iain <iaingnome@gmail.com>

	* configure.ac: Check for polypaudio

	* ext/Makefile.am: Build the polyp dir

	* ext/polyp: The polypsink sources.

2004-10-30 Iain <iaingnome@gmail.com>

	* gst/interleave/interleave.c (interleave_unlink): Change the src pads
	caps to reflect the new number of channels.

2004-11-12  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsasink.c: (gst_alsa_sink_loop):
	  Fix for negotiation order problem. This would show when the
	  ALSA loopfuction was called before any other function. ALSA
	  wouldn't do anything because we're not negotiated yet, leading
	  to an infinite loop. Showed in e.g. Rhythmbox. Fixes #158006.

2004-11-11  Tim-Philipp Müller  <t.i.m@zen.co.uk>

	reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/vorbis/vorbisdec.c: (vorbis_dec_src_query):
	  No warnings (#157986).

2004-11-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/typefind/gsttypefindfunctions.c: (plugin_init):
	  Prefer apev1/2 and id3v1 (at end of file) over musepack.

2004-11-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/matroska/matroska-demux.c: (gst_matroska_demux_loop_stream):
	  Signal no-more-pads (so it works in playbin).

2004-11-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/musepack/gstmusepackreader.cpp:
	  Workaround for older core.

2004-11-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/ffmpegcolorspace/imgconvert.c: (yuv420p_to_yuv422):
	  Actually test for odd width/height rather than testing whether
	  a temporary variable that was 0 before we subtracted 1 is now
	  not equal to zero (which it always is).

2004-11-11  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* sys/v4l2/gstv4l2element.c: (gst_v4l2_iface_supported):
	Fix compilation if HAVE_XVIDEO is not defined

2004-11-11  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* sys/v4l/gstv4lelement.c: (gst_v4l_iface_supported):
	Fix compilation if HAVE_XVIDEO is not defined

2004-11-11  Jan Schmidt  <thaytan@mad.scientist.com>

	* gst/goom/gstgoom.c: (gst_goom_class_init), (gst_goom_init),
	(gst_goom_dispose), (gst_goom_sinkconnect), (gst_goom_chain),
	(gst_goom_change_state), (plugin_init):
	Use the bytestream adapter so goom doesn't depend on the input
	buffer size.
	Add a debug category

2004-11-11  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsa.c: (gst_alsa_change_state):
	  Only set hardware parameters *after* negotiation. Before
	  negotiation, it will set ANY and that seems to cause crashes
	  (see e.g. #151288, #153227).

2004-11-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsasink.c: (gst_alsa_sink_get_time):
	  This seems to be antique leftover. It needs to pass error
	  checking.
	* ext/sdl/sdlvideosink.c: (gst_sdlvideosink_init),
	(gst_sdlvideosink_deinitsdl), (gst_sdlvideosink_initsdl),
	(gst_sdlvideosink_destroy), (gst_sdlvideosink_create),
	(gst_sdlvideosink_sinkconnect), (gst_sdlvideosink_chain):
	  Fix GstXOverlay implementation (#151059).

2004-11-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_change_state):
	  Don't assert (#157853).

2004-11-10  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsasink.c: (gst_alsa_sink_check_event),
	  Fix bytes/samples confustion.
	(gst_alsa_sink_mmap), (gst_alsa_sink_loop):
	  Fix for underrun (#144389).

2004-11-09  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/typefind/gsttypefindfunctions.c: (mp3_type_find):
	  Disable halfway-seek for pending release (since it needs a new
	  core release).

2004-11-09  Thomas Vander Stichele  <thomas at apestaart dot org>

	* sys/v4l/gstv4lsrc.c:
	* sys/v4l/gstv4lsrc.h:
	* sys/v4l/v4lsrc_calls.c:
	  add autoprobe-fps property so we can separate autoprobing parts

2004-11-09  Thomas Vander Stichele  <thomas at apestaart dot org>

	* sys/v4l/gstv4lsrc.c:
	* sys/v4l/v4lsrc_calls.c:
	initialise fourcc to catch unset fourcc's, and debug

2004-11-09  Wim Taymans  <wim@fluendo.com>

	* gst/playback/README:
	* gst/playback/gstdecodebin.c: (close_pad_link), (try_to_link_1):
	* gst/playback/gstplaybin.c: (gst_play_bin_init),
	(gst_play_bin_dispose), (gst_play_bin_set_property),
	(remove_sinks), (setup_sinks), (gst_play_bin_change_state),
	(gst_play_bin_get_event_masks), (gst_play_bin_send_event),
	(gst_play_bin_get_formats), (gst_play_bin_convert),
	(gst_play_bin_get_query_types), (gst_play_bin_query):
	Cleanups and some more documentation.

2004-11-09  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/libcaca/gstcacasink.c: (gst_cacasink_class_init),
	(gst_cacasink_init), (gst_cacasink_chain):
	* ext/libcaca/gstcacasink.h:
	Cacasink inherits from VideoSink, so let that store the clock.

2004-11-09  Wim Taymans  <wim@fluendo.com>

	* gst/playback/README:
	* gst/playback/gstplaybasebin.c: (group_destroy), (group_is_muted),
	(add_stream), (unknown_type), (add_element_stream), (no_more_pads),
	(probe_triggered), (preroll_unlinked), (new_decoded_pad),
	(gst_play_base_bin_change_state), (gst_play_base_bin_found_tag):
	* gst/playback/gstplaybin.c: (gen_vis_element), (remove_sinks),
	(setup_sinks):
	* gst/playback/gststreaminfo.c: (gst_stream_info_set_mute),
	(gst_stream_info_is_mute), (gst_stream_info_set_property):
	* gst/playback/gststreaminfo.h:
	Updated README.
	Only switch groups if all streams have muted (EOSed).
	Send Tags in sync with the stream playback instead of in
	the playback/preroll phase.
	Some cleanups, free the fakesrc elements.

2004-11-09  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* ext/alsa/gstalsa.c: (gst_alsa_get_caps_internal):
	  buffer-frames property was missing
	* ext/arts/gst_arts.c:
	  rate missing from sinkcaps
	* ext/audiofile/gstafparse.c:
	* ext/audiofile/gstafsink.c:
	* ext/audiofile/gstafsrc.c:
	* ext/swfdec/gstswfdec.c:
	  int audio doesn't know buffer-frames
	* ext/cdparanoia/gstcdparanoia.c:
	  int audio doesn't know chunksize either
	* ext/nas/nassink.c:
	  it's endianness, not endianess
	* gst-libs/gst/audio/audio.h:
	  make float standard pad template caps really describe float
	* gst/law/mulaw.c: (linear_factory):
	  signed only, please
	* gst/mpegstream/gstdvddemux.c:
	  widths of 20 are not valid

2004-11-08  Thomas Vander Stichele  <thomas at apestaart dot org>

	Submitted by: Luca Ferretti <elle.uca@infinito.it>

	* po/LINGUAS:
	* po/it.po:
	  Add Italian

2004-11-08  Wim Taymans  <wim@fluendo.com>

	* gst/playback/README:
	* gst/playback/gstdecodebin.c: (close_pad_link), (try_to_link_1):
	* gst/playback/gstplaybasebin.c: (probe_triggered),
	(gst_play_base_bin_change_state):
	Updated README, added more comments for fixmes etc..

2004-11-08  Wim Taymans  <wim@fluendo.com>

	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_add_element):
	We can remove this hack now.

2004-11-08  Wim Taymans  <wim@fluendo.com>

	* gst/videomixer/videomixer.c: (gst_videomixer_blend_ayuv_ayuv),
	(gst_videomixer_fill_checker), (gst_videomixer_fill_color),
	(gst_videomixer_blend_buffers), (gst_videomixer_loop):
	Only mix AYUV for maximum quality.

2004-11-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (get_relative), (gst_ogg_demux_src_query),
	(gst_ogg_demux_push), (gst_ogg_pad_push):
	  Let's act as if we're synchronized now! :).
	* ext/theora/theoradec.c: (theora_dec_chain):
	  Add some debug.

2004-11-08  Wim Taymans  <wim@fluendo.com>

	* gst/alpha/gstalpha.c: (gst_alpha_method_get_type),
	(gst_alpha_set_property), (gst_alpha_sink_link),
	(gst_alpha_set_ayuv), (gst_alpha_set_i420),
	(gst_alpha_chroma_key_ayuv), (gst_alpha_chroma_key_i420),
	(gst_alpha_init_params), (gst_alpha_chain):
	Implement alpha functions for AYUV too, this increases
	accuracy quite a bit.

2004-11-08  Wim Taymans  <wim@fluendo.com>

	* gst/ffmpegcolorspace/avcodec.h:
	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpeg_pixfmt_to_caps), (gst_ffmpeg_caps_to_pixfmt),
	(gst_ffmpegcsp_avpicture_fill):
	* gst/ffmpegcolorspace/gstffmpegcolorspace.c:
	(gst_ffmpegcsp_caps_remove_format_info):
	* gst/ffmpegcolorspace/imgconvert.c: (avpicture_get_size),
	(shrink12), (img_get_alpha_info), (deinterlace_line),
	(deinterlace_line_inplace):
	* gst/ffmpegcolorspace/imgconvert_template.h:
	Added AYUV colorspace and handle RGBA a bit more respectful.

2004-11-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_push):
	  Actually always send a discont (cornercase when resending the
	  same serial-tagged chain twice).

2004-11-08  Julien MOUTTE  <julien@moutte.net>

	* sys/ximage/ximagesink.c: (gst_ximagesink_xcontext_clear),
	(gst_ximagesink_finalize):
	* sys/xvimage/xvimagesink.c: (gst_xvimagesink_xcontext_clear),
	(gst_xvimagesink_finalize): Some more cleanups, leaks fixed and checks.

2004-11-08  Wim Taymans  <wim@fluendo.com>

	* gst/typefind/gsttypefindfunctions.c: (aac_type_find):
	Don't segfault on NULL data.

2004-11-08  Wim Taymans  <wim@fluendo.com>

	* gst/playback/gstdecodebin.c: (unlinked):
	* gst/playback/gstplay-marshal.list:
	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_class_init),
	(gst_play_base_bin_init), (group_create), (get_active_group),
	(get_building_group), (group_destroy), (group_commit),
	(queue_overrun), (remove_groups), (add_stream), (unknown_type),
	(add_element_stream), (no_more_pads), (probe_triggered),
	(preroll_unlinked), (new_decoded_pad), (removed_decoded_pad),
	(state_change), (setup_source), (gst_play_base_bin_get_property),
	(gst_play_base_bin_change_state), (gst_play_base_bin_add_element),
	(gst_play_base_bin_link_stream),
	(gst_play_base_bin_get_streaminfo):
	* gst/playback/gstplaybasebin.h:
	* gst/playback/gstplaybin.c: (gst_play_bin_class_init),
	(remove_sinks), (setup_sinks), (gst_play_bin_change_state):
	Add support for chained ogg files. Prepare for playlist
	support. This patch introduces the concept of pad groups, which
	together compose one playable media file.

2004-11-07  David Schleef  <ds@schleef.org>

	* testsuite/gst-lint: Check for pad templates that aren't statically
	scoped.

2004-11-07  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.ac:
	* ext/Makefile.am:
	* ext/musepack/Makefile.am:
	* ext/musepack/gstmusepackdec.cpp:
	* ext/musepack/gstmusepackdec.h:
	* ext/musepack/gstmusepackreader.cpp:
	* ext/musepack/gstmusepackreader.h:
	  Add musepack decoder.
	* ext/faad/gstfaad.c: (gst_faad_base_init):
	  Make pad templates static.
	* gst/typefind/gsttypefindfunctions.c: (mp3_type_find),
	(plugin_init):
	  Add musepack typefinder, make mp3 typefinding work halfway stream,
	  which doesn't actually work yet because id3demux doesn't implement
	  _get_length().

2004-11-07  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggmux.c: (gst_ogg_mux_next_buffer),
	(gst_ogg_mux_queue_pads), (gst_ogg_mux_loop):
	  Fix interrupt event handling (#144436).

2004-11-07  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/mad/gstid3tag.c: (gst_id3_tag_do_typefind):
	  Hide unused glory.

2004-11-06  Tim-Philipp Müller  <t.i.m@zen.co.uk>

	reviewed by: Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/vorbis/vorbisenc.c: (raw_caps_factory):
	  Fix weird caps (#157548).

2004-11-06  Tim-Philipp Müller  <t.i.m@zen.co.uk>

	Reviewed by: Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/rtp/gstrtpgsmparse.c: (gst_rtpgsm_caps_nego):
	  Add missing NULL terminator (#157543).

2004-11-05  Thomas Vander Stichele  <thomas at apestaart dot org>

	* gst/tcp/gsttcp.h:
	* gst/tcp/gsttcpclientsink.c:
	* gst/tcp/gsttcpclientsrc.c:
	* gst/tcp/gsttcpserversink.c:
	* gst/tcp/gsttcpserversrc.c:
	  ports can go up to 65535.  Move common defines to gsttcp.h

2004-11-05  Wim Taymans  <wim@fluendo.com>

	* gst/videotestsrc/videotestsrc.c: (paint_setup_Y41B),
	(paint_hline_Y41B), (paint_setup_Y42B), (paint_hline_Y42B):
	Added two more colorspaces.

2004-11-05  Wim Taymans  <wim@fluendo.com>

	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpegcsp_avpicture_fill):
	* gst/ffmpegcolorspace/imgconvert.c: (avpicture_get_size),
	(yuv422p_to_yuv422), (yuv420p_to_yuv422), (shrink12),
	(img_convert), (deinterlace_line), (deinterlace_line_inplace):
	More stride fixes.

2004-11-05  Wim Taymans  <wim@fluendo.com>

	* gst/alpha/gstalpha.c: (gst_alpha_set_property), (gst_alpha_add),
	(gst_alpha_chroma_key), (gst_alpha_init_params), (gst_alpha_chain):
	* gst/videomixer/videomixer.c: (gst_videomixer_blend_ayuv_i420),
	(gst_videomixer_fill_checker), (gst_videomixer_blend_buffers),
	(gst_videomixer_loop):
	More stride fixes.

2004-11-05  Benjamin Otte  <otte@gnome.org>

	* ext/mad/gstmad.c: (gst_mad_chain):
	  don't overflow data buffer. Flush not needed sync data when syncing
	  failed.

2004-11-04  Wim Taymans  <wim@fluendo.com>

	* gst/alpha/gstalpha.c: (gst_alpha_method_get_type),
	(gst_alpha_class_init), (gst_alpha_init), (gst_alpha_set_property),
	(gst_alpha_get_property), (gst_alpha_add), (gst_alpha_chroma_key),
	(gst_alpha_init_params), (gst_alpha_chain),
	(gst_alpha_change_state):
	Updated the chroma keying algorithm with something more
	sophisticated.

2004-11-03  Wim Taymans  <wim@fluendo.com>

	* gst/videomixer/videomixer.c: (gst_videomixer_blend_ayuv_i420),
	(gst_videomixer_fill_checker), (gst_videomixer_fill_color),
	(gst_videomixer_blend_buffers), (gst_videomixer_loop):
	Fix stride issues. Does not completely work for odd
	heights.

2004-11-03  Wim Taymans  <wim@fluendo.com>

	* gst/alpha/gstalpha.c: (gst_alpha_method_get_type),
	(gst_alpha_chroma_key), (gst_alpha_chain):
	Fix stride issues. Does not completely work for odd
	heights.

2004-11-03  Christophe Fergeau  <teuf@gnome.org>

	* gst/videoscale/gstvideoscale.c: (gst_videoscale_getcaps):
	* gst/videoscale/videoscale.c: (videoscale_find_by_structure):
	leak fixes

2004-11-03  Wim Taymans  <wim@fluendo.com>

	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpegcsp_avpicture_fill):
	* gst/ffmpegcolorspace/imgconvert.c: (avpicture_get_size),
	(avpicture_alloc):
	* gst/ffmpegcolorspace/imgconvert_template.h:
	Use correct _fill function to get correct strides.

2004-11-02  David Schleef  <ds@schleef.org>

	* gst/qtdemux/qtdemux.c: (gst_qtdemux_loop_header),
	(gst_qtdemux_add_stream), (qtdemux_parse), (qtdemux_parse_tree),
	(qtdemux_parse_udta), (qtdemux_tag_add), (gst_qtdemux_handle_esds):
	Change all g_print()s to debugging.  Add a bunch of consistency
	checks.

2004-11-02  Wim Taymans  <wim@fluendo.com>

	* gst/playback/gstdecodebin.c: (gst_decode_bin_class_init),
	(try_to_link_1), (get_our_ghost_pad), (remove_element_chain),
	(unlinked), (no_more_pads), (close_link):
	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_init),
	(unknown_type), (add_element_stream), (new_decoded_pad),
	(removed_decoded_pad), (setup_source):
	* gst/playback/gststreaminfo.c: (gst_stream_info_get_type),
	(gst_stream_info_class_init), (gst_stream_info_init),
	(gst_stream_info_new), (gst_stream_info_dispose),
	(stream_info_mute_pad), (gst_stream_info_set_property),
	(gst_stream_info_get_property):
	* gst/playback/gststreaminfo.h:
	Fix playback of multiple files.
	a slightly different approach to handling dynamic pad removals.
	This one only looks at pads that we have linked.

2004-11-01  Christophe Fergeau  <teuf@gnome.org>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_finalize): fix an "invalid
	free" warning from libc.

2004-11-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstdecodebin.c: (gst_decode_bin_class_init),
	(get_unconnected_element), (remove_starting_from), (pad_removed),
	(close_link):
	  Implement support for dynamic pad changing. We listen to "live"
	  pad removals (i.e. while playing) and re-setup autoplugging
	  after that. Playbasebin/playbin need some more work for this
	  to finally work, but decodebin supports (and replugs) chained
	  ogg now.

2004-11-02  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/alsa/gstalsa.c: (gst_alsa_class_init), (gst_alsa_dispose),
	(gst_alsa_finalize):
	* ext/cdaudio/gstcdaudio.c: (gst_cdaudio_class_init),
	(gst_cdaudio_finalize):
	* ext/cdparanoia/gstcdparanoia.c: (cdparanoia_class_init),
	(cdparanoia_finalize):
	* ext/divx/gstdivxdec.c: (gst_divxdec_dispose):
	* ext/divx/gstdivxenc.c: (gst_divxenc_dispose):
	* ext/dvdread/dvdreadsrc.c: (dvdreadsrc_class_init),
	(dvdreadsrc_finalize):
	* ext/flac/gstflacdec.c: (gst_flacdec_class_init),
	(gst_flacdec_finalize):
	* ext/flac/gstflacenc.c: (gst_flacenc_class_init),
	(gst_flacenc_finalize):
	* ext/gnomevfs/gstgnomevfssink.c: (gst_gnomevfssink_class_init),
	(gst_gnomevfssink_finalize):
	* ext/gnomevfs/gstgnomevfssrc.c: (gst_gnomevfssrc_class_init),
	(gst_gnomevfssrc_finalize):
	* ext/libfame/gstlibfame.c: (gst_fameenc_class_init),
	(gst_fameenc_finalize):
	* ext/nas/nassink.c: (gst_nassink_class_init),
	(gst_nassink_finalize):
	* ext/sdl/sdlvideosink.c: (gst_sdlvideosink_finalize),
	(gst_sdlvideosink_class_init):
	* ext/sndfile/gstsf.c: (gst_sf_dispose):
	* gst-libs/gst/mixer/mixertrack.c: (gst_mixer_track_dispose):
	* gst-libs/gst/tuner/tunerchannel.c: (gst_tuner_channel_dispose):
	* gst-libs/gst/tuner/tunernorm.c: (gst_tuner_norm_dispose):
	* gst-libs/gst/xwindowlistener/xwindowlistener.c:
	(gst_x_window_listener_dispose):
	* gst/audioscale/gstaudioscale.c:
	* gst/playondemand/gstplayondemand.c: (play_on_demand_class_init),
	(play_on_demand_finalize):
	* gst/videofilter/gstvideobalance.c: (gst_videobalance_dispose):
	* gst/videoscale/gstvideoscale.c: (gst_videoscale_chain):
	* sys/cdrom/gstcdplayer.c: (cdplayer_class_init),
	(cdplayer_finalize):
	* sys/glsink/glimagesink.c: (gst_glimagesink_finalize),
	(gst_glimagesink_class_init):
	* sys/oss/gstosselement.c: (gst_osselement_class_init),
	(gst_osselement_finalize):
	* sys/oss/gstosssink.c: (gst_osssink_dispose):
	* sys/oss/gstosssrc.c: (gst_osssrc_dispose):
	* sys/v4l/gstv4lelement.c: (gst_v4lelement_dispose):
	  Fixes a bunch of problems with finalize and dispose functions,
	  either assumptions that dispose is only called once, or not calling
	  the parent class dispose/finalize function

2004-11-01  Stefan Kost  <ensonic@users.sf.net>

	* ext/esd/esdsink.c: (gst_esdsink_init), (gst_esdsink_link):
	  added two api precondition guards
	  use g_strdup with getenv to fix crash when using ENVVAR

2004-11-01  Jan Schmidt  <thaytan@mad.scientist.com>
	* ext/esd/esdsink.c: (gst_esdsink_class_init),
	(gst_esdsink_finalize):
	Use a finalize function, not dispose, and more importantly,
	call the parent class finalize function too

2004-11-01  Johan Dahlin  <johan@gnome.org>

	* ext/ogg/gstoggdemux.c:
	* gst/tags/gstvorbistag.c:
	Plug leaks.

2004-10-31  Benjamin Otte  <otte@gnome.org>

	* gst/tags/gstvorbistag.c: (gst_vorbis_tag_chain):
	  lotsa memleaks today. But they're all small...

2004-10-31  Benjamin Otte  <otte@gnome.org>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_push):
	  another memleak crushed

2004-10-31  Benjamin Otte  <otte@gnome.org>

	* gst/tags/gstvorbistag.c: (gst_tag_to_vorbis_comments):
	  fix memleak

2004-10-31  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_push):
	  Hack to prevent crash when going to READY inside signal handler
	  while this function is active.

2004-10-31  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/ffmpegcolorspace/Makefile.am:
	* gst/ffmpegcolorspace/avcodec.h:
	* gst/ffmpegcolorspace/common.h:
	* gst/ffmpegcolorspace/dsputil.c: (dsputil_static_init):
	* gst/ffmpegcolorspace/dsputil.h:
	* gst/ffmpegcolorspace/gstffmpeg.c: (plugin_init):
	* gst/ffmpegcolorspace/gstffmpegcodecmap.c:
	(gst_ffmpeg_get_palette), (gst_ffmpeg_set_palette),
	(gst_ffmpeg_pixfmt_to_caps), (gst_ffmpeg_smpfmt_to_caps),
	(gst_ffmpegcsp_codectype_to_caps), (gst_ffmpeg_caps_to_smpfmt),
	(gst_ffmpeg_caps_to_pixfmt), (gst_ffmpegcsp_caps_with_codectype),
	(gst_ffmpegcsp_avpicture_fill):
	* gst/ffmpegcolorspace/gstffmpegcodecmap.h:
	* gst/ffmpegcolorspace/gstffmpegcolorspace.c:
	(gst_ffmpegcsp_caps_remove_format_info), (gst_ffmpegcsp_getcaps),
	(gst_ffmpegcsp_pad_link), (gst_ffmpegcsp_get_type),
	(gst_ffmpegcsp_base_init), (gst_ffmpegcsp_class_init),
	(gst_ffmpegcsp_init), (gst_ffmpegcsp_chain),
	(gst_ffmpegcsp_change_state), (gst_ffmpegcsp_set_property),
	(gst_ffmpegcsp_get_property), (gst_ffmpegcolorspace_register):
	* gst/ffmpegcolorspace/imgconvert.c:
	(avcodec_get_chroma_sub_sample), (avcodec_get_pix_fmt_name),
	(avcodec_get_pix_fmt), (avpicture_fill), (avpicture_layout),
	(avpicture_get_size), (avcodec_get_pix_fmt_loss),
	(avg_bits_per_pixel), (avcodec_find_best_pix_fmt1),
	(avcodec_find_best_pix_fmt), (img_copy_plane), (img_copy),
	(yuv422_to_yuv420p), (uyvy422_to_yuv420p), (uyvy422_to_yuv422p),
	(yuv422_to_yuv422p), (yuv422p_to_yuv422), (yuv422p_to_uyvy422),
	(uyvy411_to_yuv411p), (yuv420p_to_yuv422), (C_JPEG_TO_CCIR),
	(img_convert_init), (img_apply_table), (shrink41), (shrink21),
	(shrink12), (shrink22), (shrink44), (grow21_line), (grow41_line),
	(grow21), (grow22), (grow41), (grow44), (conv411),
	(gif_clut_index), (build_rgb_palette), (bitcopy_n), (mono_to_gray),
	(monowhite_to_gray), (monoblack_to_gray), (gray_to_mono),
	(gray_to_monowhite), (gray_to_monoblack), (avpicture_alloc),
	(avpicture_free), (is_yuv_planar), (img_convert),
	(get_alpha_info_pal8), (img_get_alpha_info), (deinterlace_line),
	(deinterlace_line_inplace), (deinterlace_bottom_field),
	(deinterlace_bottom_field_inplace), (avpicture_deinterlace):
	* gst/ffmpegcolorspace/imgconvert_template.h:
	* gst/ffmpegcolorspace/mem.c: (av_malloc), (av_realloc), (av_free):
	* gst/ffmpegcolorspace/mmx.h:
	* gst/ffmpegcolorspace/utils.c: (av_mallocz), (av_strdup),
	(av_fast_realloc), (av_mallocz_static), (av_free_static),
	(av_freep), (avcodec_get_context_defaults),
	(avcodec_alloc_context), (avcodec_init):
	  Sync back from gst-ffmpeg. Deprecates ffcolorspace. Adds palette
	  handling plus update from ffmpeg CVS. Large clean-up.

2004-10-31  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/Makefile.am:
	  We need the marshallers for decodebin, too.

2004-10-30  David Schleef  <ds@schleef.org>

	* gst/typefind/gsttypefindfunctions.c: (qt_type_find): Make
	  quicktime typefinding work with 64-bit offsets.

2004-10-30  Jan Schmidt  <thaytan@mad.scientist.com>

	* ext/dv/gstdvdec.c: (gst_dvdec_handle_sink_event):
	  Set EOS on the element when processing an EOS event.
	* ext/speex/gstspeexdec.h:
	* ext/speex/gstspeexenc.h:
	  Only keep a const ptr to the mode
	* gst-libs/gst/riff/riff-media.c:
	(gst_riff_create_audio_caps_with_data),
	(gst_riff_create_audio_template_caps):
	  Allow WMAV3, with up to 6 channels.
	* gst/asfdemux/gstasfmux.c: (gst_asfmux_request_new_pad):
	  Don't call gst_pad_set_event_function on a sink pad.
	* gst/mpegstream/gstdvddemux.c:
	(gst_dvd_demux_get_subpicture_stream),
	(gst_dvd_demux_set_cur_audio), (gst_dvd_demux_set_cur_subpicture):
	  Copy the explicit caps that were set across to the cur_* pads,
	  instead of trying to use a possibly non-existent negotiated caps.
	  Reset the type of subpicture pads to UNKNOWN after calling
	  init_stream, so that the caps get set.

2004-10-29  Martin Pitt  <martin.pitt@canonical.com>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/asfdemux/gstasfdemux.c: (gst_asf_demux_process_chunk):
	  Don't touch buffer if it is of size 0 (fixes #151064).

2004-10-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_push), (gst_ogg_pad_push):
	  Synchronized discont handling.

2004-10-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_src_event),
	(gst_ogg_demux_push):
	  Make seeking sort-of exact again (fixes #156387).

2004-10-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (unknown_type),
	(add_element_stream), (new_decoded_pad),
	(gst_play_base_bin_change_state):
	* gst/playback/gststreaminfo.c: (gst_stream_info_class_init),
	(gst_stream_info_init), (gst_stream_info_new),
	(gst_stream_info_dispose), (gst_stream_info_get_property):
	* gst/playback/gststreaminfo.h:
	  Make caps explicitely available. Makes testing for unsupported
	  types possible. Improves error reporting.

2004-10-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/audioconvert/gstaudioconvert.c:
	(gst_audio_convert_buffer_to_default_format):
	  Really don't touch read-only buffers (#156563).

2004-10-29  Sebastien Cote  <sc5@hermes.usherb.ca>

	Reviewd by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/wavparse/gstwavparse.c: (gst_wavparse_fmt):
	  Fix memleak (#155223).

2004-10-29  Wim Taymans  <wim@fluendo.com>

	* gst/tcp/.cvsignore:
	* gst/tcp/gstmultifdsink.c: (gst_sync_method_get_type),
	(gst_multifdsink_class_init), (gst_multifdsink_init),
	(gst_multifdsink_add), (gst_multifdsink_remove),
	(gst_multifdsink_remove_client_link), (is_sync_frame),
	(gst_multifdsink_new_client),
	(gst_multifdsink_handle_client_write),
	(gst_multifdsink_recover_client), (gst_multifdsink_queue_buffer),
	(gst_multifdsink_handle_clients), (gst_multifdsink_set_property),
	(gst_multifdsink_get_property):
	* gst/tcp/gstmultifdsink.h:
	Added burst on connect sync_method, deprecated sync_clients,
	streamlined the sync code some more.

2004-10-29  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/playback/gstplaybasebin.c: (thread_error), (setup_source),
	(gst_play_base_bin_change_state):
	  Improve error reporting.

2004-10-28  Wim Taymans  <wim@fluendo.com>

	* gst/tcp/Makefile.am:
	* gst/tcp/fdsetstress.c: (mess_some_more), (run_test), (main):
	* gst/tcp/gstfdset.c: (nearest_pow), (resize), (ensure_size),
	(gst_fdset_new), (gst_fdset_free), (gst_fdset_set_mode),
	(gst_fdset_fd_ctl_write), (gst_fdset_fd_ctl_read),
	(gst_fdset_fd_has_closed), (gst_fdset_fd_has_error),
	(gst_fdset_fd_can_read), (gst_fdset_fd_can_write),
	(gst_fdset_wait):
	Added more locks around fdset structures. Fixed/reworked
	the poll array resizing code.
	Added stress test for fdset.

2004-10-28  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* gst-libs/gst/audio/gstaudiofilter.c: (gst_audiofilter_link):
	fix build

2004-10-28  Benjamin Otte  <otte@gnome.org>

	* gst-libs/gst/audio/gstaudiofilter.c: (gst_audiofilter_link):
	  fix link function to always query channels and query width for
	  floats
	* configure.ac:
	  add equalizer dir
	* gst/equalizer/Makefile.am:
	* gst/equalizer/gstiirequalizer.c: (gst_iir_equalizer_get_type),
	(gst_iir_equalizer_base_init), (gst_iir_equalizer_class_init),
	(gst_iir_equalizer_init), (gst_iir_equalizer_finalize),
	(arg_to_scale), (setup_filter),
	(gst_iir_equalizer_compute_frequencies),
	(gst_iir_equalizer_set_property), (gst_iir_equalizer_get_property),
	(gst_iir_equalizer_filter_inplace), (gst_iir_equalizer_setup),
	(plugin_init):
	  add an equalizer

2004-10-27  Thomas Vander Stichele  <thomas at apestaart dot org>

	Submitted by: Kjartan Maraas <kmaraas@broadpark.no>

	* po/LINGUAS:
	* po/nb.po:
	  Added Norwegian Bokmaal translation

2004-10-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsamixer.c: (gst_alsa_mixer_build_list):
	  Don't break on options (fixes #156488).

2004-10-27  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* ext/cdaudio/Makefile.am:
	* sys/Makefile.am:
	  fix build on older automake

2004-10-26  Wim Taymans  <wim@fluendo.com>

	* ext/dv/gstdvdec.c: (gst_dvdec_video_getcaps),
	(gst_dvdec_video_link), (gst_dvdec_push), (gst_dvdec_loop):
	Allow a little margin when negotiating the framerate.

2004-10-26  Stefan Kost  <ensonic@users.sf.net>

	* gst/level/gstlevel.c:
	  synchonised naming of pads and pad-templates

2004-10-26  Wim Taymans  <wim@fluendo.com>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_src_event),
	(gst_ogg_demux_handle_event), (_find_chain_get_unknown_part),
	(_find_streams_check), (gst_ogg_demux_push):
	Fix EOS again. Needs to be done in a better way. We should not
	remove the pad if there is no new chained stream.

2004-10-26 Iain <iaingnome@gmail.com>

	* ext/ogg/gstoggdemux.c (gst_ogg_pad_new): Free the tag list.
	* gst/audioscale/gstaudioscale.c (gst_audioscale_link): Free the copy
	of the caps.
	* gst/interleave/interleave.c (interleave_class_init): Hook up release
	pad.
	(interleave_release_pad): Remove the pad.
	* gst/level/gstlevel.c: Allow the level to take 1 or 2 channels.
	* sys/sunaudio/gstsunaudio.c (gst_sunaudio_setparams): Pay attention to
	the set device.
	* sys/xvimage/xvimagesink.c (gst_xvimagesink_get_xv_support): Free the
	attrs
	(gst_xvimagesink_xcontext_clear): Free the xcontext.
	(gst_xvimagesink_finalize): Free the par.

2004-10-26  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/avi/gstavimux.c: (gst_avimux_audsinkconnect),
	(gst_avimux_stop_file):
	  First calculate the rate, and only then use it. Hdr.rate is a
	  multiple and not a derivative of hdr.scale. Scale is not the
	  same as blockalign but is solely related to rate.

2004-10-26  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/gnomevfs/gstgnomevfssink.c: (gst_gnomevfssink_init),
	(gst_gnomevfssink_handle_event), (gst_gnomevfssink_chain):
	  Implement seeking.

2004-10-25  James Henstridge  <james@jamesh.id.au>

	Reviewed by:  David Schleef  <ds@schleef.org>

	* examples/gstplay/player.c: (got_stream_length), (main):
	* examples/seeking/cdplayer.c: (update_scale):
	* examples/seeking/seek.c: (format_value), (update_scale):
	* examples/seeking/spider_seek.c: (format_value), (update_scale),
	(stop_seek):
	Build fixes on AMD64.

2004-10-25  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	reviewed by: Ronald Bultje <rbultje at gnome dot org>

	* sys/v4l/v4l_calls.c: (gst_v4l_get_chan_names):
	Fix for some v4l cards which hang in v4lsrc

2004-10-25  Wim Taymans  <wim@fluendo.com>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_remove),
	(gst_ogg_demux_push), (gst_ogg_chains_clear):
	Make sure to remove the pad when a new chain is
	encountered. Set some vars to NULL so we don't try
	to reference freed memory.

2004-10-25  Wim Taymans  <wim@fluendo.com>

	* examples/seeking/Makefile.am:
	* examples/seeking/cdplayer.c: (update_scale):
	* examples/seeking/chained.c: (unlinked), (new_pad), (main):
	* examples/seeking/playbin.c: (make_playerbin_pipeline),
	(format_value), (update_scale), (iterate), (start_seek),
	(stop_seek), (print_media_info), (play_cb), (pause_cb), (stop_cb),
	(print_usage), (main):
	Added some more examples, update others.

2004-10-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/flac/gstflacdec.c: (gst_flacdec_update_metadata):
	* ext/speex/gstspeexdec.c: (speex_dec_chain):
	* ext/theora/theoradec.c: (theora_dec_chain):
	* ext/vorbis/vorbisdec.c: (vorbis_dec_chain):
	  Add codec-name metadata.

2004-10-25  Takao Fujiwara  <Takao.Fujiwara@Sun.COM>

	Reviewd by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsamixer.c: (gst_alsa_mixer_build_list):
	* ext/alsa/gstalsamixertrack.c: (gst_alsa_mixer_track_new):
	* ext/alsa/gstalsamixertrack.h:
	* po/POTFILES.in:
	  ALSA mixer track label internationalization (#154054).

2004-10-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/theora/theoradec.c: (theora_dec_chain):
	  Export bitrate as metadata.

2004-10-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/alsa/gstalsamixer.c: (gst_alsa_mixer_build_list):
	* ext/alsa/gstalsamixertrack.c: (gst_alsa_mixer_track_new):
	* ext/alsa/gstalsamixertrack.h:
	  Fix names, fix loop.

2004-10-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/speex/gstspeexdec.c: (gst_speex_dec_init),
	(speex_dec_convert):
	  sinkconvert function so oggdemux can get the file length (totem).

2004-10-25  James Morrison  <ja2morri@csclub.uwaterloo.ca>

	Reviewed by:  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/asfdemux/gstasfdemux.c: (gst_asf_demux_process_chunk):
	  Don't push incomplete packets.
	* gst/typefind/gsttypefindfunctions.c: (m4a_type_find):
	  Fix MPEG-4 audio typefinding.

2004-10-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l/Makefile.am:
	* sys/v4l/gstv4l.c: (plugin_init):
	* sys/v4l/gstv4lelement.c: (gst_v4lelement_get_type),
	(gst_v4lelement_init), (gst_v4lelement_dispose),
	(gst_v4lelement_change_state):
	* sys/v4l/gstv4lelement.h:
	* sys/v4l/gstv4lxoverlay.c: (gst_v4l_xoverlay_open),
	(gst_v4l_xoverlay_close), (idle_refresh),
	(gst_v4l_xoverlay_set_xwindow_id):
	* sys/v4l/gstv4lxoverlay.h:
	* sys/v4l/v4l-overlay_calls.c:
	* sys/v4l/v4l_calls.h:
	* sys/v4l2/Makefile.am:
	* sys/v4l2/gstv4l2.c: (plugin_init):
	* sys/v4l2/gstv4l2element.c: (gst_v4l2element_get_type),
	(gst_v4l2element_init), (gst_v4l2element_dispose),
	(gst_v4l2element_change_state):
	* sys/v4l2/gstv4l2element.h:
	* sys/v4l2/gstv4l2xoverlay.c: (gst_v4l2_xoverlay_open),
	(gst_v4l2_xoverlay_close), (idle_refresh),
	(gst_v4l2_xoverlay_set_xwindow_id):
	* sys/v4l2/gstv4l2xoverlay.h:
	* sys/v4l2/v4l2-overlay_calls.c:
	* sys/v4l2/v4l2_calls.h:
	  Remove client-side overlay handling, use the X-server v4l plugin
	  for that. Nicer overlay, less code. Also make the plugin
	  compileable without X (but then without overlay, obviously).
	  Makes xwindowlistener obsolete, should we remove that?

2004-10-25  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/oss/gstosssrc.c: (gst_osssrc_get_time), (gst_osssrc_get),
	(gst_osssrc_src_query):
	* sys/oss/gstosssrc.h:
	  OK, so people want offset in DEFAULT. This time, actually fix all
	  cases.
	* sys/v4l2/gstv4l2src.c: (gst_v4l2src_getcaps):
	  Add FPS properly.

2004-10-24  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* gst/asfdemux/gstasfmux.c:
	* gst/avi/gstavimux.c:
	  Framerate.

2004-10-24  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l2/gstv4l2element.c: (gst_v4l2element_set_property):
	  Fix properties (channel, norm, frequency).

2004-10-24  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l2/gstv4l2element.c: (gst_v4l2element_get_property):
	  Flag typo.
	* sys/v4l2/v4l2_calls.c: (gst_v4l2_set_defaults):
	  No warnings.

2004-10-24  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_clear_format_list):
	  Fix hang.

2004-10-24  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l2/gstv4l2element.h:
	  Yet Another Hack (tm) for kernel header borkedness.
	* sys/v4l2/gstv4l2src.c: (gst_v4l2src_init),
	(gst_v4l2src_v4l2fourcc_to_caps), (gst_v4l2_fourcc_from_structure),
	(gst_v4l2src_link), (gst_v4l2src_getcaps),
	(gst_v4l2src_change_state):
	* sys/v4l2/gstv4l2src.h:
	* sys/v4l2/v4l2src_calls.c: (gst_v4l2src_capture_init),
	(gst_v4l2src_capture_start), (gst_v4l2src_capture_stop):
	  Fix caps, keep track of state, work.

2004-10-24  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/v4l/gstv4lsrc.c: (gst_v4lsrc_getcaps):
	  Quiet.

2004-10-24  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* sys/oss/gstosssrc.c: (gst_osssrc_get):
	  Don't mix bytes and samples.

2004-10-24  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggmux.c:
	  Basic pad template which accepts OGM tracks, speex, flac, vorbis
	  and theora. Any is incorrect.
	* gst/asfdemux/gstasfmux.c: (gst_asfmux_vidsink_link):
	  Fix caps.
	* sys/v4l/gstv4lmjpegsink.c: (gst_v4lmjpegsink_base_init):
	* sys/v4l/gstv4lmjpegsrc.c: (gst_v4lmjpegsrc_base_init),
	(gst_v4lmjpegsrc_init), (gst_v4lmjpegsrc_srcconnect),
	(gst_v4lmjpegsrc_getcaps), (gst_v4lmjpegsrc_change_state):
	* sys/v4l/gstv4lmjpegsrc.h:
	* sys/v4l/gstv4lsrc.c: (gst_v4lsrc_src_link), (gst_v4lsrc_getcaps),
	(gst_v4lsrc_change_state):
	* sys/v4l/v4lmjpegsrc_calls.c: (gst_v4lmjpegsrc_capture_start),
	(gst_v4lmjpegsrc_capture_stop):
	  Fix caps. Keep track of internal state. Work.

2004-10-23  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/Makefile.am:
	  Fix the build fixes.

2004-10-23  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_src_query),
	(gst_ogg_demux_src_event), (_find_chain_seek),
	(gst_ogg_pad_push):
	  Check for pad availability before using it.
	* ext/ogg/gstoggdemux.c: (_find_chain_process):
	  Fix parsing of chained ogg. Needs more work on the decoder side.

2004-10-22  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* gst/spectrum/Makefile.am:
	* gst/spectrum/demo-osssrc.c: (spectrum_chain), (main),
	(idle_func):
	  Fix demo and reenable it. Yes, I'm currently playing with audio
	  analysis tools

2004-10-22  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_pad_push):
	  We love it if files that start at zero work too...

2004-10-22  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_iterate):
	  Handle files with missing EOS headers.

2004-10-21  Zaheer Abbas Merali  <zaheerabbas at merali dot org>

	* gst/tcp/gsttcpserversink.c:
	(gst_tcpserversink_handle_server_read),
	(gst_tcpserversink_init_send):
	Zero some variables first (need for accept not to return EINVAL)

2004-10-20  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_src_query),
	(gst_ogg_demux_src_event), (gst_ogg_pad_push):
	* ext/theora/theoradec.c: (theora_dec_sink_convert),
	(theora_dec_chain):
	* ext/vorbis/vorbisdec.c: (vorbis_dec_get_formats),
	(gst_vorbis_dec_init), (vorbis_dec_convert), (vorbis_dec_chain):
	  Seeking and querying finetune.

2004-10-20  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.ac:
	* ext/Makefile.am:
	* ext/raw1394/Makefile.am:
	  fix the build

2004-10-20  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_iterate):
	  Wrong return.
	* gst/playback/Makefile.am:
	* gst/playback/gstdecodebin.c: (gst_decode_bin_class_init):
	* gst/playback/gstplay-marshal.list:
	* gst/playback/gstplaybasebin.c: (gst_play_base_bin_class_init):
	  Fix marshallers.

2004-10-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_src_event):
	  Silence.

2004-10-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_src_query),
	(gst_ogg_demux_src_event), (gst_ogg_pad_populate),
	(gst_ogg_pad_push):
	  Yay for non-lineair granulepos in theora.

2004-10-18  Wim Taymans  <wim@fluendo.com>

	* ext/dv/gstdvdec.c: (gst_dvdec_init), (gst_dvdec_video_getcaps),
	(gst_dvdec_video_link), (gst_dvdec_push), (gst_dvdec_loop):
	* ext/dv/gstdvdec.h:
	Make sure we renegotiate aspect ratio when the camera switches.

2004-10-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_src_query),
	(gst_ogg_demux_src_event), (gst_ogg_pad_push):
	  Start at zero.
	* ext/theora/theoradec.c: (theora_dec_chain):
	  Skip headers. Bad idea for chained ogg, but fixes seeking.

2004-10-18  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	I swear, this is the last time I touch this.

2004-10-18  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_src_query),
	(gst_ogg_demux_src_event), (gst_ogg_pad_populate),
	(_read_bos_process), (gst_ogg_demux_iterate), (gst_ogg_pad_new):
	  Faster seeking.
	* ext/theora/theoradec.c: (theora_dec_sink_convert):
	  Time-to-default conversion.
	* ext/vorbis/vorbisdec.c: (vorbis_dec_chain):
	  Don't error on unknown packets, just skip. We should probably
	  read them if we want to support chained ogg.

2004-10-18  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	Added cdaudio to wrong list.

2004-10-18  Wim Taymans  <wim@fluendo.com>

	* configure.ac:
	Revive cdaudio.

2004-10-18  Wim Taymans  <wim@fluendo.com>

	* ext/dv/gstdvdec.c: (gst_dvdec_video_getcaps),
	(gst_dvdec_video_link), (gst_dvdec_push):
	* ext/jpeg/gstsmokeenc.c: (gst_smokeenc_class_init),
	(gst_smokeenc_resync), (gst_smokeenc_chain):
	Fix mimetype on smoke encoder.
	Add aspect ratio to dvdec. Not sure if these
	values are correct though....

2004-10-18  Wim Taymans  <wim@fluendo.com>

	* ext/vorbis/vorbisenc.c: (gst_vorbisenc_class_init):
	Fix vorbis property descriptions and ranges.

2004-10-18  Wim Taymans  <wim@fluendo.com>

	* ext/ogg/gstoggdemux.c: (gst_ogg_demux_iterate):
	Really do nothing when no data is available.
	Go to the playing state when the stream is not seekable
	instead of failing.

2004-10-18  Wim Taymans  <wim@fluendo.com>

	* ext/cdaudio/gstcdaudio.c: (_do_init), (gst_cdaudio_base_init),
	(gst_cdaudio_get_event_masks), (gst_cdaudio_send_event),
	(gst_cdaudio_query), (plugin_init), (cdaudio_uri_get_type),
	(cdaudio_uri_get_protocols), (cdaudio_uri_get_uri),
	(cdaudio_uri_set_uri), (cdaudio_uri_handler_init):
	Added uri handler for cd://
	Port to new API.

2004-10-18  Wim Taymans  <wim@fluendo.com>

	* gst/playback/gstdecodebin.c: (gst_decode_bin_class_init),
	(gst_decode_bin_init), (find_compatibles), (close_pad_link),
	(try_to_link_1), (no_more_pads), (close_link), (type_found):
	* gst/playback/gstplaybasebin.c: (gen_preroll_element),
	(remove_prerolls), (unknown_type), (add_element_stream),
	(new_decoded_pad), (setup_source), (gst_play_base_bin_add_element),
	(gst_play_base_bin_remove_element),
	(gst_play_base_bin_link_stream):
	* gst/playback/gstplaybin.c: (gen_video_element),
	(gen_vis_element), (remove_sinks), (setup_sinks):
	* gst/playback/gststreaminfo.c: (gst_stream_type_get_type),
	(gst_stream_info_get_type), (gst_stream_info_class_init),
	(gst_stream_info_init), (gst_stream_info_new),
	(gst_stream_info_dispose), (stream_info_mute_pad),
	(gst_stream_info_set_property), (gst_stream_info_get_property):
	* gst/playback/gststreaminfo.h:
	Add sink padtemplate to decodebin.
	Added some more comments.
	Make queue size configurable in playbasebin.
	Added possibility to use elements as sinks (ex cdaudio).

